# Generated by Makefile. Do not edit.

commit f2425364a7a18e7df42379d83fbd629684fc4f52
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Apr 21 17:19:33 2011 -0400

    NEWS update for 2.32.3 release.

 NEWS |   25 +++++++++++++++++++++++++
 1 files changed, 25 insertions(+), 0 deletions(-)

commit d3c0eb53980c4c071e2bfec37807783f95612b70
Author: Abner Silva <abnerf@gmail.com>
Date:   Wed Apr 20 23:04:43 2011 +0100

    Bug 648317 - MeeGo shell looking for the wrong atom
    
    Yet another s/MOBLIN/MEEGO/
    
    https://bugs.meego.com/show_bug.cgi?id=13756
    (cherry picked from commit a27e5eb99ec458993f631e5617483701a482f42d)

 shell/e-shell-meego.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 9a55ba6a9386d92dc0667452418b40f0e543780b
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Tue Apr 19 15:09:55 2011 +0100

    evolution-alarm-notify: replace Moblin by Meego
    
    evolution-alarm-notify didn't start correctly on Meego Netbook. This patch
    fixes the problem by replacing "Moblin" by the new Meego strings.
    
    https://bugs.meego.com/show_bug.cgi?id=14683
    (cherry picked from commit 387d6e01e3ca74b50b17e5597847d2acb6322a91)

 data/evolution-alarm-notify.desktop.in.in |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit c0ce55c05aec70cfd9efc8b0a45d88f50fd79d0f
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Feb 18 15:13:06 2011 +0100

    Bug #639483 - Category list includes weather information
    (cherry picked from commit 1b25ab52f7709a0eae7493fb933fa62376ead288)

 e-util/e-util.c                                 |   34 ++++++++++++++++++++++-
 e-util/e-util.h                                 |    1 +
 modules/addressbook/e-book-shell-view-actions.c |    2 +-
 modules/addressbook/e-book-shell-view.c         |    2 +-
 modules/calendar/e-cal-shell-view-actions.c     |    2 +-
 modules/calendar/e-cal-shell-view.c             |    2 +-
 modules/calendar/e-memo-shell-view-actions.c    |    2 +-
 modules/calendar/e-memo-shell-view.c            |    2 +-
 modules/calendar/e-task-shell-view-actions.c    |    2 +-
 modules/calendar/e-task-shell-view.c            |    2 +-
 10 files changed, 42 insertions(+), 9 deletions(-)

commit b63b75b111a4cf6de8c8d3406cf33509c6146d75
Author: David Woodhouse <David.Woodhouse@intel.com>
Date:   Fri Apr 15 14:57:39 2011 +0100

    Bug 647816 - Moving folder hierarchy causes error
    
    When *moving*, as opposed to copying, we only need to operate on the top-level
    folder; its children will automatically follow it.
    (cherry picked from commit d44fb9e2cf43ebec0ffc811d6d1f9f6e28ccefae)

 mail/em-folder-utils.c |   12 ++++++++++--
 1 files changed, 10 insertions(+), 2 deletions(-)

commit ca0d2d390d80fdc81e08ace8fba6f632d2b3a573
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Apr 14 08:23:13 2011 -0400

    Bug 647698 - Selected calendar doesnt authenticate after offline/online
    
    When I wrote e_load_cal_source_async() it didn't occur to me that a
    calendar backend may emit "auth-required" after the initial connection
    attempt.  And because I was passing the allocated context data for the
    asynchronous load operation to e_cal_set_auth_func(), meaning the data
    gets freed at the end of the load operation, I was then calling
    e_cal_set_auth_func(cal, NULL, NULL) after the initial authentication
    was complete so that the ECal would not try to access the freed context
    data after the load operation finished.
    
    But that turned out to break the case of switching to offline mode, then
    back to online mode.  Most calendar backends need to re-authenticate when
    they come back online.
    
    This commit instead passes data to the authentication function by way of
    g_object_set_data_full() so that the authentication function can be left
    in place for the duration of the ECal instance.
    
    Note that e_cal_set_auth_func() lacks a GDestroyNotify argument for the
    user data passed to it, which rules out passing any kind of allocated
    data structure.  This is an API design flaw, in my opinion.  But
    g_object_set_data_full() *does* take a GDestroyNotify argument.
    (cherry picked from commit 760c438e670e4ebe01c5431779628ed3a3189b76)

 calendar/common/authentication.c |   56 ++++++++++++++++++++++++++-----------
 1 files changed, 39 insertions(+), 17 deletions(-)

commit 76647951b85363ded524bef501092efdb497b486
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Mar 11 14:48:19 2011 +0100

    Bug #644301 - Invalid GVariant format in NetworkManager module
    (cherry picked from commit 3712e3981b2056401c57c981160c96ff931f612c)

 modules/connman/evolution-connman.c                |    4 +++-
 .../network-manager/evolution-network-manager.c    |    4 +++-
 2 files changed, 6 insertions(+), 2 deletions(-)

commit 9389a705332f4cdbf43f02baabbd3200110a076d
Author: Hao H Li <hao.h.li@intel.com>
Date:   Tue Mar 8 08:07:23 2011 -0500

    Bug 644164 - Using outdated Connman D-Bus names
    (cherry picked from commit cbcae0eef22d80d564145de68fd55e47d2c35b05)

 modules/connman/evolution-connman.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 0d6a01e644e096dff3964c13482885527164bbd0
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Nov 23 15:26:55 2010 +0100

    Bug #371705 - Calendar's day view does not reset its IM context
    (cherry picked from commit e490db52f6c48d5c37884c2345386116474112ae)

 widgets/text/e-text.c |   87 ++++++++++++++++++++++---------------------------
 1 files changed, 39 insertions(+), 48 deletions(-)

commit 226430c112e9f98b6b63439c63a4a8e7279ad933
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu Feb 17 19:33:58 2011 +0100

    Order matters, process master object first, then detached instances
    (cherry picked from commit b1008815feab6b7a95fd0f11c18a7f018b1a605b)
    (Bug 646164)

 calendar/gui/e-cal-model.c |   42 ++++++++++++++++++++++++++++++++++++++++--
 1 files changed, 40 insertions(+), 2 deletions(-)

commit c645e03a3c1ceecc15e87474ef171fee91303487
Author: Milan Crha <mcrha@redhat.com>
Date:   Mon Feb 21 13:19:36 2011 +0100

    Bug #640829 - Can drop text/plain message lines in message preview
    (cherry picked from commit 065755c13c934634aeee08477ae4ed6a7d4a816e)

 mail/em-inline-filter.c |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

commit 081a65512f97a17c3ad77bc824d5dca313d023be
Author: Daniel Nylander <po@danielnylander.se>
Date:   Sat Apr 2 15:28:40 2011 +0200

    Updated Swedish translation

 po/sv.po |  694 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 339 insertions(+), 355 deletions(-)

commit f0ac22542eb9bc90e9aed645fa6952ce3a0af8aa
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Mar 29 14:43:27 2011 -0400

    Revert "Bug 640083 - Cannot configure LDAPS on port 636"
    
    This reverts commit 8542059ec53e51f56ddc4b4ad720739ec075c72a.
    
    This reportedly caused a regression and does not fix the original issue.

 modules/addressbook/addressbook-config.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 84a6b16c3fd9f3dfaf48257bf4a77c32c090d403
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:   Thu Mar 17 13:01:33 2011 +0100

    Updated Romanian translation

 po/ro.po | 5606 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 3202 insertions(+), 2404 deletions(-)

commit 6d85143ed18ba7493ec0fbdd4248ccd3dce5c161
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Tue Mar 8 22:26:11 2011 +0200

    Updated Latvian translation.

 po/lv.po |40001 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 20928 insertions(+), 19073 deletions(-)

commit 2386ecf031365cd6bda6be036fb65faabd49e77f
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Feb 6 01:24:36 2011 -0500

    Post-release version bump.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e5a838adf08ad33eb044c2488f9d41baaf8bc023
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Feb 6 01:22:25 2011 -0500

    NEWS update for 2.32.2 release.

 NEWS |   46 ++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 46 insertions(+), 0 deletions(-)

commit 807f08c1f3c9d904eae88360062593546f900000
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Tue Jan 25 18:53:52 2011 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 1021 +++++++++++++++++++++++++++++------------------------------
 po/zh_TW.po | 1021 +++++++++++++++++++++++++++++------------------------------
 2 files changed, 1000 insertions(+), 1042 deletions(-)

commit 8542059ec53e51f56ddc4b4ad720739ec075c72a
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Jan 22 11:01:11 2011 -0500

    Bug 640083 - Cannot configure LDAPS on port 636

 modules/addressbook/addressbook-config.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 32cc60f329168ee6fcea02ef87d4915f953947c9
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Jan 18 15:20:47 2011 +0100

    Bug #553438 - Deletes lines of a reply when changing address

 composer/e-msg-composer.c |   10 ++++------
 1 files changed, 4 insertions(+), 6 deletions(-)

commit 9f76afb18d5432c457d066245d90a49283f16299
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Jan 11 10:36:22 2011 +0100

    Bug #638808 - camel_shutdown() called too early

 mail/e-mail-backend.c |   11 ++++++++++-
 shell/e-shell.c       |    1 +
 2 files changed, 11 insertions(+), 1 deletions(-)

commit a6d25b06d66576082a5756c9b2ed13fadce88f56
Author: Daniel Nylander <po@danielnylander.se>
Date:   Sun Jan 9 20:31:56 2011 +0100

    Updated Swedish translation

 po/sv.po |   24 ++++++++++++------------
 1 files changed, 12 insertions(+), 12 deletions(-)

commit 197635633a52222943e3eecd39944b7aa4733bd1
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu Jan 6 15:54:21 2011 +0100

    Bug #633854 - [templates] Crash in build_template_menus_recurse

 plugins/templates/templates.c |   13 ++++++++++---
 1 files changed, 10 insertions(+), 3 deletions(-)

commit fcf6412fe0a946a0e33755a4120b8e07ad52f05b
Author: Daniel Nylander <po@danielnylander.se>
Date:   Fri Dec 31 14:07:35 2010 +0100

    Updated Swedish translation

 po/sv.po | 1567 ++++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 913 insertions(+), 654 deletions(-)

commit 4df6ef961dbf00f9e573333cde9fa28c97a660b3
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Dec 27 09:56:23 2010 -0500

    Bug 637482 - Flushing outbox gives up on first error

 mail/mail-ops.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e91dcae7c683d65b5789a79161f1998f43a2b425
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Dec 15 16:03:00 2010 +0100

    Bug #634385 - Crash in smtp_connect

 mail/mail-ops.c     |    6 +++++-
 mail/mail-session.c |    6 ++++++
 2 files changed, 11 insertions(+), 1 deletions(-)

commit e32cf32a6c7a563dda590cbad727f693088cfea0
Author: Ani Peter <apeter@redhat.com>
Date:   Tue Dec 7 17:47:27 2010 +0530

    Updated Malalayam translations

 po/ml.po |34186 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 16715 insertions(+), 17471 deletions(-)

commit 25f2dfb3811d5da1de1622377b2391b80cc7b888
Author: Federico Mena Quintero <federico@novell.com>
Date:   Thu Dec 2 17:55:36 2010 -0600

    Don't set the URL's defaults when the providers have not been refreshed
    
    Signed-off-by: Federico Mena Quintero <federico@novell.com>

 mail/em-account-editor.c |   22 ++++++++--------------
 1 files changed, 8 insertions(+), 14 deletions(-)

commit 18a445e832162581ac477fafcbf66f9d79145aa7
Author: Federico Mena Quintero <federico@novell.com>
Date:   Thu Dec 2 17:33:57 2010 -0600

    Only set the URL's defaults when we are creating a new account

 mail/em-account-editor.c |   15 +++++++++------
 1 files changed, 9 insertions(+), 6 deletions(-)

commit e18121ce0ba71e952e7b0217421badf9cf8305ab
Author: Federico Mena Quintero <federico@novell.com>
Date:   Wed Dec 1 17:30:35 2010 -0600

    Set the provider's defaults on when CamelURLs get refreshed with a new protocol
    
    Signed-off-by: Federico Mena Quintero <federico@novell.com>

 mail/em-account-editor.c |   12 ++++++++++++
 1 files changed, 12 insertions(+), 0 deletions(-)

commit 6ed48b87de9e768e717915a849d84c46e2c391e2
Author: Federico Mena Quintero <federico@novell.com>
Date:   Wed Dec 1 13:23:41 2010 -0600

    Don't set the provider's defaults on the URL from the widget functions
    
    We will do that in a separate function to deal only with transferring
    the defaults from CamelProviderConfEntry structures to a CamelURL for
    an account.
    
    Signed-off-by: Federico Mena Quintero <federico@novell.com>

 mail/em-account-editor.c |   88 ++++++++++++++++++++++++----------------------
 1 files changed, 46 insertions(+), 42 deletions(-)

commit 176895e4ebc119274a26436b307c258d6af4388a
Author: Federico Mena Quintero <federico@novell.com>
Date:   Wed Dec 1 11:48:01 2010 -0600

    Function to set a CamelURL's defaults based on a provider's defaults
    
    In http://bugs.meego.com/show_bug.cgi?id=6498, part of the problem is that
    when a mail account is created through the startup wizard in Express mode,
    that account does not receive the default values that were defined by its
    respective CamelProvider (i.e. the provider->extra_conf
    CamelProviderConfEntry structures).
    
    However, the defaults *are* used if an account is created when not in
    Express mode.  The problem is that Express mode doesn't include the
    "Receiving options" page in its mail account editor, while non-express
    mode does.  The utility functions to populate that page's widgets are the
    ones responsible for setting the provider's default values on the CamelURL
    for the new account.  Since in Express mode those widgets don't even get
    created, the provider's defaults are never even considered.
    
    Here, what we do is to pull out the logic from those functions that create
    widgets, so that we have set_provider_defaults_on_url(), a single function
    to set default values from a CamelProvider into a CamelURL.  We will use
    that function to set the defaults in both Express and non-express modes,
    instead of depending on the widget code to do that.
    
    Signed-off-by: Federico Mena Quintero <federico@novell.com>

 mail/em-account-editor.c |   89 ++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 89 insertions(+), 0 deletions(-)

commit 0e29a4877ba80e136683296f56964abcb056333b
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu Dec 2 13:19:46 2010 +0100

    Bug #627176 - Do not spawn other process when clicking mailto: uri

 mail/e-mail-display.c |   11 +++++++++++
 1 files changed, 11 insertions(+), 0 deletions(-)

commit 058d18ca5c82b4410b51c20baf34fdac8d36cf4d
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Nov 30 16:19:45 2010 +0100

    Default	to beginning of the day for the last alarm notification

 calendar/gui/alarm-notify/alarm-queue.c |    2 +-
 calendar/gui/alarm-notify/config-data.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 950309c51fbfc3215cd7a168942f833586dc9e33
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Nov 30 09:36:31 2010 +0100

    Update actions in EMailBrowser on message select too

 mail/e-mail-browser.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit c2996eea8b32be944478e93e514a833017a85452
Author: Milan Crha <mcrha@redhat.com>
Date:   Mon Nov 29 10:28:49 2010 +0100

    Revert certain parts from the previous commit

 mail/e-mail-reader.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 97b56f8aaf9497cf978b655bb5230e7b833fe006
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Nov 26 11:24:32 2010 +0100

    Bug #635738 - Sanitize Previous/Next buttons when not usable

 mail/e-mail-reader.c |   34 +++++++++++++++++++++++++++-------
 1 files changed, 27 insertions(+), 7 deletions(-)

commit e972c5b2bc57f74d71d83fabbb821ebf646e5c03
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Nov 26 10:23:10 2010 +0100

    [vCard-inline] Check also text/directory parts

 .../vcard-inline/org-gnome-vcard-inline.eplug.xml  |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit ed8619da88fe1cf6d2a73b4dfc3f577759789da5
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu Nov 25 18:23:22 2010 +0100

    Bug #634387 - Crash in bbdb_sync_buddy_list_in_thread

 plugins/bbdb/gaimbuddies.c |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

commit b87510d25f03a355498f81cfc5c3b4131e9989f8
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Nov 24 14:31:09 2010 +0100

    Bug #635673 - Stack overflow when opening slow calendar

 calendar/common/authentication.c |    1 +
 calendar/gui/e-cal-model.c       |   21 +++++++++++++++++----
 2 files changed, 18 insertions(+), 4 deletions(-)

commit 42d44c1059abebe21f70693ca1e078f03fef6e48
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Nov 24 13:39:04 2010 +0100

    Bug #632962 - Duplicate "On this computer" sources after update

 capplet/settings/mail-capplet-shell.c      |   24 ++++++++++++++----------
 modules/addressbook/e-book-shell-migrate.c |   24 +++++++++++++-----------
 modules/calendar/e-cal-shell-migrate.c     |   24 +++++++++++-------------
 modules/calendar/e-memo-shell-migrate.c    |   26 +++++++++++++-------------
 modules/calendar/e-task-shell-migrate.c    |   26 +++++++++++++-------------
 5 files changed, 64 insertions(+), 60 deletions(-)

commit d3d6d96ed54b29787d79863e4808dbaab56a0f02
Author: Mathieu Trudel-Lapierre <mathieu.trudel-lapierre@canonical.com>
Date:   Tue Nov 23 10:47:42 2010 +0100

    Bug #635087 - Leftover files after migration of config/data/cache to XDG directories

 shell/e-shell-migrate.c |   18 +++++++++++-------
 1 files changed, 11 insertions(+), 7 deletions(-)

commit 9f9d69559d85becd389c20ab43aac90ea8545f7e
Author: Ivar Smolin <okul@linux.ee>
Date:   Sun Nov 21 12:51:07 2010 +0200

    [l10n] Updated Estonian translation

 po/et.po |   39 ++++++++++++++++++++-------------------
 1 files changed, 20 insertions(+), 19 deletions(-)

commit 2a1c2ec90874aa790adbe268a862e0100648dd1d
Author: Bharath Acharya <abharath@novell.com>
Date:   Tue Nov 16 11:14:08 2010 +0530

    Post-release version bump.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 34ba63da244f7fc1dc96472920aef7d2f7b57106
Author: Bharath Acharya <abharath@novell.com>
Date:   Mon Nov 15 16:09:09 2010 +0530

    NEWS update for 2.32.1 release.

 NEWS |   66 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 66 insertions(+), 0 deletions(-)

commit a9998aa9022038979bc6c19a4e0899780c6e6585
Author: Mattias Põldaru <mahfiaz gmail com>
Date:   Mon Nov 15 12:01:42 2010 +0200

    [l10n] Updated Estonian translation

 po/et.po |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 7df289ff1fea48a6abe6c53cbdc325111f69815e
Author: Ville-Pekka Vainio <vpivaini@cs.helsinki.fi>
Date:   Mon Nov 15 02:09:49 2010 +0200

    Updated Finnish translation, many corrections done with the help of pofilter from the translate toolkit

 po/fi.po |12561 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 6347 insertions(+), 6214 deletions(-)

commit 4c6b254770446028968620adbec0b4e04f23f541
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed Nov 10 12:12:46 2010 -0500

    Drop accessibility support for ECellText.
    
    The accessibility code for ECellText is unmaintained and crashes
    constantly.  I'm evicting it from our code base until someone takes
    ownership of the libgal accessibility support and deals with it.

 po/POTFILES.in                       |    1 -
 widgets/table/Makefile.am            |    2 -
 widgets/table/e-cell-text.c          |    4 -
 widgets/table/gal-a11y-e-cell-text.c |  726 ----------------------------------
 widgets/table/gal-a11y-e-cell-text.h |   63 ---
 5 files changed, 0 insertions(+), 796 deletions(-)

commit 06d134fb2d07221827bb926f2ae49455fb0d2365
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Nov 10 11:41:53 2010 +0100

    Bug #632293 - Do not add POP accounts into folder tree

 mail/e-mail-store.c         |    3 +++
 mail/em-folder-tree-model.c |    3 ++-
 2 files changed, 5 insertions(+), 1 deletions(-)

commit 29afee099b477836cbbfd31337e7c1dab96075f4
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Nov 9 13:32:18 2010 +0100

    Workaround crash when pasting nothing into html message composer

 e-util/e-selection.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit fc2624ae4e143eead14f5a2053aab6371cedcb1c
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Nov 5 16:37:05 2010 +0100

    Bug #634088 - Uses uninitialized variable in action_contact_new_cb

 modules/addressbook/e-book-shell-backend.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 751062392476d04934cee60231507632a489fdf3
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Nov 5 11:49:47 2010 +0100

    Bug 628139 - Thread-safety issues in libical time zone loading

 modules/calendar/e-cal-shell-backend.c |   26 ++++++++++++++++++++++++++
 1 files changed, 26 insertions(+), 0 deletions(-)

commit b7f26a2f0263cb54b48532110837092cb17af99b
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Nov 2 09:43:48 2010 +0100

    Bug #632941 - Calendar ignores preference "show/hide end times"

 calendar/gui/e-week-view.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 9c998aeda3e7cb886331d126de1e6ce55c64435e
Author: Milan Crha <mcrha@redhat.com>
Date:   Mon Nov 1 11:42:27 2010 +0100

    stock_appontment-reminder icons renamed

 calendar/gui/alarm-notify/alarm-queue.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit d41371412d163ac6c1adfe04ceb48459632c5f8c
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Oct 29 16:38:07 2010 +0200

    Bug #632278 - Double .vcf extension on addressbook save

 addressbook/gui/widgets/eab-gui-util.c |   11 ++++-------
 1 files changed, 4 insertions(+), 7 deletions(-)

commit 1d8b7945b5cd127da2f205d3538409ea5b044283
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Oct 29 15:55:45 2010 +0200

    Bug #632199 - Opening calendar from panel clock goes to previous day

 modules/calendar/e-cal-shell-backend.c |   16 ++++++++++++++--
 1 files changed, 14 insertions(+), 2 deletions(-)

commit b4442911f594f24a7d8d7c023f3f1f45e4361d4a
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Oct 27 11:21:57 2010 +0200

    Bug #592045 - Use week-day names in abbreviated date

 e-util/e-datetime-format.c |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

commit d0582dca511f0eee8bf3ba0e6e4c87fda783b3ba
Author: Fridrich Štrba <fridrich.strba@bluewin.ch>
Date:   Mon Oct 25 12:23:36 2010 +0200

    Fix build on platforms when ngettext is a macro

 filter/e-filter-datespec.c |   43 +++++++++++++++++++++++++++----------------
 1 files changed, 27 insertions(+), 16 deletions(-)

commit b25ca9f4e64d619f5a72bfc54ad935eb00ac955e
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Oct 22 23:58:41 2010 -0400

    Bug 632870 - Cut and paste broken in ESignatureEditor

 widgets/misc/e-signature-editor.c |   31 +++++++++++++++++++++++++++++++
 1 files changed, 31 insertions(+), 0 deletions(-)

commit a45b815306668cb267b4a08a057b745746159a2d
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Sat Oct 23 01:11:43 2010 +0200

    Updated Catalan (Valencian) translation

 po/ca@valencia.po |  799 ++++++++++++++++++++++++++---------------------------
 1 files changed, 398 insertions(+), 401 deletions(-)

commit 92064bb6c31bfa9a962569d30a6c19e940701357
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Sat Oct 23 01:09:21 2010 +0200

    Updated Catalan (Valencian) translation

 po/ca@valencia.po |12306 ++++++++++++++++++++++++++++-------------------------
 1 files changed, 6425 insertions(+), 5881 deletions(-)

commit e4dcf8641fbbd7398bc8bd5cae258832d1de6e94
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Oct 22 15:50:46 2010 +0200

    Memory leaks around g_value_set_string

 calendar/gui/e-alarm-list.c                  |    5 +++--
 widgets/table/e-table-click-to-add.c         |    2 +-
 widgets/table/e-table-field-chooser-dialog.c |    2 +-
 widgets/text/e-text.c                        |    6 +++---
 4 files changed, 8 insertions(+), 7 deletions(-)

commit ac0f082cc243fc366c6a85d15685a5aef107decf
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu Oct 21 11:43:14 2010 +0200

    Bug #597567 - Crash in comp_subject()
    
    Fix works only when compiled with libical 0.46 or later

 configure.ac |   14 ++++++++++++++
 shell/main.c |    8 ++++++++
 2 files changed, 22 insertions(+), 0 deletions(-)

commit 20c9cc11ac5eb5f02f99fd9907c3abd67c70f1b8
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu Oct 21 09:28:36 2010 +0200

    Bug #631526 - Loading images doesn't use proxy credentials

 mail/em-utils.c |   65 ++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 64 insertions(+), 1 deletions(-)

commit bb70db1a626deb0c46d5afda91fe7fef005c63cd
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:   Wed Oct 20 18:35:01 2010 +0900

    Updated Japanese translation

 po/ja.po |  701 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 351 insertions(+), 350 deletions(-)

commit 6687e1d296ae5c29af1f29bc5a640b663b77314b
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Oct 19 09:36:33 2010 +0200

    Bug #567265 - BCC kept on message forward from Sent folder

 em-format/em-format-quote.c |    4 ++++
 mail/em-composer-utils.c    |    6 ++++++
 2 files changed, 10 insertions(+), 0 deletions(-)

commit 35cb4890c251c5baf59264a1df01f2fbbf233bb3
Author: Milan Crha <mcrha@redhat.com>
Date:   Mon Oct 18 13:16:39 2010 +0200

    Bug #630518 - Hides calendar parts from multipart/alternative

 em-format/em-format.c               |    2 ++
 plugins/prefer-plain/prefer-plain.c |   18 ++++++++++++++----
 2 files changed, 16 insertions(+), 4 deletions(-)

commit 31b57a0125f8d192e084a1cf32f88f4cead908fa
Author: Punit Jain <jpunit@novell.com>
Date:   Mon Oct 18 10:52:46 2010 +0530

    Bug #631968 - Date wrongly displayed as Tomorrow.
    
    Taking absolute value of diff.

 e-util/e-datetime-format.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 8ad4c012d2d78240ef26f31bca976f900c7dcbe7
Author: Bharath Acharya <abharath@novell.com>
Date:   Mon Oct 18 10:52:05 2010 +0530

    Bug #604981 - Always bcc ignored for Contacts.
    
    Add the Bcc destinations instead of setting it.

 modules/addressbook/eab-composer-util.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 6c5308ed48c4800e640cf5b13e07aca83dde7ae8
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Oct 14 17:17:17 2010 -0400

    Bug 632171 - "New Address Book" dialog accepts whitespace for name

 modules/addressbook/addressbook-config.c |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletions(-)

commit 953520d58faa31f808cab1790bd378765165d4f9
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Sep 27 09:08:59 2010 -0400

    Post-release version bump.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e3a70aae9ea1ca2b15358d2473cf12c0b0948488
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Sep 27 08:49:59 2010 -0400

    NEWS update for 2.32.0 release.

 NEWS |   34 ++++++++++++++++++++++++++++++++++
 1 files changed, 34 insertions(+), 0 deletions(-)

commit 231ed4fe9851aaf1517eea105c116826accdf175
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Oct 13 16:29:15 2010 +0200

    Bug #630375 - Character encoding of GPG encrypted message not honored

 em-format/em-format.c   |   19 +++++++++++++++++++
 mail/em-format-html.c   |   10 ++++++++++
 mail/em-inline-filter.c |    6 ++++--
 3 files changed, 33 insertions(+), 2 deletions(-)

commit 011e1064c52a1bad20a7d9806ee026c863b46613
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Oct 13 09:45:38 2010 +0200

    Bug #617611 - redo_queries calls gtk+ functions in non-main thread

 calendar/gui/e-cal-model.c |   67 ++++++++++++++++++++++++++++++++++++--------
 1 files changed, 55 insertions(+), 12 deletions(-)

commit 03acdfb763bb777402955db5ed117c19ad23a3dc
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Oct 12 12:53:27 2010 +0200

    Bug #619387 - EMailBrowser doesn't honour sorting of a mail window

 mail/e-mail-reader-utils.c |   23 +++++++++++++++++++++++
 1 files changed, 23 insertions(+), 0 deletions(-)

commit 1279da52257a1b959c1cde789c2b57be44a8a875
Author: Gil Forcada <gforcada@gnome.org>
Date:   Sun Oct 10 23:06:08 2010 +0200

    Minor fixes on Catalan translation

 po/ca.po |   33 ++-------------------------------
 1 files changed, 2 insertions(+), 31 deletions(-)

commit c9b3ba32e5d4058626e1dc7a1a253e27908a933a
Author: David Planella <david.planella@gmail.com>
Date:   Sun Oct 10 22:59:24 2010 +0200

    Updated Catalan translation

 po/ca.po |10401 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 5681 insertions(+), 4720 deletions(-)

commit b0230b158ab6df48d2db9ef3be3d6dc89a1a5e18
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Oct 8 10:35:29 2010 +0200

    Bug #552121 - Drop UUENCODE inline filter

 mail/em-inline-filter.c |   52 +----------------------------------------------
 1 files changed, 1 insertions(+), 51 deletions(-)

commit 1205b372ecdb7c3137e4aee4c4f770e4c2a0a0b3
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu Oct 7 12:44:52 2010 +0200

    MailFolderCache notifies in reverse order
    
    Causing unread count on Drafts disappear sometimes. (Drafts, like
    Outbox, uses total message count, instead of real unread count).

 mail/mail-folder-cache.c |    9 ++++-----
 1 files changed, 4 insertions(+), 5 deletions(-)

commit 294dd9184853ee74c38d34d6556913fa6a11bd0f
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu Oct 7 10:04:23 2010 +0200

    Bug #631588 - Sort by Subject doesn't work

 mail/message-list.etspec |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 745fba39b4fcdd57fc5a1bbab32062a77bcb2187
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Oct 6 11:41:46 2010 +0200

    Bug #617953 - Hide Junk messages in Search folders

 mail/message-list.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 77eb1f7dbfa4932cc1ecfe085d171392ba171fc8
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Oct 6 11:13:09 2010 +0200

    Bug #618102 - Single event print doesn't show time

 calendar/gui/print.c |   46 +++++++++++++++++++++++++++++++++-------------
 1 files changed, 33 insertions(+), 13 deletions(-)

commit d8a73429ce9e315a096f0133b94c955d771e719a
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Oct 6 10:09:34 2010 +0200

    Calendar's "Open Web Page" actions doesn't work

 modules/calendar/e-cal-shell-view-memopad.c  |    2 +-
 modules/calendar/e-cal-shell-view-taskpad.c  |    2 +-
 modules/calendar/e-memo-shell-view-actions.c |    2 +-
 modules/calendar/e-task-shell-view-actions.c |    2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit cf87b3f28cc3e2b2724c74a0aee08f76526f19e8
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Oct 5 18:26:10 2010 +0200

    Bug #211593 - Show week numbers on calendar printout

 calendar/gui/print.c |   78 +++++++++++++++++++++++++++++++++++++++-----------
 1 files changed, 61 insertions(+), 17 deletions(-)

commit e831407a0eaa306ced92958a0bb5c5147107aa64
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Oct 5 14:48:59 2010 +0200

    Bug #500591 - Crash when viewing a large message

 mail/em-format-html-display.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 36abdbd529d064ace5a60b3cbfc16bcf6fb0997f
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Oct 5 14:00:08 2010 +0200

    Bug #630295 - Inline GPG encrypted message is not always recognized

 mail/em-inline-filter.c |   10 +++++++---
 1 files changed, 7 insertions(+), 3 deletions(-)

commit c50fe842f07af78a54e839be5fde8051de4a3d56
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Oct 5 12:57:41 2010 +0200

    Bug #629825 - Hide Free/Busy tab if not needed in express mode

 calendar/gui/dialogs/event-editor.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 9720f489324ff46c6e7e290348930ced18a1d91b
Author: Milan Crha <mcrha@redhat.com>
Date:   Mon Oct 4 18:45:23 2010 +0200

    Bug #615835 - Alarm not working for authenticated calendars

 calendar/gui/alarm-notify/alarm-notify-dialog.c |    6 +++---
 calendar/gui/alarm-notify/alarm-notify.c        |    4 +++-
 calendar/gui/alarm-notify/alarm-notify.ui       |   13 +++++++++++++
 3 files changed, 19 insertions(+), 4 deletions(-)

commit c8072aa9711694c55ec1dae4aad30dfddc0ea8b9
Author: ifelix <ifelix@redhat.com>
Date:   Fri Oct 1 17:17:49 2010 +0530

    Tamil Translation updated

 po/ta.po | 7439 +++++++++++++++++++++++++++++++++++++++++++++-----------------
 1 files changed, 5478 insertions(+), 1961 deletions(-)

commit d8ba82bd4db9a366f1dde271923db0be22913a4d
Author: ifelix <ifelix@redhat.com>
Date:   Fri Oct 1 16:55:08 2010 +0530

    Tamil Translation updated

 po/ta.po | 1069 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 582 insertions(+), 487 deletions(-)

commit d73426c945fda61292589cb3e8bb06fddeaa5313
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Thu Sep 30 20:39:35 2010 +0200

    Updated Basque language

 po/eu.po | 1542 ++++----------------------------------------------------------
 1 files changed, 101 insertions(+), 1441 deletions(-)

commit dbbd881966f89b39854337ad770618debe947be2
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:   Fri Oct 1 00:14:54 2010 +0900

    Fix typo in Japanese translation

 po/ja.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 58a1d6a356031558d9b992a44b946f9ed113be9b
Author: David Woodhouse <David.Woodhouse@intel.com>
Date:   Wed Sep 29 12:07:36 2010 +0200

    Bug #626066 - "trust" properties on certificate authority not saved

 smime/lib/e-cert-db.c |   26 ++++++++++++++++++++------
 1 files changed, 20 insertions(+), 6 deletions(-)

commit 65567c122a4f93ab10576ad5a175fc438e14a5e7
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Sep 29 11:40:04 2010 +0200

    Bug #629462 - Tasks 'Due' filters don't work properly

 calendar/gui/e-cal-model.c           |   13 +++++++++++--
 calendar/gui/e-calendar-view.c       |    4 ++++
 modules/calendar/e-cal-shell-view.c  |   13 ++++++++-----
 modules/calendar/e-task-shell-view.c |   19 +++++++++++--------
 4 files changed, 34 insertions(+), 15 deletions(-)

commit 12fce30094a0dd08266e556f8b6a4922b1ab3fb7
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Sep 29 11:33:17 2010 +0200

    Bug #629799 - Crash importing a mail with an ics attachment

 mail/em-format-html-display.c           |   25 ++++++++++++++-----------
 plugins/itip-formatter/itip-formatter.c |   12 +++++++-----
 2 files changed, 21 insertions(+), 16 deletions(-)

commit 2e7a05cd004a2344d7c0ecbd33462f8520a5fa5b
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Sep 29 11:20:46 2010 +0200

    Bug #630294 - Shouldn't send invitation reply when has no organizer

 plugins/itip-formatter/itip-view.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a86159e5df2de773ea1ab2c10072d2cec86ecedd
Author: David Woodhouse <David.Woodhouse@intel.com>
Date:   Wed Sep 29 11:17:24 2010 +0200

    Bug #628522 - Invalid access off end of array in e_bit_array_delete()

 e-util/e-bit-array.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 84f0a15b38c9934cf6cfef7f1b988cce20c11501
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Sep 29 11:12:52 2010 +0200

    Bug #630700 - Crash on message send

 mail/mail-ops.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 3ceb65eb0741b249055f0dfa890257df486591fe
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Sep 29 11:03:13 2010 +0200

    Bug #629266 - Crash on search in Current Account

 modules/mail/e-mail-shell-view.c |   61 +++++++++++++++++++++++++++++++++----
 1 files changed, 54 insertions(+), 7 deletions(-)

commit acafcdaf2514bf903f986f2d37164b0af8bc7409
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Sep 29 10:57:13 2010 +0200

    Bug #604080 - Predefined account SSL not propagated to UI

 mail/em-account-editor.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 0665e3ed3ebd595c4cba6c2dd23c4aaef081e1d7
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Sep 29 10:53:38 2010 +0200

    Bug #629934 - Month view defaults to Monday as start of week

 calendar/gui/e-week-view.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 1b53e027aa9e5a1c218a50e476ae743a2b7539c8
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Sep 29 10:43:44 2010 +0200

    Bug #629636 - Doesn't recognize local ESource-s

 addressbook/gui/widgets/eab-gui-util.c   |   23 +++++++++++++++++++++--
 calendar/gui/dialogs/calendar-setup.c    |    2 +-
 mail/em-utils.c                          |    2 +-
 modules/addressbook/addressbook-config.c |    4 ++--
 4 files changed, 25 insertions(+), 6 deletions(-)

commit 1cde8187ba5e7b5ca2f6dc2ebc66006a3e646e1d
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Sep 29 10:32:23 2010 +0200

    Bug #629480 - calendar-gui-WARNING: Couldn't find event window

 calendar/gui/e-day-view.c |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit f38ef3d9f896da9800d2257ddfabb7767138a7d1
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Sep 29 10:28:25 2010 +0200

    Bug #629150 - Empty calendar view

 calendar/gui/e-day-view.c  |   53 +++++++++++++++++++++++++++++++++++++----
 calendar/gui/e-day-view.h  |    2 +
 calendar/gui/e-week-view.c |   55 +++++++++++++++++++++++++++++++++++++------
 calendar/gui/e-week-view.h |    2 +
 calendar/gui/gnome-cal.c   |   17 ++++++-------
 5 files changed, 106 insertions(+), 23 deletions(-)

commit 76ec35f939697e8d244ba1e2c048c274fefe80bc
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Sep 29 10:00:46 2010 +0200

    Bug #629972 - [backup-restore] Problems restoring old data

 plugins/backup-restore/backup.c |  295 +++++++++++++++++++++++++++++++++------
 1 files changed, 255 insertions(+), 40 deletions(-)

commit e32eb82f96555be7e74430368dbedd5d7735cea0
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Mon Sep 27 18:44:39 2010 +0200

    Updated Galician translations

 po/gl.po |   77 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 39 insertions(+), 38 deletions(-)

commit bd41f8def406725817a4ed1918be5c786e0939f2
Author: Petr Kovar <pknbe@volny.cz>
Date:   Mon Sep 27 14:24:28 2010 +0200

    Update Czech translation by Marek Cernocky

 po/cs.po |12710 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 6582 insertions(+), 6128 deletions(-)

commit 37764efb941105864f71d0c305397393499691da
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sat Sep 25 18:19:05 2010 +0200

    Updated Norwegian bokmål translation

 po/nb.po |  746 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 357 insertions(+), 389 deletions(-)

commit e6b9062f373bb0b2767d496ec01a8398b1650782
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:   Fri Sep 24 23:01:00 2010 +0200

    Updated Dutch translation by Wouter Bolsterlee

 po/nl.po |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 352436ba63b4ed0c7c6c156332da22a7a53b498d
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:   Fri Sep 24 18:23:40 2010 +0200

    Updated Dutch translation by Hannie Dumoleyn

 po/nl.po | 2172 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 1054 insertions(+), 1118 deletions(-)

commit 9f56d0e9208d4184f7568650b294ab1d29fa4840
Author: Luca Ferretti <lferrett@gnome.org>
Date:   Fri Sep 24 12:57:13 2010 +0200

    Fixed Italian translation

 po/it.po |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 71301ba6b6ef40006ec6a071423bb11a6378c298
Author: Hannie Dumoleyn <hannie@ubuntu-nl.org>
Date:   Thu Sep 23 19:27:45 2010 +0200

    [i18n] Updated Dutch translation

 po/nl.po |41589 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 21808 insertions(+), 19781 deletions(-)

commit 0d7d8e234fff7f786113a9a6cce1660a8ec213bf
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Thu Sep 23 17:43:39 2010 +0200

    Updated Basque language

 po/eu.po |  701 ++++++++++++++++++++++++++++++++++++++++++++++++++------------
 1 files changed, 565 insertions(+), 136 deletions(-)

commit 55ea231f5660dde70f833cf5de752d5659f42b63
Author: Andika Triwidada <andika@gmail.com>
Date:   Thu Sep 23 12:03:50 2010 +0700

    Updated Indonesian translation

 po/id.po |  526 ++++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 306 insertions(+), 220 deletions(-)

commit efcf825d6716d170a7a0736145cbb847d4caf214
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Sep 22 22:50:59 2010 +0200

    Updated Polish translation

 po/pl.po |15996 ++++++++++++++++++++++++++------------------------------------
 1 files changed, 6780 insertions(+), 9216 deletions(-)

commit e8090a00c3e1d51122de1ff1c2fa894ef0086aa9
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Wed Sep 22 20:34:36 2010 +0200

    Updated Basque language

 po/eu.po |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 6c0c576404b93f7608d0f67cbe9452c797cfb5c5
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Wed Sep 22 19:22:12 2010 +0200

    Updated Basque language

 po/eu.po |11652 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 6002 insertions(+), 5650 deletions(-)

commit 7c0d46677335b0f63a3f0031996ababf2409588d
Author: Miloš Popović <mpopovic@src.gnome.org>
Date:   Wed Sep 22 15:33:54 2010 +0200

    Updated Serbian translation

 po/sr.po       |12900 +++++++++++++++++++++++++++++---------------------------
 po/sr@latin.po |12900 +++++++++++++++++++++++++++++---------------------------
 2 files changed, 13168 insertions(+), 12632 deletions(-)

commit a76308eae05a5994e3956c60d15e2d1cf4ac03fb
Author: Andika Triwidada <andika@gmail.com>
Date:   Wed Sep 22 17:15:42 2010 +0700

    Updated Indonesian translation

 po/id.po |  488 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 261 insertions(+), 227 deletions(-)

commit c645bc1dd2596a67eb59da9044d01359491d089b
Author: Yuri Myasoedov <ymyasoedov@src.gnome.org>
Date:   Wed Sep 22 08:29:37 2010 +0400

    Updated Russian translation

 po/ru.po | 5489 +++++++++++++++++++-------------------------------------------
 1 files changed, 1696 insertions(+), 3793 deletions(-)

commit e03ab2bc33c922c073806ed22e09c0e2424d1a7a
Author: Djavan Fagundes <djavan@comum.org>
Date:   Tue Sep 21 10:52:52 2010 -0300

    Updated Brazilian Portuguese translation

 po/pt_BR.po |11577 +++++++++++++++++++++++++----------------------------------
 1 files changed, 4830 insertions(+), 6747 deletions(-)

commit ad0bfea4c09f4313301d81f42e6fe3f7302589a3
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Tue Sep 21 19:10:01 2010 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po |  327 ++++++++++++++++++++++++++++++++---------------------------
 po/zh_TW.po |  327 ++++++++++++++++++++++++++++++++---------------------------
 2 files changed, 354 insertions(+), 300 deletions(-)

commit 81f6988822f0bb89568055c8d95c6694cab8c225
Author: Mattias Põldaru <mahfiaz gmail com>
Date:   Tue Sep 21 13:33:52 2010 +0300

    [l10n] Updated Estonian translation

 po/et.po |  108 ++++++++++++++++++++++++++++++++++++++++++++-----------------
 1 files changed, 78 insertions(+), 30 deletions(-)

commit 66ddca709c7f1385ef1d0db0d95b6a4fe10ef137
Author: Bakaoukas Nikolaos <nikolaos.x1@gmail.com>
Date:   Mon Sep 20 18:13:43 2010 +0300

    Updated Greek translation

 po/el.po | 1469 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 749 insertions(+), 720 deletions(-)

commit 89b903553d764735818d15a85931d2c28da16b16
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Mon Sep 20 19:34:47 2010 +0800

    Revert "Updated Traditional Chinese translation(Hong Kong and Taiwan)"
    
    This reverts commit f3f931f0ff6c2931fe31acd90e4b24c868a10207.

 po/zh_HK.po | 2061 ++++++++++++++++++++++---------------------------
 po/zh_TW.po | 2532 ++++++++++++++++++++++++-----------------------------------
 2 files changed, 1960 insertions(+), 2633 deletions(-)

commit f3f931f0ff6c2931fe31acd90e4b24c868a10207
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Mon Sep 20 19:29:52 2010 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 2061 +++++++++++++++++++++++++++----------------------
 po/zh_TW.po | 2532 +++++++++++++++++++++++++++++++++++------------------------
 2 files changed, 2633 insertions(+), 1960 deletions(-)

commit 0214699465f5261bc3384e64a7cf7cdff5368c62
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:   Mon Sep 20 17:21:37 2010 +0900

    Updated Japanese translation

 po/ja.po |  150 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 75 insertions(+), 75 deletions(-)

commit b549bf077fcdb2a05102d40cbf9e37ec88dfcdbe
Author: Andika Triwidada <andika@gmail.com>
Date:   Mon Sep 20 15:18:06 2010 +0700

    Updated Indonesian translation

 po/id.po | 1760 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 876 insertions(+), 884 deletions(-)

commit 7b6c79966f7e3a22a092e2cbc450bca1c3e48373
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Mon Sep 20 01:46:40 2010 +0100

    Updated Portuguese translation

 po/pt.po |12235 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 6327 insertions(+), 5908 deletions(-)

commit 79d591fea8619fdd65385b0b5a720d4b025f9f6f
Author: Daniel Nylander <po@danielnylander.se>
Date:   Sun Sep 19 21:45:14 2010 +0200

    Updated Swedish translation

 po/sv.po | 1037 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 546 insertions(+), 491 deletions(-)

commit 237bd89c6c3c370367992b70355becfba54b3eac
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:   Sun Sep 19 18:05:40 2010 +0200

    Updated Danish translation

 po/da.po |  331 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 165 insertions(+), 166 deletions(-)

commit 49753d0715cb54ca1e14906da69fb820f1b3f5e3
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:   Sun Sep 19 17:34:10 2010 +0200

    Updated Danish translation

 po/da.po |   24 +++++++++---------------
 1 files changed, 9 insertions(+), 15 deletions(-)

commit 0e363e87980f35708b6f751536bae2b7e8930047
Author: Luca Ferretti <lferrett@gnome.org>
Date:   Sun Sep 19 14:51:21 2010 +0200

    Updated Italian translation

 po/it.po |12524 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 6518 insertions(+), 6006 deletions(-)

commit 910a60258ae612b1a0c922fe4a2e27545f0438aa
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sun Sep 19 16:58:23 2010 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 5044 +++++++++++++++++++-----------------------------------
 po/zh_TW.po | 5519 +++++++++++++++++++++--------------------------------------
 2 files changed, 3708 insertions(+), 6855 deletions(-)

commit 4558bcd94b2e5676535dbe427ace48a3685910dc
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Sat Sep 18 12:33:19 2010 +0200

    [i18n] Updated German translation

 po/de.po |  451 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 231 insertions(+), 220 deletions(-)

commit 65b684c16885fa41e9e69ba104a98d0894fb1ee2
Author: Funda Wang <fundawang@gmail.com>
Date:   Fri Sep 17 05:26:27 2010 +0200

    Updated zh_CN translation.

 po/zh_CN.po | 1175 ++---------------------------------------------------------
 1 files changed, 22 insertions(+), 1153 deletions(-)

commit ce2ebab5ac9f80a007c92f49ef1da5b100c60f42
Author: Žygimantas Beručka <zygis@gnome.org>
Date:   Fri Sep 17 02:45:36 2010 +0300

    Updated Lithuanian translation

 po/lt.po |15417 +++++++++++++++++++++++++-------------------------------------
 1 files changed, 6093 insertions(+), 9324 deletions(-)

commit b5423f833021acdb90517fb7dd6d364a9028410b
Author: Aron Xu <aronxu@gnome.org>
Date:   Thu Sep 16 17:43:40 2010 +0000

    Update Simplified Chinese translation.

 po/zh_CN.po | 1202 ++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 616 insertions(+), 586 deletions(-)

commit f0ee7c6a7f9605bff28d9cdfc4f512128c2da980
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:   Wed Sep 15 20:36:00 2010 +0200

    Updated Danish translation

 po/da.po | 2068 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 1051 insertions(+), 1017 deletions(-)

commit b71f1d0a7b7294af736722c313576d7c282634e8
Author: Fridrich Štrba <fridrich.strba@bluewin.ch>
Date:   Wed Sep 15 16:49:01 2010 +0200

    Increase safety on Windows
    Call SetDllDirectory() to reduce risk of DLL hijacking, and call SetProcessDEPPolicy() to reduce risk of rogue code execution.

 addressbook/tools/evolution-addressbook-export.c |   36 ++++++++++++++++++++++
 calendar/gui/alarm-notify/notify-main.c          |   34 ++++++++++++++++++++-
 capplet/anjal-settings-main.c                    |   35 ++++++++++++++++++---
 plugins/backup-restore/backup.c                  |   36 ++++++++++++++++++++++
 shell/main.c                                     |   32 +++++++++++++++++--
 5 files changed, 164 insertions(+), 9 deletions(-)

commit c6a61ebd4ad9e467cdcca3be6fe2129d62ff7160
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:   Wed Sep 15 00:01:04 2010 +0200

    [l10n] Updated German translation

 po/de.po |  389 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 189 insertions(+), 200 deletions(-)

commit f4ce7f5a442c9e35ceec5bb4da72af53fc50a91a
Author: Christian.Kirbach <Christian.Kirbach@googlemail.com>
Date:   Tue Sep 14 16:15:32 2010 +0200

    [l10n] Updated German help translation

 help/de/de.po |   46 +++++++++++++++++++++++-----------------------
 1 files changed, 23 insertions(+), 23 deletions(-)

commit 5f549e0b208cc999ba2f7c13dfddfabe68742ef5
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Tue Sep 14 10:15:23 2010 +0200

    Updated Galician translations

 po/gl.po | 1530 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 1528 insertions(+), 2 deletions(-)

commit 9aa8f12dc63552948c0e8b9415c695b8a0360e6c
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Tue Sep 14 10:12:03 2010 +0200

    Updated Galician translations

 po/gl.po | 1855 ++++++--------------------------------------------------------
 1 files changed, 176 insertions(+), 1679 deletions(-)

commit 19771718e9a75a9f8ccf22c0f3fff5d26d9a6901
Author: Ivar Smolin <okul@linux.ee>
Date:   Tue Sep 14 11:07:30 2010 +0300

    [l10n] Updated Estonian translation

 po/et.po |   28 ++++++++++++++--------------
 1 files changed, 14 insertions(+), 14 deletions(-)

commit 81f3dc06fcb6f50cbb08f86b116cf57111468ec9
Author: Fridrich Štrba <fridrich.strba@bluewin.ch>
Date:   Mon Sep 13 22:54:19 2010 +0200

    Avoid dll hijacking
    Load sensapi.dll only from system directory where it should normally
    be and not from any random place.

 modules/windows-sens/evolution-windows-sens.c |   27 ++++++++++++++++++++++++-
 1 files changed, 26 insertions(+), 1 deletions(-)

commit c33a84d443f6a340fc247531b6bc8c9997b52aba
Author: David Woodhouse <David.Woodhouse@intel.com>
Date:   Mon Sep 13 21:00:25 2010 +0100

    Bug 626066 - log in to NSS database on demand for changing trust

 smime/gui/cert-trust-dialog.c   |    4 ++--
 smime/gui/certificate-manager.c |    9 ++-------
 smime/lib/e-cert-db.c           |   37 ++++++++++++++++++++++++++++++++++---
 smime/lib/e-cert-db.h           |    3 +++
 4 files changed, 41 insertions(+), 12 deletions(-)

commit 6ed1e54b3299768a2f61ccf70f5f585b875b0517
Author: Timo Jyrinki <timo.jyrinki@iki.fi>
Date:   Mon Sep 13 18:27:46 2010 +0300

    Updated Finnish translation by Ubuntu Finnish translators.

 po/fi.po |17693 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 8839 insertions(+), 8854 deletions(-)

commit d05e5ce2c7998d5154ea51d6ca5c57b7956e9267
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:   Mon Sep 13 20:19:31 2010 +0900

    Updated Japanese translation.

 po/ja.po |  777 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 391 insertions(+), 386 deletions(-)

commit 40bb519fdaca5fe94a1aecb6f50e91d83b34d9f2
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Sep 13 16:09:19 2010 +0530

    post release version bump

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 0da0adf287fcbedb8fba02627bf069a496c5f0d6
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Sep 13 12:08:43 2010 +0530

    News update for 2.31.92 release

 NEWS |   69 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 69 insertions(+), 0 deletions(-)

commit 4d8b423ad1a86ab436c1106a7571de484c1264cb
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Mon Sep 13 10:38:59 2010 +0200

    Updated Galician translations

 po/gl.po |  131 ++++++++++++++++++++++++++-----------------------------------
 1 files changed, 56 insertions(+), 75 deletions(-)

commit 7d45a1142a3badc89f8a9b0e1dd7b6492f38df2e
Author: Rajesh Ranjan <rranjan@rranjan.csb>
Date:   Mon Sep 13 13:02:29 2010 +0530

    hindi update to fix bug

 po/hi.po |    9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)

commit f1ea70aba5f49d687da59ed3d128daf53ad7641e
Author: Ivar Smolin <okul@linux.ee>
Date:   Mon Sep 13 09:22:53 2010 +0300

    [l10n] Updated Estonian translation

 po/et.po | 1356 +++----------------------------------------------------------
 1 files changed, 67 insertions(+), 1289 deletions(-)

commit e39e0ba2480be2393c2170963361b814f0a1495c
Author: Hao H Li <hao.h.li@intel.com>
Date:   Mon Sep 13 11:14:36 2010 +0530

    Bug #629037 - Email operations existed in Contacts
    
    Email operations existed in Contacts in Express mode.

 ui/evolution-calendars.ui |    5 +++++
 ui/evolution-contacts.ui  |    5 +++++
 ui/evolution-mail.ui      |    3 +++
 ui/evolution-memos.ui     |    5 +++++
 ui/evolution-shell.ui     |    2 +-
 ui/evolution-tasks.ui     |    5 +++++
 6 files changed, 24 insertions(+), 1 deletions(-)

commit d74e3a57ddbcc344bb556fc5342b215b798aaba2
Author: Milan Crha <mcrha@redhat.com>
Date:   Mon Sep 13 10:17:32 2010 +0530

    Bug #627812 - GW shouldn't use global folder tree.
    
    Groupwise shouldn't use global folder tree for UI.

 plugins/groupwise-features/share-folder-common.c |   11 ++++-------
 1 files changed, 4 insertions(+), 7 deletions(-)

commit b7abc64e9dda5f8a353af17b0054db04eb54ac90
Author: Punit Jain <jpunit@novell.com>
Date:   Mon Sep 13 09:48:27 2010 +0530

    Bug #629132 - set_attachments: assertion failed.
    
    [mail-to-task] CRITICAL **: set_attachments: assertion `status.uris != NULL' failed
    Uri was actually a path.

 plugins/mail-to-task/mail-to-task.c |    9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)

commit fab32c94a18a03f8f665b3946dd2af102a0c4adc
Author: David Woodhouse <David.Woodhouse@intel.com>
Date:   Sun Sep 12 15:54:00 2010 +0100

    Bug 626066 - log in to NSS database before invoking certificate manager

 smime/gui/certificate-manager.c |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

commit a6e9acaab31a9381c4808adcd0b9c6ab6eac345a
Author: Christian Kirbach <christian.kirbach@googlemail.com>
Date:   Sun Sep 12 14:25:28 2010 +0200

    [i18n] Updated German translation

 po/de.po | 2850 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 1471 insertions(+), 1379 deletions(-)

commit a7d4f03e4fcdf630baaa35b6e6dc3b05c16ef9ef
Author: David Woodhouse <David.Woodhouse@intel.com>
Date:   Sun Sep 12 12:05:54 2010 +0100

    Bug 629413 - use-after-free in bad cert dialog

 mail/mail-session.c |    4 +---
 1 files changed, 1 insertions(+), 3 deletions(-)

commit 6715ff838ae3305311be82244ed3fd4736552d55
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Sep 12 06:33:32 2010 -0400

    Bug 629393 - git.mk breaks parallel builds

 git.mk |  177 +++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 93 insertions(+), 84 deletions(-)

commit 32d791ee4fbd1b00bae1ce95bd15929070c6bf83
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   Sat Sep 11 21:59:27 2010 +0200

    Updated French translation

 po/fr.po |  488 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 237 insertions(+), 251 deletions(-)

commit b6f6bf7247a2abcb26a06a21ef96f5b22a3f252f
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sat Sep 11 20:26:18 2010 +0200

    Updated Slovenian translation

 po/sl.po |  511 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 262 insertions(+), 249 deletions(-)

commit 5e2764b49d19c3b9795e8615b71d9cd88daa69e3
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Sep 11 13:44:26 2010 -0400

    Use --disable-gtk3 in DISTCHECK_CONFIGURE_FLAGS.
    
    GNOME 2.32 is still based on GTK+ 2.x.

 Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ebcce86769d174cce6e881740c5e9bcedce28e06
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Sep 11 11:50:51 2010 -0400

    Coding style and whitespace cleanups.

 addressbook/gui/contact-editor/e-contact-editor.c  |  108 +++---
 addressbook/gui/contact-editor/test-editor.c       |    2 +-
 .../contact-list-editor/e-contact-list-editor.c    |    4 +-
 .../gui/widgets/e-addressbook-reflow-adapter.c     |    6 +-
 addressbook/gui/widgets/e-minicard-label.c         |    4 +-
 addressbook/gui/widgets/e-minicard-view-widget.c   |   20 +-
 addressbook/gui/widgets/e-minicard-view.c          |   10 +-
 addressbook/gui/widgets/e-minicard.c               |   16 +-
 addressbook/gui/widgets/eab-contact-display.c      |    6 +-
 calendar/gui/alarm-notify/config-data.c            |   33 +-
 calendar/gui/dialogs/recurrence-page.c             |    4 +-
 calendar/gui/e-alarm-list.c                        |    8 +-
 calendar/gui/e-cal-list-view.c                     |    4 +-
 calendar/gui/e-date-time-list.c                    |   10 +-
 calendar/gui/e-day-view-layout.c                   |   22 +-
 calendar/gui/e-day-view-time-item.c                |    6 +-
 calendar/gui/e-day-view.c                          |    2 +-
 calendar/gui/e-meeting-list-view.c                 |   14 +-
 calendar/gui/e-meeting-store.c                     |    2 +-
 calendar/gui/e-meeting-time-sel-item.c             |    4 +-
 calendar/gui/e-meeting-time-sel.c                  |   26 +-
 calendar/gui/e-memo-table.c                        |    4 +-
 calendar/gui/e-select-names-renderer.c             |    4 +-
 calendar/gui/e-task-table.c                        |    4 +-
 calendar/gui/e-week-view-layout.c                  |   12 +-
 calendar/gui/ea-cal-view-event.c                   |    4 +-
 calendar/gui/ea-cal-view.c                         |    4 +-
 calendar/gui/ea-calendar-helpers.c                 |    6 +-
 calendar/gui/ea-gnome-calendar.c                   |    2 +-
 capplet/settings/mail-account-view.c               |    2 +-
 capplet/settings/mail-capplet-shell.c              |    4 +-
 e-util/e-datetime-format.c                         |   26 +-
 e-util/e-event.c                                   |    5 +-
 e-util/e-html-utils.c                              |    2 +-
 e-util/e-import.h                                  |   29 +-
 e-util/e-logger.c                                  |    4 +-
 e-util/e-non-intrusive-error-dialog.h              |    2 +-
 e-util/e-signature-list.c                          |    2 +-
 e-util/gtk-compat.h                                |    3 +-
 filter/e-filter-rule.c                             |   14 +-
 libart_lgpl/art_render.h                           |    2 +-
 libart_lgpl/art_svp_render_aa.c                    |    2 +-
 libgnomecanvas/gnome-canvas.h                      |    4 +-
 mail/em-folder-tree.c                              |  239 +++++++----
 mail/em-utils.c                                    |    9 +-
 mail/message-list.c                                |    8 +-
 mail/message-list.h                                |   28 +-
 modules/calendar/e-cal-shell-view-private.c        |    2 +-
 .../network-manager/evolution-network-manager.c    |   27 +-
 plugins/attachment-reminder/attachment-reminder.c  |    2 +-
 plugins/bbdb/gaimbuddies.c                         |    2 +-
 plugins/caldav/caldav-browse-server.c              |    6 +-
 plugins/calendar-file/calendar-file.c              |    4 +-
 plugins/calendar-weather/calendar-weather.c        |    2 +-
 plugins/face/face.c                                |    2 +-
 plugins/groupwise-features/camel-gw-listener.c     |    2 +-
 plugins/groupwise-features/install-shared.c        |    2 +-
 plugins/groupwise-features/mail-send-options.c     |    2 +-
 plugins/groupwise-features/send-options.c          |   28 +-
 plugins/groupwise-features/share-folder-common.c   |    2 +-
 plugins/groupwise-features/status-track.c          |    2 +-
 plugins/pst-import/pst-importer.c                  |    2 +-
 plugins/sa-junk-plugin/em-junk-filter.c            |   56 ++--
 shell/e-shell-switcher.c                           |    4 +-
 shell/e-shell-utils.c                              |    6 +-
 shell/es-event.c                                   |   12 +-
 widgets/e-timezone-dialog/e-timezone-dialog.c      |   26 +-
 widgets/menus/gal-define-views-dialog.c            |   22 +-
 widgets/menus/gal-define-views-dialog.h            |    2 +-
 widgets/menus/gal-define-views-model.c             |  159 ++++---
 widgets/menus/gal-view-collection.c                |  162 ++++----
 widgets/menus/gal-view-etable.c                    |   64 ++--
 widgets/menus/gal-view-factory-etable.h            |    2 +-
 widgets/menus/gal-view-instance.c                  |   44 +-
 widgets/menus/gal-view-new-dialog.c                |   24 +-
 widgets/menus/gal-view.c                           |    2 +-
 widgets/misc/e-buffer-tagger.c                     |   22 +-
 widgets/misc/e-calendar-item.c                     |    8 +-
 widgets/misc/e-canvas-background.c                 |    8 +-
 widgets/misc/e-canvas.c                            |    2 +-
 widgets/misc/e-dateedit.c                          |    2 +-
 widgets/misc/e-popup-menu.c                        |    2 +-
 widgets/misc/e-printable.c                         |   22 +-
 widgets/misc/ea-calendar-item.c                    |   19 +-
 widgets/misc/ea-cell-table.c                       |   16 +-
 widgets/table/e-cell-checkbox.c                    |    6 +-
 widgets/table/e-cell-date-edit.c                   |    6 +-
 widgets/table/e-cell-date.c                        |   10 +-
 widgets/table/e-cell-hbox.c                        |    6 +-
 widgets/table/e-cell-number.c                      |   10 +-
 widgets/table/e-cell-percent.c                     |    4 +-
 widgets/table/e-cell-pixbuf.c                      |    2 +-
 widgets/table/e-cell-size.c                        |   10 +-
 widgets/table/e-cell-text.c                        |   88 ++--
 widgets/table/e-cell-toggle.c                      |    6 +-
 widgets/table/e-cell-tree.c                        |   56 ++--
 widgets/table/e-cell-vbox.c                        |    6 +-
 widgets/table/e-cell.c                             |   58 ++--
 widgets/table/e-table-click-to-add.c               |   86 ++--
 widgets/table/e-table-column-specification.c       |   14 +-
 widgets/table/e-table-config.c                     |  203 +++++---
 widgets/table/e-table-config.h                     |    4 +-
 widgets/table/e-table-field-chooser-dialog.c       |   26 +-
 widgets/table/e-table-field-chooser-dialog.h       |    2 +-
 widgets/table/e-table-field-chooser-item.c         |   68 ++--
 widgets/table/e-table-field-chooser.c              |   54 +-
 widgets/table/e-table-field-chooser.h              |    2 +-
 widgets/table/e-table-group-container.c            |  134 +++---
 widgets/table/e-table-group-leaf.c                 |  120 +++---
 widgets/table/e-table-group.c                      |   38 +-
 widgets/table/e-table-group.h                      |    2 +-
 widgets/table/e-table-header-item.c                |  168 ++++----
 widgets/table/e-table-header-utils.c               |    4 +-
 widgets/table/e-table-header.c                     |  114 +++---
 widgets/table/e-table-item.c                       |  462 +++++++++---------
 widgets/table/e-table-memory-callbacks.c           |   20 +-
 widgets/table/e-table-memory-store.c               |   32 +-
 widgets/table/e-table-memory.c                     |   40 +-
 widgets/table/e-table-model.c                      |   80 ++--
 widgets/table/e-table-one.c                        |   50 +-
 widgets/table/e-table-search.c                     |   14 +-
 widgets/table/e-table-selection-model.c            |  142 +++---
 widgets/table/e-table-sort-info.c                  |   60 ++--
 widgets/table/e-table-sorted-variable.c            |   66 ++--
 widgets/table/e-table-sorted.c                     |   82 ++--
 widgets/table/e-table-sorter.c                     |  110 +++---
 widgets/table/e-table-sorting-utils.c              |  136 +++---
 widgets/table/e-table-specification.c              |    4 +-
 widgets/table/e-table-state.c                      |   54 +-
 widgets/table/e-table-subset-variable.c            |   68 ++--
 widgets/table/e-table-subset.c                     |   48 +-
 widgets/table/e-table-utils.c                      |   10 +-
 widgets/table/e-table-without.c                    |    6 +-
 widgets/table/e-table.c                            |  500 ++++++++++----------
 widgets/table/e-tree-memory-callbacks.c            |   30 +-
 widgets/table/e-tree-memory.c                      |   50 +-
 widgets/table/e-tree-model.c                       |  170 ++++----
 widgets/table/e-tree-selection-model.c             |  160 ++++----
 widgets/table/e-tree-sorted.c                      |  302 ++++++------
 widgets/table/e-tree-table-adapter.c               |  408 ++++++++--------
 widgets/table/e-tree.c                             |  416 ++++++++--------
 widgets/table/e-tree.h                             |    4 +-
 widgets/table/gal-a11y-e-cell-popup.c              |    4 +-
 widgets/table/gal-a11y-e-cell-registry.c           |    2 +-
 widgets/table/gal-a11y-e-cell-text.c               |    2 +-
 widgets/table/gal-a11y-e-cell-toggle.c             |    6 +-
 widgets/table/gal-a11y-e-cell-tree.c               |   10 +-
 widgets/table/gal-a11y-e-cell-vbox.c               |    2 +-
 widgets/table/gal-a11y-e-cell.c                    |   14 +-
 .../table/gal-a11y-e-table-click-to-add-factory.c  |    2 +-
 widgets/table/gal-a11y-e-table-click-to-add.c      |   18 +-
 widgets/table/gal-a11y-e-table-column-header.c     |   12 +-
 widgets/table/gal-a11y-e-table-item-factory.c      |    2 +-
 widgets/table/gal-a11y-e-table-item.c              |   62 ++--
 widgets/table/gal-a11y-e-table.c                   |    6 +-
 widgets/text/e-reflow-model.c                      |   54 +-
 widgets/text/e-reflow.c                            |  192 ++++----
 widgets/text/e-text.c                              |  206 ++++----
 widgets/text/gal-a11y-e-text.c                     |   22 +-
 159 files changed, 3569 insertions(+), 3387 deletions(-)

commit 1e3deb31476cf0026011876327be83e9a47847ee
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Sat Sep 11 18:03:22 2010 +0100

    Updated British English translation

 po/en_GB.po |  520 +++++++++++++++++++++++++++++++----------------------------
 1 files changed, 270 insertions(+), 250 deletions(-)

commit 6433f80677f5c924978320cd219768cb9182f5bd
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Sat Sep 11 18:06:16 2010 +0200

    Updated Galician translations

 po/gl.po |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 1735cee1d5ace6ee13625eac9a50cc3ec2161506
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Sat Sep 11 15:53:13 2010 +0200

    Updated Galician translations

 po/gl.po |   34 ++++++++++++++--------------------
 1 files changed, 14 insertions(+), 20 deletions(-)

commit 93b81bc32c0c046421653808334427d426c01e8a
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Sat Sep 11 15:47:06 2010 +0200

    Updated Galician translations

 po/gl.po |   48 ++++++++++++++++++++++++------------------------
 1 files changed, 24 insertions(+), 24 deletions(-)

commit 7498cb35ca8567e63ccc443bf531907a201195b4
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Sat Sep 11 15:17:12 2010 +0200

    Updated Hungarian translation

 po/hu.po |  385 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 190 insertions(+), 195 deletions(-)

commit c5a2dda49b902626ecda9aa1edb6049d7fcf421b
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Sep 11 09:00:54 2010 -0400

    GnomeCalendar: Sink the floating ECalendarView references.
    
    GnomeCalendar should sink the initially-floating ECalendarView
    references since it keeps them in an internal array and unreferences
    them in its dispose() method.

 calendar/gui/gnome-cal.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 4c13763c5eab1013f6abab234f77fa06e4502652
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Sep 11 08:05:14 2010 -0400

    Convert ECell from a GtkObject to a GObject.
    
    To eliminate the floating-reference-on-finalize run-time warnings.

 widgets/table/e-cell-date-edit.c |   39 +++++++++++++++++--------------------
 widgets/table/e-cell-popup.c     |    3 --
 widgets/table/e-cell-text.c      |    4 +--
 widgets/table/e-cell.c           |    2 +-
 widgets/table/e-cell.h           |    4 +-
 5 files changed, 22 insertions(+), 30 deletions(-)

commit bc9ece413fce4941a74a13619815a0869c1d2e99
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Sep 11 07:32:05 2010 -0400

    Re-work my GtkDialog:has-separator workaround.
    
    If we're using GTK+ 2.21.8 (where gtk_dialog_set_has_separator() is
    deprecated but the property is still present and defaults to TRUE), we
    still need to set the property to FALSE.  So instead use g_object_set()
    up through GTK+ 2.90.6, after which the property itself is gone.

 .../gui/contact-editor/e-contact-editor-fullname.c |    4 ++--
 e-util/e-alert-dialog.c                            |    4 ++--
 filter/e-filter-datespec.c                         |    4 ++--
 filter/e-rule-context.c                            |    4 ++--
 filter/e-rule-editor.c                             |   12 ++++++------
 mail/e-mail-label-dialog.c                         |    4 ++--
 modules/calendar/e-cal-attachment-handler.c        |    4 ++--
 modules/mailto-handler/evolution-mailto-handler.c  |    4 ++--
 plugins/backup-restore/backup.c                    |    4 ++--
 plugins/mail-notification/mail-notification.c      |    4 ++--
 plugins/mark-all-read/mark-all-read.c              |    4 ++--
 plugins/publish-calendar/url-editor-dialog.c       |    4 ++--
 shell/main.c                                       |    5 ++---
 widgets/menus/gal-view-instance-save-as-dialog.c   |    4 ++--
 widgets/misc/e-attachment-dialog.c                 |    4 ++--
 widgets/misc/e-charset-combo-box.c                 |    4 ++--
 widgets/misc/e-signature-script-dialog.c           |    4 ++--
 17 files changed, 38 insertions(+), 39 deletions(-)

commit 3e176a079f5b2973494b2eaf2c863a722bab214b
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Sat Sep 11 14:46:35 2010 +0200

    Updated Galician translations

 po/gl.po |  854 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 428 insertions(+), 426 deletions(-)

commit e54ff6fd90c212758d65ecef635a0274060f2d97
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Sep 11 08:23:20 2010 -0400

    Add missing linker flag to composer-autosave module.

 modules/composer-autosave/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit e237bb7717dc30d5e94c41f752db6ad56bc61d39
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sat Sep 11 12:19:37 2010 +0200

    Updated Spanish translation

 po/es.po |  530 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 275 insertions(+), 255 deletions(-)

commit 7dfa7565a010ff26cc21226b5b928bad0a0c53a9
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Sat Sep 11 19:12:33 2010 +0900

    Updatd Korean translation

 po/ko.po |10698 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 4964 insertions(+), 5734 deletions(-)

commit c75f4fc8773e0836354d713fc150f13ecfb291ed
Author: Dr.Tirumurti Vasudevan <vasudeven@git.gnome.org>
Date:   Sat Sep 11 13:13:45 2010 +0530

    Updated Tamil translation

 po/ta.po |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 2d07a962dc06dda77393466da947ba125ed322ef
Author: Dr.Tirumurti Vasudevan <vasudeven@git.gnome.org>
Date:   Sat Sep 11 13:10:20 2010 +0530

    Updated Tamil translation

 po/ta.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 43785f7000773c7287912048d138ce9114b4dff1
Author: Dr.Tirumurti Vasudevan <vasudeven@git.gnome.org>
Date:   Sat Sep 11 13:06:38 2010 +0530

    Updated Tamil translation

 po/ta.po | 2464 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 1258 insertions(+), 1206 deletions(-)

commit ec49cd00de6cfe17ef444e0bd81e175f12d381aa
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Sep 11 00:01:51 2010 -0400

    No more blinking status icon.
    
    GTK+ came to its senses and dropped support for it.  Thank goodness.

 .../apps-evolution-mail-notification.schemas.in    |   11 ------
 plugins/mail-notification/mail-notification.c      |   37 --------------------
 2 files changed, 0 insertions(+), 48 deletions(-)

commit a6e137295f3fb4dc42a87590d03a05155ea396a0
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Sep 10 23:56:18 2010 -0400

    Work around deprecation of gtk_dialog_set_has_separator()
    
    Unfortunately the default value for this property is TRUE (bzzt, WRONG!)
    so we can't just remove the function outright until we require GTK+ 2.22.
    It was deprecated in GTK+ 2.21.8.

 .../gui/contact-editor/e-contact-editor-fullname.c |    2 ++
 e-util/e-alert-dialog.c                            |    2 ++
 filter/e-filter-datespec.c                         |    2 ++
 filter/e-rule-context.c                            |    2 ++
 filter/e-rule-editor.c                             |    6 ++++++
 mail/e-mail-label-dialog.c                         |    2 ++
 modules/calendar/e-cal-attachment-handler.c        |    2 ++
 modules/mailto-handler/evolution-mailto-handler.c  |    2 ++
 plugins/backup-restore/backup.c                    |    2 ++
 plugins/mail-notification/mail-notification.c      |    2 ++
 plugins/mark-all-read/mark-all-read.c              |    2 ++
 plugins/publish-calendar/url-editor-dialog.c       |    2 ++
 shell/main.c                                       |    2 ++
 widgets/menus/gal-view-instance-save-as-dialog.c   |    2 ++
 widgets/misc/e-attachment-dialog.c                 |    2 ++
 widgets/misc/e-charset-combo-box.c                 |    2 ++
 widgets/misc/e-signature-script-dialog.c           |    2 ++
 17 files changed, 38 insertions(+), 0 deletions(-)

commit 5d1a6ce06bf658c09aaceb3f2eaee06d79a65f69
Author: A S Alam <aalam@users.sf.net>
Date:   Sat Sep 11 08:28:34 2010 +0530

    update for Punjabi

 po/pa.po |  757 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 394 insertions(+), 363 deletions(-)

commit d1a67bb5c542b04ac0d6a24019ba9fa010fb1a95
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Sep 10 19:03:06 2010 -0400

    Bug 628591 - Incorrect English message in Evolution

 mail/mail-autofilter.c |   15 +++++++++------
 mail/mail-vfolder.c    |   15 +++++++++------
 2 files changed, 18 insertions(+), 12 deletions(-)

commit e6067ccb6c5b3988d607c3dbcfee9f3e5458fa08
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Sep 10 18:48:24 2010 -0400

    Bug 616073 - Various translation issues

 composer/mail-composer.error.xml |    2 +-
 mail/em-utils.c                  |   16 ++++++++--------
 smime/gui/smime-ui.ui            |    2 +-
 3 files changed, 10 insertions(+), 10 deletions(-)

commit 38b1b83bf6255c6c4ffb453a380f0fbe4a8b3f14
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Fri Sep 10 18:39:21 2010 -0400

    Bug 629250 - Fix translatable string format in mail-settings-view.c

 capplet/settings/mail-settings-view.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ff35bad1dec98abf76844fe661b6225b8ed4ba7b
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Fri Sep 10 18:32:59 2010 -0400

    Bug 629253 - Remove unnecessary markup

 capplet/settings/mail-account-view.c  |   24 ++++++++++++++++++------
 capplet/settings/mail-settings-view.c |    2 +-
 2 files changed, 19 insertions(+), 7 deletions(-)

commit a96676f44616b7d4debe98efdeee2c6f2be1d033
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Sep 10 12:00:06 2010 +0200

    Bug #626579 - [bbdb] Crash in free_gaim_body() (gaimbuddies.c)

 plugins/bbdb/gaimbuddies.c |   15 ++++++---------
 1 files changed, 6 insertions(+), 9 deletions(-)

commit d09d5bcc9aee79b44d7842c7364d536b189a4ab3
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:   Fri Sep 10 12:57:28 2010 +0900

    Updated Japanese translation.

 po/ja.po |  316 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 160 insertions(+), 156 deletions(-)

commit 3574637ace88a151616e1af14813808221d8366c
Author: Leonid Kanter <leon@asplinux.ru>
Date:   Thu Sep 9 15:20:49 2010 +0300

    Updated Russian translation from Yuri Myasoedov

 po/ru.po |11963 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 6239 insertions(+), 5724 deletions(-)

commit c8cbd60ffcaf0160691105c0cbebf243448116e5
Author: Ivar Smolin <okul@linux.ee>
Date:   Thu Sep 9 15:12:01 2010 +0300

    [l10n] Updated Estonian translation

 po/et.po |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit cd920cab1adf6a8c73626fb423b9ede6b92a38db
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu Sep 9 14:07:33 2010 +0200

    Bug #629089 - Accepting a meeting request sends a Tentative reply

 calendar/gui/itip-utils.c |   32 ++++++++++++++++++++++++++++++++
 1 files changed, 32 insertions(+), 0 deletions(-)

commit b7a49911ebf9ddcd47057f4066942c3fcd59838a
Author: Ivar Smolin <okul@linux.ee>
Date:   Thu Sep 9 14:09:50 2010 +0300

    [l10n] Updated Estonian translation

 po/et.po |  120 +++++++++++++++++++-------------------------------------------
 1 files changed, 37 insertions(+), 83 deletions(-)

commit 0788178cfcc15a5db2857214aafde848513a7bfd
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu Sep 9 12:34:43 2010 +0200

    Bug #629115 - Missing mnemonic_widget property in mail-config.ui

 mail/mail-config.ui |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 19fb22903ca10a1e22e1f23a5accee350b75fee1
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu Sep 9 09:37:44 2010 +0200

    Bug #629046 - Empty reply quotation for HTML messages

 em-format/em-format.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 90dd581ba3fe3809a210d56d83240cd4ab5197c3
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Wed Sep 8 21:09:06 2010 +0200

    Updated Hungarian translation

 po/hu.po |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit ea5ff7e0609ac1a06ce3301e55d35a44220b0f84
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Wed Sep 8 21:08:08 2010 +0200

    Updated Hungarian translation

 po/hu.po |10845 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 5071 insertions(+), 5774 deletions(-)

commit 4124ba378b3128ee5f0cb85925559f5fb42cff67
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Wed Sep 8 19:33:39 2010 +0530

    Use the and operator only if there are two conditions

 calendar/gui/e-cal-model.c |   17 ++++++++++++-----
 calendar/gui/gnome-cal.c   |   17 ++++++++++++-----
 2 files changed, 24 insertions(+), 10 deletions(-)

commit 86bd41c9c374b8b80ed4924d4cc1c3f6e196731a
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed Sep 8 09:28:57 2010 -0400

    Bug 629054 - Memory leak in memo_table_constructed()

 calendar/gui/e-memo-table.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 76d9c4e8810bdf3cb0c6625b7310505520dbc2a6
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed Sep 8 09:26:32 2010 -0400

    Bug 629052 - Memory leak in task_table_constructed()

 calendar/gui/e-task-table.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 6c02410d38881bd7c4bd63a77f6f50ae8c6f9389
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed Sep 8 09:22:16 2010 -0400

    Bug 629051 - Memory leak in gnome_calendar_constructed()

 calendar/gui/gnome-cal.c |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit e841c0622c5c718be893c9d47ade55fc4151c6c9
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed Sep 8 09:13:20 2010 -0400

    Bug 629050 - Memory leak in e_day_view_recalc_cell_sizes()

 calendar/gui/e-day-view.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit d5dae027a8372499663348441e743c0183989400
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed Sep 8 09:08:21 2010 -0400

    Bug 629049 - Memory leak in e_composer_pose_header_set_account()

 composer/e-composer-post-header.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 0e2c8c85f81b9638213cdd8a2575807144c7fc24
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed Sep 8 09:07:50 2010 -0400

    Simplify emu_restore_folder_tree_state().
    
    Don't bother passing a GError if we're just going to throw it away.

 mail/em-utils.c |    8 ++------
 1 files changed, 2 insertions(+), 6 deletions(-)

commit 35d502792c255fc5dba5d0598fcfc648f961d4fe
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Tue Sep 7 19:02:21 2010 +0200

    Updated Galician translations

 po/gl.po |  327 ++++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 189 insertions(+), 138 deletions(-)

commit 101305e1c7dc24f5a40e80a900b0777b2634722f
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Sep 7 18:39:46 2010 +0200

    Various memory leaks

 composer/e-composer-private.c                 |   25 +++++++++++++++----------
 e-util/e-plugin-ui.c                          |   12 +++++++++---
 e-util/e-plugin.c                             |    5 -----
 em-format/em-format.c                         |    3 ---
 libgnomecanvas/gnome-canvas.c                 |    2 --
 mail/em-format-html.c                         |    4 ++--
 plugins/mail-notification/mail-notification.c |    1 +
 shell/e-shell-content.c                       |    5 +++++
 shell/e-shell-searchbar.c                     |    5 +++++
 shell/e-shell.c                               |    2 +-
 widgets/misc/e-menu-tool-button.c             |    7 ++++++-
 widgets/text/e-text.c                         |    3 +++
 12 files changed, 47 insertions(+), 27 deletions(-)

commit ba5bb60860c0e0eff92cd7d2c4ae098fa107c331
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Sep 7 11:03:39 2010 +0200

    Memory leak fix in em_folder_tree_get_selected_folder

 mail/em-folder-tree.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 13241ca42c48609d94a88820cafb907c848d4823
Author: Milan Crha <mcrha@redhat.com>
Date:   Mon Sep 6 19:18:08 2010 +0200

    Bug #627952 - 'Local delivery' mbox's aren't read properly

 mail/mail-tools.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 30ff1092a6133efc218b6777f0cca1d59b4c6306
Author: Ivar Smolin <okul@linux.ee>
Date:   Mon Sep 6 17:45:37 2010 +0300

    [l10n] Updated Estonian translation

 po/et.po |  304 +++++++++++++++++++++++++++++--------------------------------
 1 files changed, 145 insertions(+), 159 deletions(-)

commit 797f2b23fdd4e904ed81ceb3672949fa74856a4c
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:   Mon Sep 6 22:01:00 2010 +0900

    Fix Japanese translation.

 po/ja.po |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 9b6faec5f518ccd053db481b5cfea3b372a64436
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:   Mon Sep 6 21:40:53 2010 +0900

    Updated Japanese translation.

 po/ja.po | 1929 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 905 insertions(+), 1024 deletions(-)

commit de7fe650ac15a3bdee61756c3e3da10b4f7763a9
Author: Claude Paroz <claude@2xlibre.net>
Date:   Sun Sep 5 21:12:43 2010 +0200

    Updated French translation

 po/fr.po | 1738 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 882 insertions(+), 856 deletions(-)

commit ddbb2d20cfca52a2725eac43ebdd4098d279711f
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sun Sep 5 13:12:33 2010 +0200

    Updated Spanish translation

 po/es.po | 2170 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 1102 insertions(+), 1068 deletions(-)

commit 30342ecc4a53c72aed1a20d3d057a67fa31efa61
Author: A S Alam <aalam@users.sf.net>
Date:   Sun Sep 5 09:26:54 2010 +0530

    update for Punjabi

 po/pa.po |  468 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 256 insertions(+), 212 deletions(-)

commit 2c02fae12f04e0e83f970a19c69bac89727c94eb
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Sat Sep 4 23:31:13 2010 +0200

    Updated Galician translations

 po/gl.po | 1568 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 780 insertions(+), 788 deletions(-)

commit 1e317f1bef4c46b411c22f671b537818ca6256b0
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sat Sep 4 22:48:00 2010 +0200

    Updated Slovenian translation

 po/sl.po | 2206 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 1115 insertions(+), 1091 deletions(-)

commit cd400697be8ed1a608f9f783683f7e8750fefa41
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Sep 4 15:06:53 2010 +0100

    Update British English translation
    
    No strings changed, but hopefully this will cause damned-lies to update its
    statistics for the module, since they're wrong at the moment.

 po/en_GB.po |  107 +++++++++++++++++++++++++++++------------------------------
 1 files changed, 53 insertions(+), 54 deletions(-)

commit ddd3661351c2c7d555d649a30f14a43e3268a6dd
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Sep 3 22:02:50 2010 -0400

    Update POTFILES.in.

 po/POTFILES.in |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 7ecdf2606904291a032aa6b49a157a531312c5df
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Sep 3 21:46:22 2010 -0400

    Add composer-autosave to SUBDIRS.

 modules/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 561e255b42908f3a1010352cf956c94825eb344a
Author: Daniel Nylander <po@danielnylander.se>
Date:   Sat Sep 4 00:37:38 2010 +0200

    Updated Swedish translation

 po/sv.po |11513 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 5718 insertions(+), 5795 deletions(-)

commit 3eded6b690b5ae23280d45dca88e488012f6727c
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Sep 3 15:15:50 2010 +0200

    Bug #628694 - Customize options for local calendar are missing

 plugins/calendar-file/calendar-file.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit af40da7d0ffb40515bc785bf95dbc85f439d35b2
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Sep 3 08:18:19 2010 -0400

    Bug 628653 - e_alert_new_valist memory leak

 e-util/e-alert.c |   11 +++++++++--
 1 files changed, 9 insertions(+), 2 deletions(-)

commit eca5223b875706bd304aba1632bd303cf242e2ed
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Sep 3 08:12:04 2010 -0400

    Bug 628654 - e_calendar_view_get_tooltips memory leak

 calendar/gui/e-calendar-view.c |    4 +---
 calendar/gui/e-calendar-view.h |    2 +-
 calendar/gui/e-day-view.c      |    5 ++++-
 calendar/gui/e-week-view.c     |   10 ++++++++--
 4 files changed, 14 insertions(+), 7 deletions(-)

commit 5c7182a0a85b54920f333a9a035af1d293ab2247
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Sep 3 07:44:39 2010 -0400

    Bug 628660 - em_format_part_as() memory leak

 em-format/em-format.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit aa61df95271d9daa2eceb443de8e741c004528ea
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Sep 3 12:04:03 2010 +0200

    Bug #580623 - Mishandling of evolution's proxy ignore_hosts key

 mail/e-mail-migrate.c           |   61 ++++++++++++++++++++++++++++++
 modules/mail/em-network-prefs.c |   79 +++++++++++++++++++++++++++++++++++++-
 2 files changed, 137 insertions(+), 3 deletions(-)

commit 45625d0ce9212bd65fc67f6bed38bcd72754f8bd
Author: A S Alam <aalam@users.sf.net>
Date:   Fri Sep 3 08:01:53 2010 +0530

    update for Punjabi

 po/pa.po | 2183 +++++++++++++++++++++++++++-----------------------------------
 1 files changed, 958 insertions(+), 1225 deletions(-)

commit 7bad5855bd8417f42a6243ce2403110f8009ad36
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Sep 2 17:28:28 2010 -0400

    Whitespace cleanup in evolution-mail-reader.ui.

 ui/evolution-mail-reader.ui |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit 8fc31dfe753b3fe5b5d5e0c1914ff64aec710086
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Sep 2 15:48:43 2010 -0400

    Bug 628635 - Crash in alarm-queue.c:display_notification()

 calendar/gui/alarm-notify/alarm-queue.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 429234ff213ba04b6d0b02a28ed68aaa8af7c02c
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Sep 2 13:21:08 2010 -0400

    Convert composer autosave to an EExtension.
    
    Given the way the autosave feature was awkwardly bolted on to the
    composer, an EExtension seemed like a natural fit.  And it helped
    clean up some object lifecycle hacks (and bugs).
    
    What we have now is a new module consisting of two EExtensions:
    
       EComposerAutosave extends EMsgComposer and determines when to
       kick off an asynchronous autosave operation.
    
       EComposerRegistry extends EShell and offers to restore orphaned
       autosave files on startup (which is also asynchronous now).
    
    e-autosave-utils.c holds the actual asynchronous functions and a few
    other miscellaneous utility functions.
    
    Source code for the new module lives in /modules/composer-autosave.

 composer/Makefile.am                               |    2 -
 composer/e-composer-autosave.c                     |  511 --------------------
 composer/e-composer-autosave.h                     |   45 --
 composer/e-composer-private.h                      |    1 -
 composer/e-msg-composer.c                          |  142 +-----
 composer/e-msg-composer.h                          |    5 -
 configure.ac                                       |    1 +
 mail/em-composer-utils.c                           |    7 +-
 modules/composer-autosave/Makefile.am              |   28 ++
 modules/composer-autosave/e-autosave-utils.c       |  499 +++++++++++++++++++
 modules/composer-autosave/e-autosave-utils.h       |   48 ++
 modules/composer-autosave/e-composer-autosave.c    |  227 +++++++++
 modules/composer-autosave/e-composer-registry.c    |  236 +++++++++
 .../evolution-composer-autosave.c                  |   40 ++
 modules/mail/e-mail-shell-backend.c                |    8 -
 shell/e-shell.c                                    |   17 +-
 16 files changed, 1113 insertions(+), 704 deletions(-)

commit cccdb143a571cde36db9fe906864647aab546cff
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed Sep 1 07:39:00 2010 -0400

    Minor whitespace cleanup.

 e-util/e-util.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit 845f47b501183fb20def6b00684c069bf849774e
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Thu Sep 2 15:47:37 2010 +0200

    Updated Norwegian bokmål translation

 po/nb.po |  387 ++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 190 insertions(+), 197 deletions(-)

commit a60a4305a37901274ba2d1ddde88ed9c9bfbe81a
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Thu Sep 2 15:42:35 2010 +0200

    Updated Norwegian bokmål translation

 po/nb.po | 1366 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 683 insertions(+), 683 deletions(-)

commit a99d7c45daf931c89755eb12be16bf907a71c037
Author: Ivar Smolin <okul@linux.ee>
Date:   Thu Sep 2 11:20:48 2010 +0300

    [l10n] Updated Estonian translation

 po/et.po | 1047 +++++++++++++++++++++++++++++++++++++++++---------------------
 1 files changed, 703 insertions(+), 344 deletions(-)

commit 72766a6e2dd7c09455ae33b52d922b551710f16e
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed Sep 1 07:12:35 2010 -0400

    Bug 628483 - signature_combo_box_refresh_cb memory leak

 widgets/misc/e-signature-combo-box.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit f0d7a4142e8fb4ea492657aeb67c5a7bacf7af89
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed Sep 1 07:06:48 2010 -0400

    Bug 628482 - e_shell_settings_install_property_for_key memory leak

 shell/e-shell-settings.c |   10 +++++++---
 1 files changed, 7 insertions(+), 3 deletions(-)

commit d724d33f0c0b892d20c09bd16ac25fa70cea73e1
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Sep 1 09:21:21 2010 +0100

    Update British English translation

 po/en_GB.po |  253 +++++++++++++++++++++++++++++------------------------------
 1 files changed, 126 insertions(+), 127 deletions(-)

commit 4b3b6b1a7a4da74b02ef8b6d6ac8975f5ba1baf6
Author: Dirgita <dirgitadevina@yahoo.co.id>
Date:   Wed Sep 1 02:44:47 2010 +0700

    Updated Indonesian translation

 po/id.po | 7217 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 3937 insertions(+), 3280 deletions(-)

commit 062a67cc1465d7a4d02b0308e4faaa5784d02af1
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Aug 31 20:36:20 2010 +0200

    Bug #624021 - Honour weeks shown in a multi week view on print

 calendar/gui/e-cal-model.c |    4 +++-
 calendar/gui/print.c       |   28 +++++++++++++++++++++++++---
 2 files changed, 28 insertions(+), 4 deletions(-)

commit 96414281ab7be1080b1db902d6b5a6d83b256cc2
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Aug 30 15:14:36 2010 -0400

    Bug 628350 - Allow deletion of a deleted message to advance cursor

 mail/e-mail-reader.c |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 035fbcd84177cf592a48e41ca0ca7689aaaa9d17
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Aug 30 14:23:33 2010 -0400

    Composer autosave cleanups.
    
    This simplifies the async autosave logic and improves error handling.
    
    Hoping this will solve bug #616987 but I've yet to reproduce it myself.

 composer/e-composer-autosave.c |  133 ++++++++++++++--------------------------
 composer/e-msg-composer.c      |   34 +++++------
 composer/e-msg-composer.h      |    6 +-
 mail/em-composer-utils.c       |   49 +++++++++++++--
 plugins/templates/templates.c  |   28 ++++++++-
 5 files changed, 136 insertions(+), 114 deletions(-)

commit 680c58a7660020c614690421ff0e37ee55b2c9aa
Author: Milan Crha <mcrha@redhat.com>
Date:   Mon Aug 30 13:58:12 2010 +0200

    Bug #627101 - Not able to attach files in calendar

 calendar/gui/dialogs/comp-editor.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 252ed73211d3e89077a7718e857a11a6f41e4e05
Author: hao li <hao.h.li@intel.com>
Date:   Mon Aug 30 15:08:49 2010 +0530

    Bug 628005 - Russian: evolution Advanced Search dialogs are oversized

 filter/e-filter-rule.c |   62 +++++++++++++++++++++++++++--------------------
 1 files changed, 36 insertions(+), 26 deletions(-)

commit 98903caf23d360f9ae942e3d01c7802e840f7b59
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Aug 29 20:25:46 2010 -0400

    Post-release version bump.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 22c341cc70969c6f2b4c2c0cd797600afac17964
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Aug 29 19:48:11 2010 -0400

    NEWS update for 2.31.91 release.

 NEWS |   55 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 55 insertions(+), 0 deletions(-)

commit 4c05b9e925764a6035e3d0fcbfc1f0458d36f5d9
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Aug 29 10:44:16 2010 -0400

    Coding style and whitespace cleanup.

 .../gui/contact-editor/e-contact-editor-fullname.c |  266 ++++----
 composer/e-composer-name-header.c                  |    3 +-
 composer/e-composer-private.h                      |    7 +-
 composer/e-msg-composer.c                          |   20 +-
 composer/e-msg-composer.h                          |    9 +-
 e-util/e-alert-dialog.c                            |   72 +-
 e-util/e-alert-dialog.h                            |    2 +-
 e-util/e-alert.c                                   |  164 ++--
 e-util/e-alert.h                                   |    6 +-
 e-util/e-bit-array.c                               |   88 ++--
 e-util/e-categories-config.c                       |    2 +-
 e-util/e-config.c                                  |  268 ++++----
 e-util/e-config.h                                  |   40 +-
 e-util/e-datetime-format.c                         |    2 +-
 e-util/e-event.c                                   |   90 ++--
 e-util/e-icon-factory.h                            |    2 +-
 e-util/e-mktemp.c                                  |   40 +-
 e-util/e-non-intrusive-error-dialog.c              |    4 +-
 e-util/e-plugin.c                                  |  176 +++---
 e-util/e-profile-event.c                           |   32 +-
 e-util/e-profile-event.h                           |    8 +-
 e-util/e-selection.h                               |    6 +-
 e-util/e-sorter-array.c                            |   56 +-
 e-util/e-sorter.c                                  |   38 +-
 e-util/e-text-event-processor-emacs-like.c         |    4 +-
 e-util/e-text-event-processor.c                    |    4 +-
 e-util/e-unicode.c                                 |    6 +-
 e-util/e-util.c                                    |   46 +-
 e-util/e-util.h                                    |    3 +-
 e-util/e-xml-utils.c                               |    8 +-
 e-util/gconf-bridge.c                              |    6 +-
 em-format/em-format.c                              |   15 +-
 em-format/em-format.h                              |   41 +-
 filter/e-filter-code.c                             |    4 +-
 filter/e-filter-color.c                            |    2 +-
 filter/e-filter-datespec.c                         |   38 +-
 filter/e-rule-context.c                            |    4 +-
 filter/e-rule-editor.c                             |   14 +-
 libart_lgpl/art_misc.c                             |   12 +-
 libart_lgpl/art_misc.h                             |    8 +-
 libart_lgpl/art_rect_svp.c                         |    2 +-
 libart_lgpl/art_rect_uta.c                         |   12 +-
 libart_lgpl/art_render.h                           |    2 +-
 libart_lgpl/art_svp_intersect.c                    |   10 +-
 libart_lgpl/art_svp_ops.c                          |    4 +-
 libart_lgpl/art_svp_render_aa.c                    |   14 +-
 libart_lgpl/art_svp_vpath.c                        |   16 +-
 libart_lgpl/art_uta.c                              |    2 +-
 libart_lgpl/art_uta_vpath.c                        |   64 +-
 libart_lgpl/art_vpath_bpath.c                      |    4 +-
 libgnomecanvas/gailcanvas.c                        |    2 +-
 libgnomecanvas/gailcanvas.h                        |    2 +-
 libgnomecanvas/gailcanvasgroup.c                   |    2 +-
 libgnomecanvas/gailcanvasgroupfactory.h            |    2 +-
 libgnomecanvas/gailcanvasitemfactory.h             |    2 +-
 libgnomecanvas/gailcanvastext.c                    |   14 +-
 libgnomecanvas/gailcanvastextfactory.h             |    2 +-
 libgnomecanvas/gailcanvaswidgetfactory.h           |    2 +-
 libgnomecanvas/gnome-canvas-bpath.c                |    6 +-
 libgnomecanvas/gnome-canvas-line.c                 |    2 +-
 libgnomecanvas/gnome-canvas-pixbuf.c               |   20 +-
 libgnomecanvas/gnome-canvas-polygon.c              |   10 +-
 libgnomecanvas/gnome-canvas-rect-ellipse.c         |   26 +-
 libgnomecanvas/gnome-canvas-rich-text.c            |  780 ++++++++++----------
 libgnomecanvas/gnome-canvas-rich-text.h            |   12 +-
 libgnomecanvas/gnome-canvas-text.c                 |    8 +-
 libgnomecanvas/gnome-canvas.c                      |    8 +-
 mail/em-folder-tree-model.h                        |   34 +-
 mail/importers/evolution-mbox-importer.c           |   53 +-
 mail/mail-send-recv.c                              |  111 ++-
 modules/addressbook/addressbook-config.c           |  276 ++++----
 modules/addressbook/e-book-shell-content.h         |    3 +-
 modules/addressbook/e-book-shell-sidebar.h         |    3 +-
 modules/addressbook/openldap-extract.h             |  530 +++++++-------
 modules/calendar/e-cal-shell-migrate.c             |   11 +-
 modules/calendar/e-cal-shell-sidebar.c             |    4 +-
 modules/calendar/e-memo-shell-content.h            |    3 +-
 modules/calendar/e-memo-shell-migrate.c            |   10 +-
 modules/calendar/e-memo-shell-sidebar.h            |    3 +-
 modules/calendar/e-task-shell-content.h            |    3 +-
 modules/calendar/e-task-shell-sidebar.h            |    3 +-
 modules/mail/e-mail-shell-backend.h                |    2 +-
 modules/mail/e-mail-shell-content.h                |    3 +-
 modules/mail/e-mail-shell-sidebar.h                |    3 +-
 modules/mail/em-composer-prefs.c                   |    4 +-
 modules/mail/em-mailer-prefs.c                     |   28 +-
 modules/mail/em-network-prefs.c                    |   36 +-
 modules/plugin-mono/e-plugin-mono.c                |    2 +-
 modules/plugin-python/e-plugin-python.c            |    2 +-
 modules/windows-sens/evolution-windows-sens.c      |   46 +-
 shell/e-shell-meego.c                              |    2 +-
 shell/e-shell-searchbar.h                          |    3 +-
 shell/e-shell-sidebar.h                            |    6 +-
 shell/e-shell-window.h                             |    3 +-
 shell/es-event.c                                   |   50 +-
 shell/main.c                                       |   14 +-
 smime/lib/e-cert-trust.c                           |  529 ++++++++------
 widgets/misc/e-account-manager.h                   |    3 +-
 widgets/misc/e-account-tree-view.h                 |    6 +-
 widgets/misc/e-attachment-button.h                 |    6 +-
 widgets/misc/e-attachment-view.h                   |   12 +-
 widgets/misc/e-calendar-item.c                     |   28 +-
 widgets/misc/e-calendar.c                          |   12 +-
 widgets/misc/e-canvas-background.c                 |    4 +-
 widgets/misc/e-canvas-utils.c                      |   50 +-
 widgets/misc/e-canvas-vbox.c                       |   78 +-
 widgets/misc/e-canvas-vbox.h                       |    4 +-
 widgets/misc/e-canvas.c                            |   24 +-
 widgets/misc/e-dateedit.c                          |   34 +-
 widgets/misc/e-dateedit.h                          |    4 +-
 widgets/misc/e-focus-tracker.h                     |    3 +-
 widgets/misc/e-map.c                               |    6 +-
 widgets/misc/e-popup-menu.c                        |    2 +-
 widgets/misc/e-preferences-window.h                |    7 +-
 widgets/misc/e-printable.c                         |    4 +-
 widgets/misc/e-searching-tokenizer.c               |  110 ++--
 widgets/misc/e-selection-model-array.c             |  200 +++---
 widgets/misc/e-selection-model-simple.c            |   14 +-
 widgets/misc/e-selection-model.c                   |   76 +-
 widgets/misc/e-selection-model.h                   |   12 +-
 widgets/misc/e-send-options.c                      |    4 +-
 widgets/misc/e-web-view-preview.c                  |    2 +-
 widgets/misc/e-web-view-preview.h                  |   44 +-
 widgets/misc/e-web-view.h                          |    3 +-
 widgets/misc/ea-calendar-cell.c                    |   12 +-
 widgets/misc/ea-calendar-item.c                    |   16 +-
 widgets/misc/ea-cell-table.c                       |   10 +-
 widgets/misc/test-preferences-window.c             |    2 +-
 128 files changed, 2694 insertions(+), 2524 deletions(-)

commit e6c42ecc596fb16247e8d1d591a5d244a61d0e24
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Aug 29 09:05:51 2010 -0400

    Fix build break.

 configure.ac |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 1884f66c02bfd0373b21f5d7f772523751256a5d
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Aug 29 08:27:27 2010 -0400

    ECellText cleanups.

 calendar/gui/e-cell-date-edit-text.c |    2 +-
 widgets/table/e-cell-date.c          |    4 +-
 widgets/table/e-cell-date.h          |   51 +++++++---
 widgets/table/e-cell-number.c        |    4 +-
 widgets/table/e-cell-number.h        |   47 +++++++---
 widgets/table/e-cell-percent.c       |    4 +-
 widgets/table/e-cell-percent.h       |   51 +++++++---
 widgets/table/e-cell-size.c          |    4 +-
 widgets/table/e-cell-size.h          |   47 +++++++---
 widgets/table/e-cell-text.c          |  170 +++++++++++++++++++++------------
 widgets/table/e-cell-text.h          |  125 +++++++++++++++++++------
 11 files changed, 346 insertions(+), 163 deletions(-)

commit 8fbcab126e2453c8cbf7b5dba5a309bf83e0a3c3
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Aug 29 07:40:56 2010 -0400

    Remove the last traces of dbus-glib.

 calendar/gui/alarm-notify/notify-main.c |    1 -
 capplet/anjal-settings-main.c           |    1 -
 shell/main.c                            |    1 -
 3 files changed, 0 insertions(+), 3 deletions(-)

commit 2b53fa716416a411c0d37ca53f1dc95ab35f690e
Author: Andika Triwidada <andika@gmail.com>
Date:   Sun Aug 29 15:30:05 2010 +0700

    Add Indonesian translation to welcome mail

 mail/default/Makefile.am    |    2 +-
 mail/default/id/Inbox       |  316 +++++++++++++++++++++++++++++++++++++++++++
 mail/default/id/Makefile.am |    9 ++
 3 files changed, 326 insertions(+), 1 deletions(-)

commit ef7dcf5b2abbd92fa5213a3f930ad53b2261adeb
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Aug 28 16:37:10 2010 -0400

    Coding style and whitespace cleanup.

 libart_lgpl/art_misc.h        |    2 +-
 libgnomecanvas/gnome-canvas.h |   12 ++++++------
 2 files changed, 7 insertions(+), 7 deletions(-)

commit 9c33b2f4847afcbc7b1f968f64474df63a70c6e9
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:   Sun Aug 29 02:14:23 2010 +0900

    Updated Japanese translation.

 po/ja.po |36663 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 17011 insertions(+), 19652 deletions(-)

commit 78e2008b55d5c27b454d08207d42f697aa6f72bd
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Aug 28 13:33:57 2010 +0100

    Update British English translation

 po/en_GB.po | 8060 ++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 4355 insertions(+), 3705 deletions(-)

commit 83f3dd2fdee68edc0e679085f487bb4151a294e9
Author: Aron Xu <aronxu@gnome.org>
Date:   Sat Aug 28 09:37:20 2010 +0800

    Update Simplified Chinese translation.

 po/zh_CN.po | 1300 +++++++++++++++++++++++++++++------------------------------
 1 files changed, 639 insertions(+), 661 deletions(-)

commit ff2c9f849966118d23de068527f3f769b5339f00
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Aug 27 18:11:44 2010 -0400

    Bug 628154 - Ignore paths in MIME part filenames

 em-format/em-format.c       |   19 +++++++++++++------
 widgets/misc/e-attachment.c |    5 ++++-
 2 files changed, 17 insertions(+), 7 deletions(-)

commit cef69607d59c2add63104504e6a5ecad2de51373
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Aug 27 18:02:46 2010 -0400

    Fix a runtime warning.

 mail/e-mail-reader.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit cbf3c78417b6fb8de294e1ce5be4da9ec4635119
Author: Federico Mena Quintero <federico@novell.com>
Date:   Fri Aug 27 15:30:32 2010 -0500

    bugs.meego.com #2329 - Contact list editor is not translated
    
    We had a 'context=yes' attribute in all the translatable labels, when
    in fact no label has the magic marker for the context string.  This was
    somehow carried over from the .glade days.
    
    Signed-off-by: Federico Mena Quintero <federico@novell.com>

 .../gui/contact-list-editor/contact-list-editor.ui |   22 ++++++++++----------
 1 files changed, 11 insertions(+), 11 deletions(-)

commit 935bc4be0779919b5611f64bf01675901a3b6f1d
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Aug 27 15:44:25 2010 -0400

    Bug 628141 - Duplicate signal connections in EMailReader
    
    EMailShellContent implements the EMailReader interface but acts as a
    proxy for EMailPanedView, from which it obtains MessageList and EWebView
    widgets.  The problem was both classes call e_mail_reader_init_private()
    which connects to signals emitted from the MessageList and EWebView
    widgets.  But since EMailShellContent is a proxy for EMailPanedView,
    the signals were being connected twice.
    
    This commit does away with e_mail_reader_init_private(), instead adding
    options to e_mail_reader_init() to control what parts of initialization
    to run.  It's an ugly and temporary hack.
    
    I'm beginning to realize EMailReader is too bloated and needs rethought.
    EMailReader should just manage actions.  EMailView should own and manage
    the widgets, and EMailReader should just have a get_mail_view() method
    so it has access to those widgets.  That way the EMailView subclasses
    won't have to implement EMailReader themselves and wind up allocating
    a bunch of duplicate, unused actions.
    
    It's too close to a stable release to rip these interfaces apart and
    reorganize them.  I'll try to do that for 2.33 to help make the design
    more intuitive.

 mail/e-mail-browser.c                    |    2 +-
 mail/e-mail-paned-view.c                 |    2 +-
 mail/e-mail-reader.c                     |   46 ++++++++++++-----------------
 mail/e-mail-reader.h                     |    5 ++-
 modules/mail/e-mail-shell-view-private.c |    2 +-
 5 files changed, 25 insertions(+), 32 deletions(-)

commit 915f33a5b1559030cfb3d5b90f7494478ea030a6
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Aug 27 12:39:04 2010 -0400

    Bug 628136 - update_query_async() should not free the message struct

 calendar/gui/gnome-cal.c |   10 +++++++---
 1 files changed, 7 insertions(+), 3 deletions(-)

commit 9cbc19e94931c69e93e0e8e3847d017568bd0979
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Aug 27 10:49:08 2010 -0400

    Bug 627852 - Memory leak in em_format_push_level()

 em-format/em-format.c |   54 +++++++++++++++++++++++++++++-------------------
 1 files changed, 33 insertions(+), 21 deletions(-)

commit c125dbece014b0bd85c6c24d311606f87d946f6d
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Aug 27 09:40:28 2010 -0400

    Bug 628003 - Bundle IM protocol icons dropped from gnome-icon-theme

 data/icons/Makefile.am                         |   24 ++
 data/icons/hicolor_apps_16x16_im-aim.png       |  Bin 0 -> 635 bytes
 data/icons/hicolor_apps_16x16_im-icq.png       |  Bin 0 -> 586 bytes
 data/icons/hicolor_apps_16x16_im-jabber.png    |  Bin 0 -> 558 bytes
 data/icons/hicolor_apps_16x16_im-msn.png       |  Bin 0 -> 538 bytes
 data/icons/hicolor_apps_16x16_im-nov.png       |  Bin 0 -> 769 bytes
 data/icons/hicolor_apps_16x16_im-yahoo.png     |  Bin 0 -> 843 bytes
 data/icons/hicolor_apps_22x22_im-aim.png       |  Bin 0 -> 904 bytes
 data/icons/hicolor_apps_22x22_im-icq.png       |  Bin 0 -> 1304 bytes
 data/icons/hicolor_apps_22x22_im-jabber.png    |  Bin 0 -> 1050 bytes
 data/icons/hicolor_apps_22x22_im-msn.png       |  Bin 0 -> 992 bytes
 data/icons/hicolor_apps_22x22_im-nov.png       |  Bin 0 -> 1087 bytes
 data/icons/hicolor_apps_22x22_im-yahoo.png     |  Bin 0 -> 1217 bytes
 data/icons/hicolor_apps_24x24_im-aim.png       |  Bin 0 -> 908 bytes
 data/icons/hicolor_apps_24x24_im-icq.png       |  Bin 0 -> 1316 bytes
 data/icons/hicolor_apps_24x24_im-jabber.png    |  Bin 0 -> 1052 bytes
 data/icons/hicolor_apps_24x24_im-msn.png       |  Bin 0 -> 1003 bytes
 data/icons/hicolor_apps_24x24_im-nov.png       |  Bin 0 -> 1101 bytes
 data/icons/hicolor_apps_24x24_im-yahoo.png     |  Bin 0 -> 1225 bytes
 data/icons/hicolor_apps_scalable_im-aim.svg    |  183 ++++++++++++
 data/icons/hicolor_apps_scalable_im-icq.svg    |  200 +++++++++++++
 data/icons/hicolor_apps_scalable_im-jabber.svg |  360 ++++++++++++++++++++++++
 data/icons/hicolor_apps_scalable_im-msn.svg    |  225 +++++++++++++++
 data/icons/hicolor_apps_scalable_im-nov.svg    |  167 +++++++++++
 data/icons/hicolor_apps_scalable_im-yahoo.svg  |  266 +++++++++++++++++
 25 files changed, 1425 insertions(+), 0 deletions(-)

commit 73bf4e81c1352b4e94e412e7b97f18237accb7ff
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Aug 27 11:12:02 2010 +0200

    Bug #627333 - Cannot cancel password dialog for a calendar

 calendar/common/authentication.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 125a0dac96efe5fd214c984562fc104b6bed0eed
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Aug 26 20:06:48 2010 -0400

    Forgot a line.
    
    This goes with the previous commit.

 widgets/misc/e-attachment-tree-view.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 8223eaf57016792a4fcbe90b8923eadb2cd87a45
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Aug 26 19:32:36 2010 -0400

    Convert EAttachmentHandler to an EExtension.
    
    EAttachmentHandler predates EExtension, so this is really just a code
    cleanup to use the extension framework.  But this also demonstrates that
    extensions can target interfaces as well as instantiable types, since
    EAttachmentView is an interface.
    
    What's also nice is EAttachmentView no longer has to directly interact
    with attachment handlers.  Instead of EAttachmentView having to query
    each attachment handler for drag-and-drop info, each handler now pushes
    its own drag-and-drop info to its EAttachmentView during initialization.

 widgets/misc/e-attachment-handler.c   |  114 +++++++++------------------------
 widgets/misc/e-attachment-handler.h   |    5 +-
 widgets/misc/e-attachment-icon-view.c |    7 ++-
 widgets/misc/e-attachment-tree-view.c |    5 +-
 widgets/misc/e-attachment-view.c      |   47 ++++---------
 widgets/misc/e-attachment-view.h      |    6 +-
 6 files changed, 61 insertions(+), 123 deletions(-)

commit 87a3fac95cfdcb3dde4e0b75718239de20d8812f
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Aug 26 10:20:12 2010 -0400

    Mail module + EMailView cleanups.

 mail/e-mail-notebook-view.c              |   10 +-
 mail/e-mail-view.c                       |   70 ++++++-
 mail/e-mail-view.h                       |    4 +-
 modules/mail/e-mail-shell-content.c      |  329 +++++++++++++++--------------
 modules/mail/e-mail-shell-content.h      |   19 +--
 modules/mail/e-mail-shell-view-actions.c |  127 +++++++++---
 modules/mail/e-mail-shell-view-private.c |  100 +++++++--
 modules/mail/e-mail-shell-view.c         |   25 ++-
 8 files changed, 435 insertions(+), 249 deletions(-)

commit 5270b3042f2f5b3e122d7c2ac4f365109458dd19
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu Aug 26 16:22:47 2010 +0200

    Crash on Startup wizard cancel
    
    As reported in Red Hat bugzilla in 626810

 modules/startup-wizard/evolution-startup-wizard.c |   13 +++++++++----
 1 files changed, 9 insertions(+), 4 deletions(-)

commit fe285c11164c5f7700bc32243fba6efbc0a2c5b1
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   Thu Aug 26 15:40:37 2010 +0200

    Updated French translation

 po/fr.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ca26fb2b387f05496758f1de510a33b35e31a536
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   Thu Aug 26 15:38:46 2010 +0200

    Updated French translation

 po/fr.po | 1186 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 618 insertions(+), 568 deletions(-)

commit 30fd7b371d4f80562157d38cd8f9f2fe11423b55
Author: Yair Hershkovitz <yairhr@gmail.com>
Date:   Sun Aug 22 12:58:12 2010 +0300

    Updated Hebrew translation

 po/he.po |  302 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 145 insertions(+), 157 deletions(-)

commit 3f8adf6c43b182f4865f3332ca730e71657357ef
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   Wed Aug 25 17:04:17 2010 +0200

    Updated French doc translation

 help/fr/fr.po |  202 ++++++---------------------------------------------------
 1 files changed, 21 insertions(+), 181 deletions(-)

commit 25ba74b8773e94730f067e34b26789b5071d6b30
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Wed Aug 25 14:31:08 2010 +0200

    Update Galician translations

 po/gl.po |   22 +++++++++++-----------
 1 files changed, 11 insertions(+), 11 deletions(-)

commit bd70da3fc900b4e95c203a22e51b42bda5de7a99
Author: Giannis Katsampirhs <juankatsampirhs@gmail.com>
Date:   Wed Aug 25 12:53:40 2010 +0300

    l10n: Updated Greek translation for evolution

 po/el.po |15080 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 8560 insertions(+), 6520 deletions(-)

commit ecf3434da05b1f39f793c24b38bfd278e10b5786
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Aug 24 11:21:41 2010 -0400

    GObject boilerplate cleanup.
    
    Prefer thread-safe G_DEFINE_TYPE and G_DEFINE_INTERFACE macros over
    manual GType registration.
    
    This is just a start... lots more to do.

 calendar/gui/dialogs/e-send-options-utils.c    |    6 +-
 calendar/gui/dialogs/e-send-options-utils.h    |    4 +-
 calendar/gui/dialogs/event-editor.c            |    2 +-
 calendar/gui/dialogs/event-page.c              |   12 +-
 calendar/gui/dialogs/event-page.h              |    2 +-
 calendar/gui/dialogs/task-editor.c             |    2 +-
 calendar/gui/dialogs/task-page.c               |   12 +-
 calendar/gui/dialogs/task-page.h               |    2 +-
 composer/e-composer-from-header.c              |   39 +----
 composer/e-composer-header-table.c             |   41 ++----
 composer/e-composer-header.c                   |   43 ++-----
 composer/e-composer-name-header.c              |   42 ++-----
 composer/e-composer-post-header.c              |   44 ++-----
 composer/e-composer-text-header.c              |   37 +----
 composer/e-msg-composer.c                      |   48 ++-----
 e-util/e-activity.c                            |   39 +----
 e-util/e-alert-activity.c                      |   43 ++-----
 e-util/e-alert-dialog.c                        |    5 +-
 e-util/e-alert.c                               |    5 +-
 e-util/e-bit-array.c                           |    5 +-
 e-util/e-config.c                              |  102 ++++----------
 e-util/e-event.c                               |   83 ++---------
 e-util/e-extensible.c                          |   35 +----
 e-util/e-extension.c                           |    5 +-
 e-util/e-import.c                              |   80 +++--------
 e-util/e-io-activity.c                         |   42 ++-----
 e-util/e-logger.c                              |   38 +----
 e-util/e-module.c                              |   38 +----
 e-util/e-plugin-ui.c                           |   41 ++----
 e-util/e-plugin.c                              |  131 +++++-------------
 e-util/e-profile-event.c                       |   83 +++---------
 e-util/e-signature-list.c                      |   39 +----
 e-util/e-signature.c                           |   34 +----
 e-util/e-sorter-array.c                        |    5 +-
 e-util/e-sorter.c                              |    5 +-
 e-util/e-text-event-processor-emacs-like.c     |    3 +-
 e-util/e-text-event-processor.c                |    5 +-
 e-util/e-timeout-activity.c                    |   43 ++-----
 e-util/e-ui-manager.c                          |   36 +----
 filter/e-filter-code.c                         |   37 +----
 filter/e-filter-color.c                        |   39 ++----
 filter/e-filter-datespec.c                     |   39 +----
 filter/e-filter-element.c                      |   36 +----
 filter/e-filter-file.c                         |   39 ++----
 filter/e-filter-input.c                        |   42 ++-----
 filter/e-filter-int.c                          |   42 ++-----
 filter/e-filter-option.c                       |   48 ++-----
 filter/e-filter-part.c                         |   36 +----
 filter/e-filter-rule.c                         |   39 +----
 filter/e-rule-context.c                        |   39 +----
 filter/e-rule-editor.c                         |   40 +----
 mail/e-mail-attachment-bar.c                   |   28 ++--
 mail/e-mail-browser.c                          |   32 ++--
 mail/e-mail-notebook-view.c                    |   26 ++--
 mail/e-mail-paned-view.c                       |   32 ++--
 mail/e-mail-reader.c                           |  182 ++++++++++--------------
 mail/e-mail-reader.h                           |   16 +-
 modules/mail/e-mail-shell-content.c            |   22 ++--
 modules/mail/em-account-prefs.c                |   39 +----
 modules/mail/em-composer-prefs.c               |   39 +----
 modules/mail/em-mailer-prefs.c                 |   62 +++------
 modules/mail/em-network-prefs.c                |   59 +-------
 plugins/groupwise-features/mail-send-options.c |    4 +-
 plugins/groupwise-features/send-options.c      |   10 +-
 shell/e-shell-content.c                        |    7 +-
 shell/e-shell-searchbar.c                      |    7 +-
 shell/e-shell-sidebar.c                        |    7 +-
 shell/e-shell-switcher.c                       |   10 +-
 shell/e-shell-taskbar.c                        |    7 +-
 shell/e-shell-window.c                         |    7 +-
 shell/e-shell.c                                |    7 +-
 widgets/misc/e-account-combo-box.c             |   45 ++-----
 widgets/misc/e-account-manager.c               |   39 +----
 widgets/misc/e-account-tree-view.c             |   46 ++-----
 widgets/misc/e-action-combo-box.c              |   41 +-----
 widgets/misc/e-activity-proxy.c                |   38 +----
 widgets/misc/e-attachment-button.c             |   41 ++----
 widgets/misc/e-attachment-dialog.c             |   40 +----
 widgets/misc/e-attachment-handler-image.c      |   43 ++-----
 widgets/misc/e-attachment-handler-sendto.c     |   41 ++----
 widgets/misc/e-attachment-handler.c            |   39 +----
 widgets/misc/e-attachment-icon-view.c          |  112 ++++++---------
 widgets/misc/e-attachment-paned.c              |   79 ++++-------
 widgets/misc/e-attachment-store.c              |   41 +-----
 widgets/misc/e-attachment-tree-view.c          |  111 ++++++---------
 widgets/misc/e-attachment-view.c               |  156 +++++++++------------
 widgets/misc/e-attachment-view.h               |   16 +-
 widgets/misc/e-attachment.c                    |   40 +----
 widgets/misc/e-calendar-item.c                 |    7 +-
 widgets/misc/e-calendar.c                      |    5 +-
 widgets/misc/e-canvas-background.c             |    5 +-
 widgets/misc/e-canvas-vbox.c                   |    5 +-
 widgets/misc/e-canvas.c                        |    5 +-
 widgets/misc/e-cell-renderer-combo.c           |    5 +-
 widgets/misc/e-charset-combo-box.c             |   44 ++-----
 widgets/misc/e-combo-cell-editable.c           |   70 +++------
 widgets/misc/e-dateedit.c                      |    7 +-
 widgets/misc/e-focus-tracker.c                 |   38 +----
 widgets/misc/e-hinted-entry.c                  |   44 ++-----
 widgets/misc/e-image-chooser.c                 |   37 +----
 widgets/misc/e-import-assistant.c              |    7 +-
 widgets/misc/e-map.c                           |   79 +----------
 widgets/misc/e-menu-tool-action.c              |   34 +----
 widgets/misc/e-menu-tool-button.c              |   41 +-----
 widgets/misc/e-online-button.c                 |   38 +----
 widgets/misc/e-paned.c                         |   41 ++----
 widgets/misc/e-popup-action.c                  |   61 +++------
 widgets/misc/e-preferences-window.c            |  112 ++++++---------
 widgets/misc/e-preview-pane.c                  |   39 +----
 widgets/misc/e-printable.c                     |    5 +-
 widgets/misc/e-search-bar.c                    |   47 ++-----
 widgets/misc/e-searching-tokenizer.c           |   57 +++-----
 widgets/misc/e-selectable.c                    |   35 +----
 widgets/misc/e-selection-model-array.c         |    5 +-
 widgets/misc/e-selection-model-simple.c        |    3 +-
 widgets/misc/e-selection-model.c               |    5 +-
 widgets/misc/e-send-options.c                  |   78 +++--------
 widgets/misc/e-send-options.h                  |   14 +-
 widgets/misc/e-signature-combo-box.c           |   45 ++-----
 widgets/misc/e-signature-editor.c              |   41 +-----
 widgets/misc/e-signature-manager.c             |   39 +----
 widgets/misc/e-signature-preview.c             |   39 +----
 widgets/misc/e-signature-script-dialog.c       |   41 +-----
 widgets/misc/e-signature-tree-view.c           |   45 ++-----
 widgets/misc/e-url-entry.c                     |   42 +-----
 widgets/misc/e-web-view-preview.c              |    5 +-
 widgets/misc/e-web-view.c                      |   11 +-
 127 files changed, 1302 insertions(+), 3307 deletions(-)

commit f1d2541c487fbf7433a1b9aad8e8982ef08b85f5
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Aug 24 10:29:54 2010 +0200

    Bug #573320 - "Encrypt to self" by default on newly created mail accounts

 mail/em-account-editor.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit d07f15d2073c3e6340dc0db404e8da3ac97a30ab
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Aug 24 09:27:27 2010 +0200

    Build break with evolution-connman - new parameter in a GDBus function

 modules/connman/evolution-connman.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 48e4f1de4f0794cae60190b79b3bc9141f57bcd6
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Aug 24 09:12:06 2010 +0200

    Bug #627734 - Double-click a message opens it twice

 mail/e-mail-reader.c |   49 +++++++++----------------------------------------
 1 files changed, 9 insertions(+), 40 deletions(-)

commit 336000a2d7b27698e2e5c102a9ceeaab12202a12
Author: David Woodhouse <David.Woodhouse@intel.com>
Date:   Tue Aug 24 01:17:33 2010 +0100

    Bug 627601 - Memory leak in itip_get_comp_attendee()

 plugins/itip-formatter/itip-formatter.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 480b9e1720ae411c930c411e5b014ce9357d368c
Author: David Woodhouse <David.Woodhouse@intel.com>
Date:   Tue Aug 24 01:15:25 2010 +0100

    Bug 627611 - Memory leak in efh_format_header()

 mail/em-format-html.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 7a2e06e76f9465a326803adac4abe95d0e6d18e1
Author: David Woodhouse <David.Woodhouse@intel.com>
Date:   Tue Aug 24 01:13:15 2010 +0100

    Bug 627601 - Memory leak in itip_get_comp_attendee()

 calendar/gui/dialogs/event-editor.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 31167489b95237c31d37d1d4c6874376d0873c51
Author: David Woodhouse <David.Woodhouse@intel.com>
Date:   Tue Aug 24 01:08:20 2010 +0100

    Bug 627598 - Memory leak in emf_format_clone()

 em-format/em-format.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 7c1ec3723ad7367449c93e8559c27158b24a51dd
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Aug 20 13:25:21 2010 -0400

    Add e_load_cal_source_async().
    
    Similar to e_load_book_source_async() in libedataserverui (and may wind
    up there eventually).  This replaces e_auth_new_cal_from_source().
    
      void   e_load_cal_source_async  (ESource *source,
                                       ECalSourceType source_type,
                                       icaltimezone *default_zone,
                                       GtkWindow *parent,
                                       GCancellable *cancellable,
                                       GAsyncReadyCallback callback,
                                       gpointer user_data);
    
      ECal * e_load_cal_source_finish (ESource *source,
                                       GAsyncResult *result,
                                       GError **error);

 calendar/common/authentication.c           |  273 +++++++++++++++++++++++++++-
 calendar/common/authentication.h           |   18 ++-
 modules/addressbook/e-book-shell-backend.c |    7 +-
 modules/calendar/e-cal-shell-backend.c     |  130 +++++++------
 modules/calendar/e-cal-shell-sidebar.c     |  126 +++++++------
 modules/calendar/e-memo-shell-backend.c    |  104 ++++++-----
 modules/calendar/e-memo-shell-sidebar.c    |  126 +++++++------
 modules/calendar/e-task-shell-backend.c    |  101 ++++++-----
 modules/calendar/e-task-shell-sidebar.c    |  126 +++++++------
 9 files changed, 668 insertions(+), 343 deletions(-)

commit bd5e9031b9dc61669723f7ec6e0de3d7138a43d6
Author: Gary Ching-Pang Lin <chingpang@gmail.com>
Date:   Mon Aug 23 11:55:36 2010 +0800

    Update autoconfig settings for live.com
    
    Bug 625627 - Fail to send mail with smtp.live.com with autoconfig

 capplet/settings/mail-autoconfig/hotmail.co.jp |    2 +-
 capplet/settings/mail-autoconfig/hotmail.co.uk |    2 +-
 capplet/settings/mail-autoconfig/hotmail.com   |    2 +-
 capplet/settings/mail-autoconfig/hotmail.de    |    2 +-
 capplet/settings/mail-autoconfig/hotmail.fr    |    2 +-
 capplet/settings/mail-autoconfig/hotmail.it    |    2 +-
 capplet/settings/mail-autoconfig/live.co.jp    |    2 +-
 capplet/settings/mail-autoconfig/live.co.uk    |    2 +-
 capplet/settings/mail-autoconfig/live.com      |    2 +-
 capplet/settings/mail-autoconfig/live.de       |    2 +-
 capplet/settings/mail-autoconfig/live.fr       |    2 +-
 capplet/settings/mail-autoconfig/live.it       |    2 +-
 capplet/settings/mail-autoconfig/msn.com       |    2 +-
 13 files changed, 13 insertions(+), 13 deletions(-)

commit 242593df87629e19d4614266861ebb8f19004f01
Author: Gary Ching-Pang Lin <chingpang@gmail.com>
Date:   Mon Aug 23 11:49:29 2010 +0800

    Add encryption and authentication support for autoconfig
    
    Bug 625627 - Fail to send mail with smtp.live.com with autoconfig

 capplet/settings/mail-account-view.c |   36 ++++++++++++++++++++++++++----
 mail/em-account-editor.c             |   40 +++++++++++++++++++++++++++++++--
 mail/em-account-editor.h             |    4 +++
 3 files changed, 72 insertions(+), 8 deletions(-)

commit ec9a3ed06d0f9b4d413be5710c416e65697aff22
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Sun Aug 22 16:40:43 2010 +0200

    Updated Danish translation

 po/da.po |11664 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 6005 insertions(+), 5659 deletions(-)

commit 89161c387a7ed6edb8b63d784fb7efd01ee83516
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sat Aug 21 20:11:47 2010 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 1522 +++++++++++++++++++++++++++++++----------------------------
 po/zh_TW.po | 1530 +++++++++++++++++++++++++++++++----------------------------
 2 files changed, 1600 insertions(+), 1452 deletions(-)

commit 60fc85205f086508cb10d3499b59f9ad61d71597
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sat Aug 21 13:33:43 2010 +0200

    Updated Norwegian bokmål translation

 po/nb.po | 1128 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 586 insertions(+), 542 deletions(-)

commit 64e99968896f0abf40b596a3ba4a0e7ff9b32248
Author: 朱涛 <bill_zt@sina.com>
Date:   Sat Aug 21 16:34:26 2010 +0800

    Update Simplified Chinese help translation.

 help/Makefile.am    |    2 +-
 help/zh_CN/zh_CN.po |14360 +++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 14361 insertions(+), 1 deletions(-)

commit 9b150160722522a29ca7caac21c4fbdf25c753a4
Author: Tao Wang <dancefire@gmail.com>
Date:   Sat Aug 21 16:25:22 2010 +0800

    Update Simplified Chinese translations.

 po/zh_CN.po | 1706 +++++++++++++++++++++++++++++++----------------------------
 1 files changed, 906 insertions(+), 800 deletions(-)

commit acb73cd1058e5351a80408ba49975eb5ba73287a
Author: Michael Meeks <michael.meeks@novell.com>
Date:   Fri Aug 20 20:03:21 2010 +0100

    Fix more non-removal of signals on user_data object distruction by
    using g_signal_connect_object in many places; fixes bgo#627525#

 modules/calendar/e-task-shell-view-private.c |   72 +++++++++---------
 modules/mail/e-mail-shell-view-private.c     |  104 +++++++++++++-------------
 2 files changed, 88 insertions(+), 88 deletions(-)

commit 44a6aed772d7b1aca9b1679f5208d5def608e1bf
Author: Yair Hershkovitz <yairhr@gmail.com>
Date:   Sun Aug 15 01:03:59 2010 +0300

    Updated Hebrew translation

 po/he.po |13827 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 7242 insertions(+), 6585 deletions(-)

commit 72200bfb3f263f84241b44ee91513f7d01db546b
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Aug 19 13:57:52 2010 -0400

    Remove unused e_auth_new_cal_from_uri().

 calendar/common/authentication.c |   65 --------------------------------------
 calendar/common/authentication.h |    1 -
 2 files changed, 0 insertions(+), 66 deletions(-)

commit 705be922290018fd677d85b29d57e14c2bb21b8b
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Aug 19 13:55:54 2010 -0400

    Use e_load_book_source_async() in EBookShellBackend.
    
    For handling "new-contact" and "new-contact-list" actions.

 modules/addressbook/e-book-shell-backend.c |   78 ++++++++++++++++-----------
 1 files changed, 46 insertions(+), 32 deletions(-)

commit a48ce72041e578f4be0110adb5e31ad270d9e993
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed Aug 18 17:08:21 2010 -0400

    Bug 627124 - Crash while opening task-page.ui

 calendar/gui/dialogs/task-page.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit a536d74906984acd16902606ac574db676344194
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed Aug 18 15:49:49 2010 -0400

    Use the new e_load_book_source_async() where possible.
    
    It's easier to use than addressbook_load() but requires starting with
    an ESource rather than an EBook, and there's a couple places left where
    that's not so easy.  I'll spend more time on it later.

 addressbook/gui/contact-editor/e-contact-editor.c  |   84 +++++++++++---------
 addressbook/gui/contact-editor/e-contact-editor.h  |    4 +-
 .../contact-list-editor/e-contact-list-editor.c    |   68 +++++++---------
 addressbook/gui/widgets/eab-gui-util.c             |   56 ++++++++-----
 addressbook/gui/widgets/eab-gui-util.h             |   38 +++++-----
 modules/addressbook/e-book-shell-view-private.c    |   68 +++++++++-------
 modules/addressbook/e-book-shell-view-private.h    |    1 +
 plugins/vcard-inline/vcard-inline.c                |   54 +++++++++----
 8 files changed, 211 insertions(+), 162 deletions(-)

commit a5604d436c8dc133231c60ae75fb35e96816371d
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Mon Aug 16 23:38:18 2010 +0200

    Updated Spanish translation

 po/es.po |  655 +++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 354 insertions(+), 301 deletions(-)

commit ac0a5259f4f3bdfe9e1c3d825843db87496688b4
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Mon Aug 16 18:22:44 2010 +0200

    Updated Galician translations

 po/gl.po |  985 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 513 insertions(+), 472 deletions(-)

commit c5b5ae1e6797978e17f518979d4cf169edfcf33e
Author: A S Alam <aalam@users.sf.net>
Date:   Mon Aug 16 19:53:00 2010 +0530

    update Punjabi translation

 po/pa.po |11955 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 6297 insertions(+), 5658 deletions(-)

commit 465ba60d9e89b9afae335a6a5bc593deb1b9710f
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Aug 16 17:53:52 2010 +0530

    post release version bump

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 401028fa0aedad9ee93baca24df506d96a0f2912
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Aug 16 16:17:15 2010 +0530

    News update for 2.31.90 release

 NEWS |   38 ++++++++++++++++++++++++++++++++++++++
 1 files changed, 38 insertions(+), 0 deletions(-)

commit b91e79ec73003ea724567bd79624ecd9003df8ae
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Aug 15 22:33:12 2010 -0400

    ESelectionModel cleanups.

 widgets/misc/e-selection-model.c        |  536 ++++++++++++++++++-------------
 widgets/misc/e-selection-model.h        |  233 ++++++++------
 widgets/table/e-table-group-container.c |    2 +-
 widgets/table/e-table-group-leaf.c      |    2 +-
 widgets/table/e-table-item.c            |    2 +-
 widgets/table/e-tree-selection-model.c  |    3 +-
 6 files changed, 460 insertions(+), 318 deletions(-)

commit a43aa5eb4f179d1e22af8e62b00c52ad92d9d3b2
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Aug 14 00:01:15 2010 -0400

    Fix a typo.

 data/icons/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 32b1595aa15754d963fb04519c541df517c9e609
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sat Aug 14 20:20:55 2010 +0200

    Updated Slovenian translation

 po/sl.po |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit 4e9050bc1e3c53e0d1ce17646c01f710085ca681
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Aug 13 21:32:32 2010 -0400

    Whitespace and coding style cleanup.

 e-util/e-signature.c                   |    2 +-
 em-format/em-format-quote.c            |   29 +++++++++---
 em-format/em-format.c                  |   77 +++++++++++++++++++++----------
 mail/e-mail-message-pane.c             |    2 +-
 mail/e-mail-notebook-view.c            |   78 ++++++++++++++++----------------
 mail/e-mail-paned-view.c               |    2 +-
 mail/e-mail-paned-view.h               |    4 +-
 mail/e-mail-reader.c                   |   51 ++++++++++++---------
 mail/e-mail-reader.h                   |    2 +-
 modules/mail/e-mail-shell-backend.c    |    1 -
 modules/mail/em-composer-prefs.c       |   48 ++++++++++++++++---
 shell/e-shell-migrate.c                |    1 -
 smime/gui/certificate-manager.c        |    1 -
 widgets/misc/e-canvas.h                |    2 +-
 widgets/misc/e-preferences-window.c    |    3 +-
 widgets/misc/test-preferences-window.c |    2 +-
 16 files changed, 191 insertions(+), 114 deletions(-)

commit 8f7b23276dfdbc8e62d9c594556c11fd2ce9b199
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Aug 13 21:00:35 2010 -0400

    Fix a runtime warning.

 modules/mail/e-mail-shell-backend.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 6cb0cbd0be5791aa0af1f78ce44c7a6563611d8f
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Aug 13 20:49:46 2010 -0400

    Pass an EShell to EMsgComposer instances.
    
    Reduce the composer's dependency on e_shell_get_default().

 calendar/gui/itip-utils.c                          |   12 +-
 composer/e-composer-actions.c                      |    5 +-
 composer/e-composer-header-table.c                 |   27 +-
 composer/e-composer-private.c                      |   31 +-
 composer/e-composer-private.h                      |    2 +
 composer/e-msg-composer.c                          |  281 +++++++++------
 composer/e-msg-composer.h                          |   19 +-
 mail/e-mail-folder-pane.c                          |   21 +-
 mail/e-mail-reader-utils.c                         |   23 +-
 mail/e-mail-reader.c                               |   49 ++-
 mail/em-composer-utils.c                           |  395 ++++++++++++++------
 mail/em-composer-utils.h                           |   70 +++--
 modules/addressbook/e-book-shell-content.c         |   11 +-
 modules/addressbook/e-book-shell-view-actions.c    |   20 +-
 modules/addressbook/eab-composer-util.c            |   14 +-
 modules/addressbook/eab-composer-util.h            |    8 +-
 modules/mail/e-mail-attachment-handler.c           |   18 +-
 modules/mail/e-mail-shell-backend.c                |   26 +-
 .../mailing-list-actions/mailing-list-actions.c    |    9 +-
 plugins/templates/templates.c                      |    6 +-
 20 files changed, 733 insertions(+), 314 deletions(-)

commit caed9460b2d518005abe34035d5b414ff07c0212
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Fri Aug 13 22:23:06 2010 +0200

    Updated Slovenian translation

 po/sl.po | 4440 +++++++++++++++++++++++---------------------------------------
 1 files changed, 1623 insertions(+), 2817 deletions(-)

commit 49b8a8e3d94df545b8516512151b7e06e2337ce7
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Aug 13 13:15:53 2010 -0400

    Bug 624896 - Missing icons in table properties

 data/icons/Makefile.am                             |    4 ++++
 .../hicolor_actions_16x16_stock_select-column.png  |  Bin 0 -> 240 bytes
 .../hicolor_actions_16x16_stock_select-row.png     |  Bin 0 -> 238 bytes
 .../hicolor_actions_24x24_stock_select-column.png  |  Bin 0 -> 379 bytes
 .../hicolor_actions_24x24_stock_select-row.png     |  Bin 0 -> 388 bytes
 5 files changed, 4 insertions(+), 0 deletions(-)

commit 51738170f93b9c0792c62234f26975e985ebe743
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Aug 13 11:16:09 2010 -0400

    Bug 605737 - Appointment reminder shows icons on buttons

 calendar/gui/alarm-notify/alarm-notify.ui |  499 +++++++++++------------------
 1 files changed, 181 insertions(+), 318 deletions(-)

commit 26e59dcb2cdf58768722271e73e3dbee78ca1f42
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Aug 13 10:35:15 2010 -0400

    Refresh alarm-notify.ui.

 calendar/gui/alarm-notify/alarm-notify.ui |  470 ++++++++---------------------
 1 files changed, 123 insertions(+), 347 deletions(-)

commit 8f2015ecfde92045b72416146444cc42760f43d1
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Aug 13 08:25:49 2010 -0400

    Bump minimum GtkHtml version to 2.31.90.
    
    For bug 624913.

 configure.ac |    7 ++-----
 1 files changed, 2 insertions(+), 5 deletions(-)

commit 4032075425d7251642e3f81b9c4732e9a2a23e85
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Aug 13 08:09:37 2010 -0400

    Bug 624913 - Disallow drag-and-drop within the same attachment bar
    
    Adds a boolean "dragging" property to the EAttachmentView interface,
    which becomes TRUE when the user start a drag from the attachment view.
    e_attachment_view_drag_motion() and e_attachment_view_drag_drop() both
    return FALSE when this property is set.
    
    Also, do not register the entire EMsgComposer window as a drag
    destination.  Just intercept drag signals from the GtkHTML widget.
    
    Requires gtkhtml commit 344eb5e to fully work correctly.

 composer/e-msg-composer.c             |  126 ++++++++++++---------------------
 mail/e-mail-attachment-bar.c          |   25 +++++++
 widgets/misc/e-attachment-icon-view.c |   16 ++++
 widgets/misc/e-attachment-paned.c     |   24 ++++++
 widgets/misc/e-attachment-tree-view.c |   16 ++++
 widgets/misc/e-attachment-view.c      |   55 ++++++++++++--
 widgets/misc/e-attachment-view.h      |    4 +
 7 files changed, 178 insertions(+), 88 deletions(-)

commit 6caf022926a6dc7ae0a84e514510def0de87109a
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Aug 12 15:05:34 2010 -0400

    ECanvas cleanups.

 widgets/misc/e-calendar.c |    2 +-
 widgets/misc/e-canvas.c   |  689 ++++++++++++++++++++++-----------------------
 widgets/misc/e-canvas.h   |  125 +++++----
 3 files changed, 410 insertions(+), 406 deletions(-)

commit 5f49fa2561433c08a1f0450365b764ebfff3f611
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Aug 12 12:22:14 2010 -0400

    Bug 323142 - Signature missing when handling mailto: URI with body part

 composer/e-msg-composer.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a79893c002db9c556c8f29208fd49c31bfe56f25
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Aug 12 12:17:45 2010 -0400

    EMsgComposer cleanups.

 composer/e-msg-composer.c |  109 ++++++++++++++++++++++++---------------------
 1 files changed, 58 insertions(+), 51 deletions(-)

commit 9cc5ad91181c3637542f2fb12f331b60c44d7d8b
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Aug 12 09:29:03 2010 -0400

    Minor correction to previous commit.

 mail/message-list.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit dbb4c2472f54845f131f4df91aa11ec1d852b80a
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Aug 12 08:48:20 2010 -0400

    Bug 626724 - Folder tree mistakes "mark as unread" as new mail

 mail/e-mail-reader.c        |   11 ++++++++++-
 mail/em-folder-tree-model.c |   42 +++++++++++++++++++++++++++++++++++++++---
 mail/em-folder-tree-model.h |    6 +++++-
 mail/message-list.c         |   10 ++++++++++
 4 files changed, 64 insertions(+), 5 deletions(-)

commit 2f326f6ca43816ff3bab4f377ae1eaaa4e6bb47d
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Aug 12 07:20:53 2010 -0400

    EMFolderTreeModel cleanups.

 mail/em-folder-tree-model.c |   64 ++++++++++++++++++++++---------------------
 1 files changed, 33 insertions(+), 31 deletions(-)

commit 59257d0bbc4291fe1a864252207567f70ee14050
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Thu Aug 12 11:54:31 2010 +0530

    Pause timline instead of stop. It hides the search animation texture.

 mail/message-list.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit a6c40f7e8f52c44446d8e9b6ba8cbd6a7cfc3911
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Thu Aug 12 11:00:03 2010 +0530

    Add keybindings to tab.
    
    Control Up - Go to parent folder.
    Control Shift Up/Down - prev/next tab
    Control Shift w  - close tab.

 mail/e-mail-message-pane.c  |    8 ++-
 mail/e-mail-message-pane.h  |    1 +
 mail/e-mail-notebook-view.c |  119 +++++++++++++++++++++++++++-
 mail/e-mail-paned-view.c    |   19 +++++
 mail/e-mail-paned-view.h    |    3 +
 mail/e-mail-reader.c        |  184 +++++++++++++++++++++++++++++++++++++++++++
 mail/e-mail-reader.h        |    4 +
 7 files changed, 334 insertions(+), 4 deletions(-)

commit 7dbd643c722a1c7b0ca1c95b571aab3bb7b7ff60
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Thu Aug 12 10:59:41 2010 +0530

    Add commands for keybindings for tab mode.

 ui/evolution-mail-reader.ui |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

commit c8725891e58b6f19f97fa7f1638a3811244e13f0
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed Aug 11 10:25:14 2010 -0400

    Remove -DGDK_DISABLE_DEPRECATED
    
    Until we can port the GDK drawing code to cairo.
    
    See: http://blogs.gnome.org/otte/2010/07/27/rendering-cleanup/

 configure.ac |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 9c072559904fb7a7807b3755f760b312d06f23b4
Author: Michael Meeks <michael.meeks@novell.com>
Date:   Wed Aug 11 15:10:01 2010 +0100

    remove select-on-focus hack, and replace with new skip-a-parent
    chaining hack; sub-set this only for when we have a hint visible
    ie. fix alt-c + type-new-search

 widgets/misc/e-hinted-entry.c |   27 +++++++--------------------
 1 files changed, 7 insertions(+), 20 deletions(-)

commit f2fba09301e6e4eaf26556a61d3b6d99cf769f30
Author: Michael Meeks <michael.meeks@novell.com>
Date:   Wed Aug 11 13:41:25 2010 +0100

    Ensure widgets are registered, without relying on config dialog setup at startup.

 calendar/gui/dialogs/event-page.c |    5 +++++
 calendar/gui/dialogs/task-page.c  |    5 +++++
 2 files changed, 10 insertions(+), 0 deletions(-)

commit 46c2fbd4f76a8048a3bdf07e273a8a884583700e
Author: Rob Bradford <rob@linux.intel.com>
Date:   Wed Aug 11 13:31:34 2010 +0100

    build: Add libemformat to LDADD for evolution-settings

 capplet/Makefile.am |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 2ca6a310e1983283a719c1a22823befc821115e1
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Wed Aug 11 16:00:40 2010 +0530

    Change the order of histogram. New things at the right.

 mail/e-mail-notebook-view.c |   25 +++++++++++--------------
 1 files changed, 11 insertions(+), 14 deletions(-)

commit 0d1d8d2a07a0ba67621f0ce4ffa489efaf3cfa5a
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Wed Aug 11 15:32:50 2010 +0530

    Add Histogram of mail trend in clutter tab and enable DnD of tabs.

 mail/e-mail-notebook-view.c |  115 ++++++++++++++++++++++++++++++++++++++----
 1 files changed, 104 insertions(+), 11 deletions(-)

commit 83b264bc20f7b6ef2068e31b1d53ac2c51f32cd5
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Aug 10 19:51:44 2010 -0400

    Typo in tree_autoscroll().

 mail/em-folder-tree.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit f1c03de09dfda7052753b86a78bc22f87ca039a1
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Aug 10 18:38:10 2010 -0400

    Bug 271691 - Add a way to view all attachments inline

 mail/em-format-html-display.c    |   33 ++++++-------
 widgets/misc/e-attachment-view.c |   96 +++++++++++++++++++++++++++++++++++++-
 2 files changed, 110 insertions(+), 19 deletions(-)

commit 84abe8bbf3f19dfd3f940986706805154ef20240
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Aug 10 18:23:43 2010 -0400

    EAttachmentView cleanups.

 widgets/misc/e-attachment-view.c |  130 +++++++++++++++++++-------------------
 1 files changed, 65 insertions(+), 65 deletions(-)

commit 489ec676aa3cefbbd31a307dfcf49b42142e28f1
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Aug 10 18:20:12 2010 -0400

    More EMFormat cleanups.

 em-format/em-format.c |   20 +++++++++++---------
 1 files changed, 11 insertions(+), 9 deletions(-)

commit 699e36491b564069bce8c36a79d4803b5d9492d1
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Aug 10 18:08:55 2010 -0400

    Change em_format_redraw() to em_format_queue_redraw().
    
    This changes the behavior of the function: instead of redrawing
    immediately it schedules the redraw from an idle callback.  This
    allows us to make multiple changes to EMFormat before redrawing.

 em-format/em-format.c      |   46 +++++++++++++++++++++++++++++++++++++------
 em-format/em-format.h      |    3 +-
 mail/e-mail-browser.c      |    2 +-
 mail/e-mail-display.c      |    4 +-
 mail/e-mail-paned-view.c   |    2 +-
 mail/e-mail-reader-utils.c |    2 +-
 mail/e-mail-reader.c       |    4 +-
 mail/em-format-html.c      |    4 +-
 mail/em-utils.c            |    2 +-
 9 files changed, 50 insertions(+), 19 deletions(-)

commit 18813ccd8f4367ac98348f08e183d858cfe963f5
Author: Michael Meeks <michael.meeks@novell.com>
Date:   Tue Aug 10 21:17:40 2010 +0100

    Defer the load / creation of configuration UI with changes to
    e_preferences_window to take factory callbacks and store a reference
    to the shell. - This makes start-up substantially faster, particularly
    on Atom (eg.).
    
    Remove a number of idle handlers used to create these UIs in the
    first instance, cleaning the code.

 calendar/gui/dialogs/cal-prefs-dialog.c     |    5 +-
 calendar/gui/dialogs/cal-prefs-dialog.h     |    4 +-
 modules/addressbook/autocompletion-config.c |    5 +-
 modules/addressbook/autocompletion-config.h |    3 +-
 modules/addressbook/e-book-shell-backend.c  |   12 +++-
 modules/calendar/e-cal-shell-backend.c      |   34 ++++-------
 modules/mail/e-mail-shell-backend.c         |   86 +++++++++++---------------
 modules/mail/em-account-prefs.c             |    7 ++-
 modules/mail/em-account-prefs.h             |    5 +-
 modules/mail/em-composer-prefs.c            |    3 +-
 modules/mail/em-composer-prefs.h            |    9 ++-
 modules/mail/em-mailer-prefs.c              |    3 +-
 modules/mail/em-mailer-prefs.h              |    8 +-
 modules/mail/em-network-prefs.c             |    2 +-
 modules/mail/em-network-prefs.h             |    5 +-
 shell/e-shell-window-actions.c              |    1 +
 shell/e-shell.c                             |    2 +-
 smime/gui/certificate-manager.c             |   21 +++----
 smime/gui/certificate-manager.h             |    5 +-
 widgets/misc/e-preferences-window.c         |   80 +++++++++++++++++++++++--
 widgets/misc/e-preferences-window.h         |    8 ++-
 widgets/misc/test-preferences-window.c      |   60 ++++++++++++------
 22 files changed, 229 insertions(+), 139 deletions(-)

commit abd3e2a257586a96cac80f9ac860bba3c3d65d30
Author: Michael Meeks <michael.meeks@novell.com>
Date:   Tue Aug 10 15:32:03 2010 +0100

    docs on where the repo for the web version lives, and how to deal with it

 capplet/settings/mail-autoconfig/README |   10 ++++++++++
 1 files changed, 10 insertions(+), 0 deletions(-)

commit 78ebd5d8e7db8c5d816a4a17bc00eb34a0f764cc
Author: Michael Meeks <michael.meeks@novell.com>
Date:   Mon Aug 9 16:10:22 2010 +0100

    Execute calendar search post startup, not

 shell/e-shell-searchbar.c |   13 +++++++++++--
 1 files changed, 11 insertions(+), 2 deletions(-)

commit c1381b02bc61009814dbbbb842c34d094ed74add
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Aug 10 07:40:46 2010 -0400

    EMFormat cleanups.

 em-format/em-format-quote.c |  323 +++++++++++++++++++--------------
 em-format/em-format-quote.h |   15 +-
 em-format/em-format.c       |  415 ++++++++++++++++++++++++-------------------
 em-format/em-format.h       |   96 +++++++----
 mail/e-mail-reader.c        |   11 +-
 mail/em-format-html.c       |    4 +-
 6 files changed, 498 insertions(+), 366 deletions(-)

commit 221c841d423c567f3bfb8b12ea039d7e932fdefa
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Aug 10 06:01:18 2010 -0400

    Bug 626453 - Show attachments inline when printing

 em-format/em-format.c       |   60 ++++++++++++++++++++++++++++++-------------
 em-format/em-format.h       |   11 +++++--
 mail/em-format-html-print.c |   14 ++++++++++
 3 files changed, 64 insertions(+), 21 deletions(-)

commit 4b92f70a49aeaf7d097a3be9aeccd82ebba4966d
Author: drtv <vasudeven@git.gnome.org>
Date:   Sat Aug 7 22:16:15 2010 +0530

    Updated Tamil translation

 po/ta.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a8c3a66d0bec2705c5c43d8ca6068e43369cf04c
Author: drtv <vasudeven@git.gnome.org>
Date:   Sat Aug 7 22:12:44 2010 +0530

    Updated Tamil translation

 po/ta.po | 2818 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 1514 insertions(+), 1304 deletions(-)

commit de726d8e56803d7ec263dd7148635920165855a5
Author: Nils-Christoph Fiedler <ncfiedler@gnome.org>
Date:   Sat Aug 7 12:59:28 2010 +0200

    Updated LowGerman translation

 po/nds.po |  984 ++++++++++++++++++++++++++++++------------------------------
 1 files changed, 492 insertions(+), 492 deletions(-)

commit d9cef72bdfc53c5ce385b21827ae151c96ddeb98
Author: Claude Paroz <claude@2xlibre.net>
Date:   Fri Aug 6 19:35:37 2010 +0200

    Updated French translation
    
    Contributed by Laurent Coudeur and Claude Paroz

 po/fr.po | 6104 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 3248 insertions(+), 2856 deletions(-)

commit 50a0719a8fc17aaddf0f046b5081c31a28eb7981
Author: Michael Meeks <michael.meeks@novell.com>
Date:   Fri Aug 6 16:53:17 2010 +0100

    fix bgo#625847 - make signatures work again.

 e-util/e-signature.c |   37 ++++++++++++++++++-------------------
 1 files changed, 18 insertions(+), 19 deletions(-)

commit 601c5fe5a0b1efac46832dd0e63131d77afae429
Author: Michael Meeks <michael.meeks@novell.com>
Date:   Fri Aug 6 10:23:47 2010 +0100

    Make the intention of /tmp more explicit, and rescue people who happen
    to have evolution .po files in /tmp from a sad fate ...

 plugin.mk |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 809f7a3ee813b2324608e815c46db3d2ed245026
Author: Michael Meeks <michael.meeks@novell.com>
Date:   Thu Aug 5 16:54:52 2010 +0100

    use g_signal_connect_object to improve reliability

 modules/calendar/e-cal-shell-view-private.c |   80 +++++++++++++-------------
 1 files changed, 40 insertions(+), 40 deletions(-)

commit fa389cd2a117370217ce213ea670ce9055bb0284
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Aug 5 08:44:22 2010 -0400

    Bug 626090 - Only set -fno-strict-aliasing for GCC

 configure.ac |   17 +++++++++++------
 1 files changed, 11 insertions(+), 6 deletions(-)

commit 0169ef37928b3190aec8c4acb2045c9925d83f40
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:   Thu Aug 5 06:29:10 2010 -0400

    Bug 626059 - Welcome messages has incorrect links

 mail/default/C/Inbox        |    8 ++++----
 mail/default/ca/Inbox       |   10 +++++-----
 mail/default/cs/Inbox       |    8 ++++----
 mail/default/de/Inbox       |   12 ++++++------
 mail/default/es/Inbox       |   10 +++++-----
 mail/default/fi/Inbox       |    6 +++---
 mail/default/fr/Inbox       |    4 ++--
 mail/default/hu/Inbox       |    8 ++++----
 mail/default/it/Inbox       |    8 ++++----
 mail/default/ja/Inbox       |   42 +++++++++++++++++++++---------------------
 mail/default/ko/Inbox       |   10 +++++-----
 mail/default/lt/Inbox       |    8 ++++----
 mail/default/mk/Inbox       |    8 ++++----
 mail/default/nl/Inbox       |   10 +++++-----
 mail/default/pl/Inbox       |    8 ++++----
 mail/default/pt/Inbox       |    6 +++---
 mail/default/ro/Inbox       |    6 +++---
 mail/default/sr/Inbox       |    8 ++++----
 mail/default/sr@latin/Inbox |    8 ++++----
 mail/default/sv/Inbox       |   10 +++++-----
 mail/default/zh_CN/Inbox    |   42 +++++++++++++++++++++---------------------
 21 files changed, 120 insertions(+), 120 deletions(-)

commit 5c49c70d5568a9a68daa5facaa531ab317d1f005
Author: Fridrich Štrba <fridrich.strba@bluewin.ch>
Date:   Thu Aug 5 01:01:19 2010 +0200

    We are not using dbus-glib anymore, don't call dbus_g_thread_init

 calendar/gui/alarm-notify/notify-main.c |    1 -
 capplet/anjal-settings-main.c           |    1 -
 shell/main.c                            |    1 -
 3 files changed, 0 insertions(+), 3 deletions(-)

commit 952c356d169ecd180c0883ef5ed55d62cf08e4fd
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed Aug 4 14:18:24 2010 +0200

    Updated Norwegian bokmål translation

 po/nb.po |  765 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 392 insertions(+), 373 deletions(-)

commit c0b5daa8d3ce0183e43fddaacb2875de37a2981e
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Tue Aug 3 16:29:00 2010 +0200

    Updated Galician translations and added galician docs files

 help/Makefile.am |    2 +-
 help/gl/gl.po    |12712 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/gl.po         |   48 +-
 3 files changed, 12737 insertions(+), 25 deletions(-)

commit 5c291bdcd11147c5919166da0931cfa468273a7d
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Tue Aug 3 13:42:03 2010 +0200

    Updated Galician translations

 po/gl.po |  762 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 397 insertions(+), 365 deletions(-)

commit 130a0f6d9b0574bb2728e55e8b0b8e820c924bae
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Tue Aug 3 07:14:38 2010 +0200

    Updated Spanish translation

 po/es.po |  424 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 212 insertions(+), 212 deletions(-)

commit e3e1f9c97e92513bd2a3c592c3314114d05e7a9c
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Aug 2 22:14:26 2010 -0400

    Post-release version bump.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e2830ed03a65810382399a061a106125233fa909
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Aug 2 21:30:34 2010 -0400

    NEWS update for 2.31.6 release.

 NEWS |  779 +++++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 443 insertions(+), 336 deletions(-)

commit d47a6dd2d146f05c034a916add7837dacd6efb1c
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:   Tue Aug 3 02:42:31 2010 +0300

    Updated Romanian translation

 po/ro.po |  528 ++++++++++++++++----------------------------------------------
 1 files changed, 133 insertions(+), 395 deletions(-)

commit e919c9724f612270053683ad110ffd68de135c60
Author: Lucian Langa <cooly@gnome.eu.org>
Date:   Mon Aug 2 19:47:30 2010 -0400

    Bug 625761 - Folder views not preserved after migration

 shell/e-shell-migrate.c |   80 ++++++++++++++++++++++++++++++++++++++++++++--
 1 files changed, 76 insertions(+), 4 deletions(-)

commit 49e8d834fc6c5b12d9e2b9f120034dd6180a70d4
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Aug 2 19:38:22 2010 -0400

    Coding style and whitespace cleanup.

 mail/e-mail-notebook-view.c                   |  148 ++++++++++++++++++-------
 mail/e-mail-paned-view.c                      |    3 +-
 mail/e-mail-reader.c                          |  142 +++++++++++++----------
 plugins/mail-notification/mail-notification.c |   16 ++-
 4 files changed, 200 insertions(+), 109 deletions(-)

commit ceec3b8f6064d20a1603e4049c76a6a15a8dad9a
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:   Tue Aug 3 02:30:13 2010 +0300

    Updated Romanian translation

 po/ro.po |13266 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 6676 insertions(+), 6590 deletions(-)

commit 34225740f73680ea2d8c6b37d8824186ef81d431
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Aug 2 17:53:00 2010 -0400

    Update POTFILES.in.

 po/POTFILES.in |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 0558f070a340a409bbb2ac84cf0d66c78b069427
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Aug 2 17:23:26 2010 -0400

    Gtk-Doc fussing with SGML files.

 doc/reference/shell/tmpl/e-account-combo-box.sgml  |    2 --
 doc/reference/shell/tmpl/e-account-manager.sgml    |    2 --
 doc/reference/shell/tmpl/e-account-tree-view.sgml  |    2 --
 doc/reference/shell/tmpl/e-action-combo-box.sgml   |    2 --
 doc/reference/shell/tmpl/e-activity-proxy.sgml     |    2 --
 doc/reference/shell/tmpl/e-activity.sgml           |    2 --
 doc/reference/shell/tmpl/e-attachment-button.sgml  |    2 --
 doc/reference/shell/tmpl/e-attachment-dialog.sgml  |    2 --
 doc/reference/shell/tmpl/e-attachment-handler.sgml |    2 --
 .../shell/tmpl/e-attachment-icon-view.sgml         |    2 --
 doc/reference/shell/tmpl/e-attachment-paned.sgml   |    2 --
 doc/reference/shell/tmpl/e-attachment-store.sgml   |    2 --
 .../shell/tmpl/e-attachment-tree-view.sgml         |    2 --
 doc/reference/shell/tmpl/e-attachment-view.sgml    |    2 --
 doc/reference/shell/tmpl/e-attachment.sgml         |    2 --
 doc/reference/shell/tmpl/e-popup-action.sgml       |    2 --
 .../shell/tmpl/e-signature-utils.sgml.sgml         |    2 --
 17 files changed, 0 insertions(+), 34 deletions(-)

commit 74eea9a7179087e57dbf44196021a2d1f85063d0
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Aug 2 17:23:09 2010 -0400

    Fix a GError message.

 mail/em-utils.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ed7261a7433bf452d95bbe8e015d3e87a1b4a356
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Aug 2 17:22:47 2010 -0400

    Fix linker flags for API documentation.

 doc/reference/shell/Makefile.am |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit b5299135f67ca5cf5f2bf12cad51049b90287776
Author: Michael Meeks <michael.meeks@novell.com>
Date:   Mon Aug 2 17:45:48 2010 +0100

    fix lifecycle nasties bgo#625852

 modules/addressbook/e-book-shell-view-private.c |   56 +++++++++++++----------
 modules/addressbook/e-book-shell-view.c         |    7 ++-
 2 files changed, 36 insertions(+), 27 deletions(-)

commit 378e41dad13b50fb300a206cbaf461cda8903713
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Aug 2 12:16:46 2010 -0400

    Whoops, I broke configure.ac.

 configure.ac |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 73b7238f07ec0f932bb7666f38d46aa282eac8da
Author: Rob Bradford <rob@linux.intel.com>
Date:   Mon Aug 2 16:51:31 2010 +0100

    mail-session: Use the shell's active window as parent for dialog
    
    This means that when the mail session generates an EAlertDialog e.g. for SSL
    certificate validity we can provide a parent window for the dialog.
    
    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=625846

 mail/mail-session.c |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit 5ca8930126afea17cd80545957a686a862168d2a
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Aug 2 10:21:42 2010 -0400

    Prefer gio-2.0 when requiring GLib libraries.
    
    gio-2.0 is the "top level" library within GLib.
    
    It requires everything else we may need from GLib:
    
    glib-2.0, gobject-2.0, gmodule-2.0, gthread-2.0

 configure.ac |   13 ++++++-------
 1 files changed, 6 insertions(+), 7 deletions(-)

commit 2e46ae120517de1d171b7c2b138af1f4c84b4ae9
Author: David Woodhouse <David.Woodhouse@intel.com>
Date:   Mon Aug 2 15:50:23 2010 +0100

    dbx-importer: Fix printf format warning

 plugins/dbx-import/dbx-importer.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 3696034171889e067b7c9b9e118b9746c1986bcf
Author: Rob Bradford <rob@linux.intel.com>
Date:   Mon Aug 2 15:09:27 2010 +0100

    mail-reader: e_mail_reader_get_formatter may now return NULL
    
    Since e_mail_reader_get_formatter (the EMailNotebookView implementation) can
    now return NULL we need to prevent that being passed into other functions.
    
    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=624867

 mail/e-mail-reader.c |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

commit 2b6e5cce1912d6d7bb7f69b7cae29ccb0c8a7161
Author: Rob Bradford <rob@linux.intel.com>
Date:   Mon Aug 2 15:05:32 2010 +0100

    em-format: Guard entry point to em_format_set_mode with g_return_if_fail

 em-format/em-format.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 74a6864d36f3c423d8932718502e04b18d93a40e
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Aug 2 08:44:51 2010 -0400

    Add new SGML files for API docs.

 doc/reference/shell/tmpl/e-account-combo-box.sgml  |  114 +++++
 doc/reference/shell/tmpl/e-account-manager.sgml    |   84 ++++
 doc/reference/shell/tmpl/e-account-tree-view.sgml  |   94 ++++
 doc/reference/shell/tmpl/e-action-combo-box.sgml   |  102 +++++
 doc/reference/shell/tmpl/e-activity-proxy.sgml     |   50 ++
 doc/reference/shell/tmpl/e-activity.sgml           |  208 +++++++++
 doc/reference/shell/tmpl/e-attachment-button.sgml  |  104 +++++
 doc/reference/shell/tmpl/e-attachment-dialog.sgml  |   60 +++
 doc/reference/shell/tmpl/e-attachment-handler.sgml |   60 +++
 .../shell/tmpl/e-attachment-icon-view.sgml         |   49 ++
 doc/reference/shell/tmpl/e-attachment-paned.sgml   |  126 ++++++
 doc/reference/shell/tmpl/e-attachment-store.sgml   |  220 +++++++++
 .../shell/tmpl/e-attachment-tree-view.sgml         |   41 ++
 doc/reference/shell/tmpl/e-attachment-view.sgml    |  429 ++++++++++++++++++
 doc/reference/shell/tmpl/e-attachment.sgml         |  415 +++++++++++++++++
 doc/reference/shell/tmpl/e-popup-action.sgml       |   60 +++
 .../shell/tmpl/e-signature-utils.sgml.sgml         |  468 ++++++++++++++++++++
 17 files changed, 2684 insertions(+), 0 deletions(-)

commit c8a56cad7f8580b27f4ea68342f42f5a9f977cfc
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Aug 2 08:42:38 2010 -0400

    Missing linker flag.

 mail/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 2dfabd3909d4afe12637160863884ea2c953cfac
Author: Rob Bradford <rob@linux.intel.com>
Date:   Sun Aug 1 11:36:45 2010 +0100

    addressbook: Port to use new _async suffix instead of _ex suffix

 addressbook/gui/contact-editor/e-contact-editor.c  |   32 ++++++++--------
 .../contact-list-editor/e-contact-list-editor.c    |    6 +-
 addressbook/gui/merging/eab-contact-compare.c      |    6 +-
 addressbook/gui/merging/eab-contact-merging.c      |   40 ++++++++++----------
 addressbook/gui/merging/eab-contact-merging.h      |   24 ++++++------
 addressbook/gui/widgets/e-addressbook-model.c      |    4 +-
 addressbook/gui/widgets/e-addressbook-selector.c   |    8 ++--
 addressbook/gui/widgets/e-addressbook-view.c       |   16 ++++----
 addressbook/gui/widgets/e-minicard-view.c          |   12 +++---
 addressbook/gui/widgets/e-minicard-view.h          |    2 +-
 addressbook/util/addressbook.c                     |   20 +++++-----
 addressbook/util/addressbook.h                     |    4 +-
 addressbook/util/eab-book-util.c                   |   20 +++++-----
 addressbook/util/eab-book-util.h                   |   10 ++--
 mail/Makefile.am                                   |    1 +
 mail/em-utils.c                                    |    2 +-
 modules/addressbook/e-book-shell-backend.c         |    4 +-
 17 files changed, 106 insertions(+), 105 deletions(-)

commit 68341973d40b9ac5ffbc3f4132af0656194df13e
Author: Rob Bradford <rob@linux.intel.com>
Date:   Mon Aug 2 11:08:48 2010 +0100

    build: Update gnome-icon-theme dependency for new default-avatar icon

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b6b72b0c4a269333d5375e864a82e6b9588ffd07
Author: Rob Bradford <rob@linux.intel.com>
Date:   Sun Aug 1 19:29:56 2010 +0100

    addressbook/gui, plugins/groupwise, widgets/misc: Update to new icon theme
    
    Since gnome-icon-theme 2.30.x the icon name for the default avatar has changed
    from stock_person to avatar-default
    
    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=616822

 addressbook/gui/contact-editor/e-contact-editor.c  |    6 +++---
 .../eab-contact-commit-duplicate-detected.ui       |    2 +-
 .../gui/merging/eab-contact-duplicate-detected.ui  |    2 +-
 plugins/groupwise-features/proxy-login.c           |    2 +-
 plugins/groupwise-features/proxy.c                 |    2 +-
 widgets/misc/e-image-chooser.c                     |    2 +-
 6 files changed, 8 insertions(+), 8 deletions(-)

commit 131c0ddfe3f5b6a96fffe99a6692e38f886f122b
Author: Lucian Langa <lucilanga@gnome.org>
Date:   Sun Aug 1 17:14:33 2010 +0300

    Bug 625724 - Message filters do no work

 mail/em-utils.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 31248aa87a1b1e622de8be5b3c19125ce88a6de8
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:   Sun Aug 1 01:16:35 2010 +0200

    Updated German translation

 po/de.po | 1573 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 843 insertions(+), 730 deletions(-)

commit 8dcdc60cccf720ca7222ba01f645f491801e9f9e
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Jul 30 12:10:01 2010 -0400

    Make EImportAssistant extensible.

 shell/e-shell.c                   |    2 +-
 widgets/misc/e-import-assistant.c |   53 +++++++++++-------------------------
 2 files changed, 17 insertions(+), 38 deletions(-)

commit 9085a5a18c23f894a0d29be73222ad7c55a03bf1
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Jul 30 10:58:26 2010 -0400

    Remove unused 'preview' argument from e_import_assistant_new_simple().
    
    We preview imported files by other means now.

 doc/reference/shell/tmpl/e-shell-utils.sgml |    1 -
 shell/e-shell-utils.c                       |   18 +++++++-----------
 shell/e-shell-utils.h                       |    3 +--
 shell/e-shell.c                             |    5 ++---
 widgets/misc/e-import-assistant.c           |    6 +-----
 widgets/misc/e-import-assistant.h           |    3 +--
 6 files changed, 12 insertions(+), 24 deletions(-)

commit 1d2a02b6581372e13a2162bef597fb93a6d163ab
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Jul 30 08:04:40 2010 -0400

    Remove folder-tree-expand-state.xml while migrating.

 shell/e-shell-migrate.c |   13 +++++++++++--
 1 files changed, 11 insertions(+), 2 deletions(-)

commit 80d4fed16263cb7bf31ca219642b867e4e77f45a
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Jul 30 06:49:20 2010 -0400

    Bug 624500 - Missing EggSMClient linker flags in shell

 configure.ac      |    6 +++++-
 shell/Makefile.am |    2 ++
 2 files changed, 7 insertions(+), 1 deletions(-)

commit 8995915a5eb1cf79274954f501f55889e8ee1369
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Fri Jul 30 08:30:39 2010 +0200

    Updated Spanish translation

 po/es.po |  635 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 320 insertions(+), 315 deletions(-)

commit 71eff23a1d4f6d06b7bdd6a8fc38878d3bfeeb6a
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Jul 29 22:05:27 2010 -0400

    Bug 625624 - Customizations of contacts views forgotten
    
    Found similar bugs in EShellMemoContent and EShellTaskContent.

 addressbook/gui/widgets/e-addressbook-view.c    |    6 +++++-
 modules/addressbook/e-book-shell-view-private.c |    5 +++++
 modules/calendar/e-memo-shell-content.c         |    5 ++++-
 modules/calendar/e-task-shell-content.c         |    5 ++++-
 4 files changed, 18 insertions(+), 3 deletions(-)

commit 831cb20c977c941f8cf592e2ca8d0622e1a8c9e8
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Jul 29 19:41:44 2010 -0400

    Fix build break in network-manager module.

 .../network-manager/evolution-network-manager.c    |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit e8f5c62b0233231a3bdc74a42de062b61e0c15f2
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Jul 29 16:55:01 2010 -0400

    Simplify em_folder_tree_restore_state().

 mail/em-folder-tree.c |   24 ++++++++++--------------
 1 files changed, 10 insertions(+), 14 deletions(-)

commit 69c904178f72e5eba88159a65f642d9b903a233e
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Jul 29 16:35:34 2010 -0400

    Avoid overwriting files while migrating.

 shell/e-shell-migrate.c |   22 ++++++++++++++++++++--
 1 files changed, 20 insertions(+), 2 deletions(-)

commit 52ad80d6014a82cb64903d5a452083f5f923a034
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu Jul 29 21:07:26 2010 +0200

    Bug #625606 - git/master build dies with glib-2.25.12

 configure.ac                                       |    2 +-
 modules/connman/evolution-connman.c                |    2 +-
 .../network-manager/evolution-network-manager.c    |    2 +-
 plugins/mail-notification/mail-notification.c      |    2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit efba3b0b74955cfbe7b825aaab231923de732a46
Author: Thomas Mittelstaedt <tmstaedt@t-mittelstaedt.de>
Date:   Wed Jul 28 17:13:50 2010 -0400

    Bug 625204 - Typo in e_day_view_finish_long_event_resize()

 calendar/gui/e-day-view.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit eb5afa335d683032c801981d936d8a8063675805
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed Jul 28 16:47:39 2010 -0400

    More XDG base directory migration tweaks.

 shell/e-shell-migrate.c |   50 ++++++++++++++++------------------------------
 1 files changed, 18 insertions(+), 32 deletions(-)

commit 125e67bfcb57de9a7b834475ac78ea3986e912a1
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed Jul 28 16:18:08 2010 -0400

    Fix where to look for filters.xml and vfolders.xml.
    
    They live in $XDG_CONFIG_DIR/evolution/mail now.
    Evolution was looking in $XDG_DATA_DIR/evolution/mail.

 mail/em-utils.c        |   12 +++++-----
 mail/mail-autofilter.c |   18 +++++++-------
 mail/mail-session.c    |    6 ++--
 mail/mail-vfolder.c    |   55 +++++++++++++++++++++++++----------------------
 4 files changed, 47 insertions(+), 44 deletions(-)

commit a73b369b72ec688c190a32952cd2d672d4eb1bf5
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed Jul 28 16:17:25 2010 -0400

    Bug 622181 - Backup settings uses unhelpful yes/no dialog

 .../org-gnome-backup-restore.error.xml             |   16 ++++++++--------
 1 files changed, 8 insertions(+), 8 deletions(-)

commit c0ce9e2f20b10ddd8c4a15c7cfabc73493353667
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed Jul 28 13:42:35 2010 -0400

    Reset BASE_VERSION to 2.32.
    
    In light of today's announcement that GNOME 3.0 is delayed again,
    the September 2010 release will be called Evolution 2.32.
    
    http://www.gnome.org/press/releases/2010-07-gnome-3.0-rescheduled.html

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 432c2796c9a56b9cab8471a372d621ca87bf6835
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed Jul 28 13:22:26 2010 -0400

    Migrate ~/.evolution/cache/tmp.

 shell/e-shell-migrate.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 7ca5681a186857349762f2c06e08dedaee1287a3
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed Jul 28 13:18:08 2010 -0400

    Remove .goutputstream-XXXXXX files during migration.
    
    GIO had a bug for awhile where it would leave behind an empty
    temp file with the pattern .goutputstream-XXXXXX if an output
    stream operation was cancelled.  We've had several reports of
    these files in config directories, so remove any we find.

 shell/e-shell-migrate.c |   31 +++++++++++++++++++++++++++++++
 1 files changed, 31 insertions(+), 0 deletions(-)

commit d369274ae88a331f19630750ec485ccbcc8b2b3e
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed Jul 28 10:57:52 2010 -0400

    Add more debug messages to basedir migration.
    
    If directory removal fails because the directory is not empty,
    list the file names in that directory.

 shell/e-shell-migrate.c |   19 ++++++++++++++++++-
 1 files changed, 18 insertions(+), 1 deletions(-)

commit c808d30fbc0aa45163e34584d6fd2c038279ea3d
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed Jul 28 10:24:31 2010 -0400

    Remove unused variable.

 mail/e-mail-backend.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 6158bcecd722a9e8b23dd2d3bcfc148e37d5c039
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Jul 28 16:21:40 2010 +0200

    Bug #622912 - Migrate from dbus-glib to glib's GDBus

 configure.ac                                       |   10 +--
 modules/connman/Makefile.am                        |    6 +-
 modules/connman/evolution-connman.c                |  124 ++++++++++---------
 modules/network-manager/Makefile.am                |    4 +-
 .../network-manager/evolution-network-manager.c    |  132 +++++++++-----------
 plugins/mail-notification/Makefile.am              |    2 -
 plugins/mail-notification/mail-notification.c      |  106 ++++++++--------
 7 files changed, 185 insertions(+), 199 deletions(-)

commit dd2c7ddfba1e556e2bb8f7b233a3b59bf18bcff9
Author: krishnababu k <kkrothap@redhat.ocm>
Date:   Wed Jul 28 14:15:28 2010 +0530

    Updated Telugu Translations

 po/te.po |10937 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 5461 insertions(+), 5476 deletions(-)

commit 6d45ac6e16716ad117dbf412f1c86ef7d40d6f65
Author: Nana Suryana <nana@suryana.or.id>
Date:   Wed Jul 28 11:08:36 2010 +0700

    Updated Indonesian translation

 po/id.po | 3172 ++++++++++++++++++++++++--------------------------------------
 1 files changed, 1243 insertions(+), 1929 deletions(-)

commit 5040eb0145286566a1917b0ee8c505cd07497d09
Author: Nana Suryana <nana@suryana.or.id>
Date:   Wed Jul 28 02:39:12 2010 +0700

    Updated Indonesian translation

 po/id.po |16171 +++++++++++++++++++++++---------------------------------------
 1 files changed, 5951 insertions(+), 10220 deletions(-)

commit 6affbe33e90b4157380eff3dad6a9654c9a24443
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Jul 22 17:07:52 2010 -0400

    Migrate ~/.evolution to XDG base directories.
    
    Migration runs just before the main loop starts.
    It's just a sequence of local directory and file renames.

 e-util/e-datetime-format.c             |    2 +-
 e-util/e-print.c                       |    2 +-
 e-util/e-signature.c                   |   39 +++-
 e-util/e-util.c                        |    4 +-
 mail/e-mail-backend.c                  |   16 +-
 mail/em-utils.c                        |    2 +-
 mail/mail-config.c                     |    2 +-
 mail/mail-session.c                    |   10 +-
 modules/calendar/e-cal-shell-content.c |   15 +-
 shell/e-shell-backend.c                |   39 ++--
 shell/e-shell-content.c                |    6 +-
 shell/e-shell-migrate.c                |  492 ++++++++++++++++++++++++++++++++
 shell/e-shell-migrate.h                |    4 +-
 shell/e-shell-view.c                   |   14 +-
 14 files changed, 589 insertions(+), 58 deletions(-)

commit eba9b45f9e0e2a7f1a8d2d79f14d9e5f3aded19e
Author: Fridrich Štrba <fridrich.strba@bluewin.ch>
Date:   Tue Jul 27 14:51:25 2010 +0200

    Use PVOID instead of gpointer when working with COM+ function pointers

 modules/windows-sens/evolution-windows-sens.c |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit 650f98a493aec00934f666fae77d615712b316ed
Author: Nana Suryana <nana@suryana.or.id>
Date:   Tue Jul 27 14:44:33 2010 +0700

    Updated Indonesian translation

 po/id.po |14002 +++++++++++++++++++++++++++++++++++++++++---------------------
 1 files changed, 9285 insertions(+), 4717 deletions(-)

commit f45ebff4eccee12e0e2cce1ffdf01bad8ce9d1d5
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Jul 26 16:42:35 2010 -0400

    More clutter-gtk requirement tweaks.

 configure.ac |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 87404d305a0b4d28a593cbc6b62b3f01d36c2b46
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Jul 26 14:03:58 2010 -0400

    Update clutter-gtk requirement for gtk+-3.0.

 configure.ac |   12 ++++++++----
 1 files changed, 8 insertions(+), 4 deletions(-)

commit 36b9debed099b1ad0b5d6a8af792f620bf7f124a
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Jul 26 11:15:44 2010 -0400

    More code cleanup.

 mail/e-mail-backend.c                    |    1 +
 mail/e-mail-folder-pane.c                |   69 +-----
 mail/e-mail-folder-pane.h                |    3 +-
 mail/e-mail-message-pane.c               |   75 +------
 mail/e-mail-message-pane.h               |    2 +-
 mail/e-mail-notebook-view.c              |  354 +++++++++++++-----------------
 mail/e-mail-notebook-view.h              |    4 +-
 mail/e-mail-paned-view.c                 |  332 ++++++----------------------
 mail/e-mail-paned-view.h                 |    4 +-
 mail/e-mail-reader.c                     |   10 +-
 mail/e-mail-view.c                       |  225 ++++++++++++++++----
 mail/e-mail-view.h                       |   27 +--
 mail/em-format-html.c                    |    2 +-
 mail/message-list.c                      |   23 +--
 modules/mail/e-mail-shell-content.c      |   42 +++-
 modules/mail/e-mail-shell-view-private.c |    8 +-
 modules/mail/evolution-module-mail.c     |    5 -
 17 files changed, 489 insertions(+), 697 deletions(-)

commit 9279429501af7858716b0e317810a264192bb763
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Jul 26 06:24:59 2010 -0400

    Drop the "quote-from-selection" property.
    
    David's solution is simpler: check if the HTML widget is mapped.
    Avoids having to propagate the property to Srini's new classes.

 mail/e-mail-backend.c                    |    1 -
 mail/e-mail-browser.c                    |   20 --------------
 mail/e-mail-reader-utils.c               |   14 ++++-----
 mail/e-mail-reader.c                     |   42 +-----------------------------
 mail/e-mail-reader.h                     |    5 ---
 modules/mail/e-mail-shell-view-private.c |    6 ----
 6 files changed, 7 insertions(+), 81 deletions(-)

commit 81e5428a59194dd38cf2a07b2d3f9b4b6f81f6ef
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Jul 26 00:30:38 2010 -0400

    Coding style and whitespace cleanup.

 mail/e-mail-folder-pane.c                |  117 ++----
 mail/e-mail-folder-pane.h                |    5 +-
 mail/e-mail-message-pane.c               |   98 ++----
 mail/e-mail-message-pane.h               |    7 +-
 mail/e-mail-notebook-view.c              |  607 +++++++++++++++-------------
 mail/e-mail-notebook-view.h              |  105 +++--
 mail/e-mail-pane.c                       |    5 +-
 mail/e-mail-pane.h                       |   46 ++-
 mail/e-mail-paned-view.c                 |  647 +++++++++++++++---------------
 mail/e-mail-paned-view.h                 |   92 ++---
 mail/e-mail-reader.c                     |   35 +-
 mail/e-mail-reader.h                     |    4 +-
 mail/e-mail-tab-picker.c                 |   24 +-
 mail/e-mail-tab-picker.h                 |    1 -
 mail/e-mail-tab.c                        |    4 +-
 mail/e-mail-tab.h                        |    2 +-
 mail/e-mail-view.c                       |  244 +++++++-----
 mail/e-mail-view.h                       |  120 ++++---
 mail/em-format-html.c                    |    6 +-
 mail/message-list.c                      |   28 +-
 modules/mail/e-mail-shell-content.c      |   21 +-
 modules/mail/e-mail-shell-view-private.c |    2 +-
 modules/mail/e-mail-shell-view.c         |    3 +-
 modules/mail/evolution-module-mail.c     |    2 +-
 shell/main.c                             |   14 +-
 widgets/table/e-table-header-utils.c     |   14 +-
 26 files changed, 1150 insertions(+), 1103 deletions(-)

commit 13cf1d104bbacffaf09393678c12a7efadd53139
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun Jul 25 21:39:18 2010 -0400

    Bug 624534 - Adapt to GTK+ GtkNotebookPage changes

 capplet/settings/mail-view.c            |    2 +-
 mail/e-mail-notebook-view.c             |    2 +-
 plugins/groupwise-features/proxy.c      |    4 ++--
 plugins/plugin-manager/plugin-manager.c |    2 +-
 widgets/misc/e-send-options.c           |    2 +-
 5 files changed, 6 insertions(+), 6 deletions(-)

commit 17a23313c704bb4b61344bd764280e03f40f05c3
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Wed Jul 21 15:33:03 2010 +0530

    More usable tab switching logic than just vannina append

 mail/e-mail-notebook-view.c |   49 +++++++++++++++++++++++++++++++++---------
 mail/e-mail-view.c          |    1 +
 mail/e-mail-view.h          |    1 +
 3 files changed, 40 insertions(+), 11 deletions(-)

commit 3562e9bfd1229df91b67e1a501cc590e4253f1aa
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Wed Jul 21 07:44:30 2010 +0530

    Fix a compilation error

 mail/e-mail-notebook-view.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 21f5bfa2ab51f1b05a8583264d7460cbd54c351f
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Tue Jul 20 21:30:06 2010 +0530

    Fix right click issues.

 modules/mail/e-mail-shell-view-private.c |   71 ++++++++++++++++++++++++++---
 1 files changed, 63 insertions(+), 8 deletions(-)

commit 0d51f6658348f8a8c33326f5ad11dad76d6d1642
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Tue Jul 20 20:55:16 2010 +0530

    Make clutter mode even more appealing.

 mail/e-mail-notebook-view.c |   39 ++++++++++++---------------------------
 mail/e-mail-paned-view.c    |   20 +-------------------
 mail/e-mail-reader.c        |   27 ++++++++++++++++++++++++++-
 mail/em-format-html.c       |    7 ++++++-
 mail/message-list.c         |    7 ++++---
 5 files changed, 49 insertions(+), 51 deletions(-)

commit 6b263851cac1e88e0c59fe6424da6f2f5d13e9f5
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Mon Jul 19 22:10:01 2010 +0530

    Allow editing mails in composer and understand vfolders.

 mail/e-mail-folder-pane.c |   73 +++++++++++++++++++++++++++++++++++++++++++--
 1 files changed, 70 insertions(+), 3 deletions(-)

commit acd24acae600973b7aa2345d46c494a9c44244f8
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Mon Jul 19 21:51:19 2010 +0530

    Add animations for selecting mail and search.

 mail/e-mail-notebook-view.c |   16 ++++++-
 mail/e-mail-paned-view.c    |   28 ++++++++++++-
 mail/e-mail-paned-view.h    |    2 +
 mail/message-list.c         |   98 +++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 141 insertions(+), 3 deletions(-)

commit fa7a4af975007fe0c964f12e5138b869ba26faef
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Mon Jul 19 21:10:53 2010 +0530

    Add switch for tab & non-tab mode.

 modules/mail/e-mail-shell-content.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2de358e20bb5eab87feb6b2b5828cff23ed3cba5
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Mon Jul 19 18:51:02 2010 +0530

    Select folder tree based on the tab selected.

 mail/e-mail-notebook-view.c |   17 ++++++++++++++---
 1 files changed, 14 insertions(+), 3 deletions(-)

commit cde4f869c893e145e45f58423e5b782e2fc3f85b
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Mon Jul 19 14:22:13 2010 +0530

    Fix tab close issues in gtk & clutter mode.

 mail/e-mail-notebook-view.c |   35 +++++++++++++++++++++++++++--------
 1 files changed, 27 insertions(+), 8 deletions(-)

commit fc6c522b7d908f066bff4943b2b5222777353354
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Mon Jul 19 13:27:56 2010 +0530

    Add more clutter effects. Fade while selecting pages etc.

 mail/e-mail-notebook-view.c |  185 +++++++++++++++++++++++++++++++++++++++++--
 1 files changed, 178 insertions(+), 7 deletions(-)

commit 95918d83aef0ce4d390bfc4f4791fb083cd86e96
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Mon Jul 19 11:20:51 2010 +0530

    Workaround table header image draw, it crashes under clutter.

 widgets/table/e-table-header-utils.c |   11 +++++++++++
 1 files changed, 11 insertions(+), 0 deletions(-)

commit 265e3a2879986c6a661e98bc12c31b32b5774f97
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Sat Jul 17 22:00:25 2010 +0530

    Add tab-close functionality in Mx.

 mail/e-mail-notebook-view.c |   73 ++++++++++++++++++++++++++++++++++++++-----
 1 files changed, 65 insertions(+), 8 deletions(-)

commit 19ac6992c39d72a185f0e33b9db070cb2e5baa5b
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Sat Jul 17 11:23:58 2010 +0530

    Make search work well

 mail/e-mail-notebook-view.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit f454ba71426c7dbe2089df6f0dde9de8e433f664
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Sat Jul 17 10:52:13 2010 +0530

    Redo everything with optional clutter support.

 mail/Makefile.am            |   17 +++++--
 mail/e-mail-notebook-view.c |  109 ++++++++++++++++++++++++++----------------
 2 files changed, 80 insertions(+), 46 deletions(-)

commit af1c99f24c971ee7ffda9cb4ee9585aa398da8bb
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Thu Jul 15 22:43:19 2010 +0530

    Build awesome clutter/Mx based tab'ed mail reader.

 mail/Makefile.am            |    6 +
 mail/e-mail-notebook-view.c |  302 +++++++++++++++++++++++++++++++++++++++----
 2 files changed, 281 insertions(+), 27 deletions(-)

commit 6dd02e26294f270b367de48d5c95de56a1c0eebc
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Thu Jul 15 22:42:57 2010 +0530

    Add Tab/Tab picker under clutter.

 mail/e-mail-tab-picker.c | 1332 ++++++++++++++++++++++++++++++++
 mail/e-mail-tab-picker.h |  112 +++
 mail/e-mail-tab.c        | 1901 ++++++++++++++++++++++++++++++++++++++++++++++
 mail/e-mail-tab.h        |  108 +++
 4 files changed, 3453 insertions(+), 0 deletions(-)

commit 0bb1f50ded812857493a22a260fe2a7cd0b30bc7
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Thu Jul 15 22:41:25 2010 +0530

    Add content for tabs.

 data/Makefile.am                      |   25 +++++++
 data/close-on-tab-hover.png           |  Bin 0 -> 3269 bytes
 data/close-on-tab.png                 |  Bin 0 -> 289 bytes
 data/default.css                      |  111 +++++++++++++++++++++++++++++++++
 data/preview-tab-active-private.png   |  Bin 0 -> 1093 bytes
 data/preview-tab-active.png           |  Bin 0 -> 1093 bytes
 data/preview-tab-hover-private.png    |  Bin 0 -> 1080 bytes
 data/preview-tab-hover.png            |  Bin 0 -> 1080 bytes
 data/preview-tab-inactive-private.png |  Bin 0 -> 1156 bytes
 data/preview-tab-inactive.png         |  Bin 0 -> 1156 bytes
 data/tab-active-private.png           |  Bin 0 -> 1135 bytes
 data/tab-active.png                   |  Bin 0 -> 3718 bytes
 data/tab-add-hover.png                |  Bin 0 -> 3280 bytes
 data/tab-add.png                      |  Bin 0 -> 3254 bytes
 data/tab-bar-background.png           |  Bin 0 -> 318 bytes
 data/tab-inactive-hover-private.png   |  Bin 0 -> 893 bytes
 data/tab-inactive-hover.png           |  Bin 0 -> 3552 bytes
 data/tab-inactive-private.png         |  Bin 0 -> 895 bytes
 data/tab-inactive.png                 |  Bin 0 -> 3557 bytes
 data/tab-switcher-close-hover.png     |  Bin 0 -> 626 bytes
 data/tab-switcher-close.png           |  Bin 0 -> 408 bytes
 data/tab-switcher-hover.png           |  Bin 0 -> 3335 bytes
 data/tab-switcher.png                 |  Bin 0 -> 3318 bytes
 23 files changed, 136 insertions(+), 0 deletions(-)

commit 5bcd16f4d7bd1f5fa61b00ce69c335e5451d3aae
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Thu Jul 15 22:39:55 2010 +0530

    Option to build with clutter/MX

 configure.ac |   21 +++++++++++++++++++++
 1 files changed, 21 insertions(+), 0 deletions(-)

commit d46c4b4e5bcaefd116b0ee0e49af951c31019990
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Thu Jul 15 22:39:23 2010 +0530

    Add optional clutter support.

 shell/Makefile.am |    5 +++++
 shell/main.c      |   15 +++++++++++++++
 2 files changed, 20 insertions(+), 0 deletions(-)

commit b9564c4d01c08c976e01256b308e3f2891c6e164
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Wed Jul 14 13:47:41 2010 +0530

    Add folder pane for tabbed browser.

 mail/Makefile.am                    |    4 +
 mail/e-mail-folder-pane.c           |  804 +++--------------------------------
 mail/e-mail-folder-pane.h           |   16 +-
 mail/e-mail-message-pane.c          |  782 ++--------------------------------
 mail/e-mail-message-pane.h          |   16 +-
 mail/e-mail-notebook-view.c         |  220 +++++++++-
 mail/e-mail-notebook-view.h         |   17 +
 mail/e-mail-paned-view.c            |   59 +++-
 mail/e-mail-paned-view.h            |   10 +
 mail/e-mail-reader.c                |   16 +-
 mail/e-mail-reader.h                |    2 +
 mail/e-mail-view.c                  |   63 +++-
 mail/e-mail-view.h                  |   16 +-
 modules/mail/e-mail-shell-content.c |  150 +++++++-
 14 files changed, 615 insertions(+), 1560 deletions(-)

commit 75de89ef04f0bd69fe5d33919e281bdb8c30bd9e
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Tue Jul 13 13:01:11 2010 +0530

    Make the update-actions work across tabs.

 mail/e-mail-notebook-view.c         |   31 ++++++++++++++++++++++++++++++
 mail/e-mail-reader.c                |   36 +++++++++++++++++++++++++++++++++++
 modules/mail/e-mail-shell-content.c |   18 +++++++++++++++++
 3 files changed, 85 insertions(+), 0 deletions(-)

commit 9849889089a50d0e7a6efc37037956af83abc358
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Mon Jul 12 18:40:33 2010 +0530

    Unique folder tabs

 mail/e-mail-notebook-view.c |   26 +++++++++++++++++++++++++-
 1 files changed, 25 insertions(+), 1 deletions(-)

commit 34900a590970d9eb3d398ba2ec18764b8b0f678c
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Mon Jul 12 18:17:35 2010 +0530

    More bug fixes.

 mail/e-mail-paned-view.c            |    7 ++++---
 mail/e-mail-reader.c                |   15 +++++++++++++++
 mail/e-mail-reader.h                |    1 +
 modules/mail/e-mail-shell-content.c |   10 +++++++++-
 4 files changed, 29 insertions(+), 4 deletions(-)

commit b6f2454f4a02419dd6b4dae3be4130e671b447df
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Mon Jul 12 16:06:07 2010 +0530

    Fix a compilation error

 mail/e-mail-reader.c |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit b1f4b085656a2520d807eb8ebca3d64b568ff037
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Mon Jul 12 16:02:25 2010 +0530

    Add EMailNotebook View

 mail/Makefile.am            |    2 +
 mail/e-mail-notebook-view.c |  292 ++++++++++++++++++++++++++++++++++++++++---
 mail/e-mail-notebook-view.h |   19 +++-
 mail/e-mail-paned-view.c    |    2 +
 mail/e-mail-reader.c        |    2 +
 5 files changed, 295 insertions(+), 22 deletions(-)

commit 10df2a43b866eb6a5e73d652d89db3d1010fe7f9
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Mon Jul 12 16:01:50 2010 +0530

    Add EMailReader i/f recurrsive from tne Content.

 modules/mail/e-mail-shell-content.c  |   85 +++++++++++++++++++++++++++++++++-
 modules/mail/evolution-module-mail.c |    2 +
 2 files changed, 86 insertions(+), 1 deletions(-)

commit b5075fca726a3c6a0b18f9342ccc833ff0a64ccf
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Fri Jul 9 14:42:40 2010 +0530

    Make EMailPanedView up & working.

 mail/e-mail-paned-view.c |   10 +++++++---
 mail/e-mail-view.c       |   29 +++++++++++++++++++++++++++++
 mail/e-mail-view.h       |   16 +++++++++++++++-
 3 files changed, 51 insertions(+), 4 deletions(-)

commit 909774170062bd74c6f3554b25f0d06054fb9c8b
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Fri Jul 9 14:41:34 2010 +0530

    Rewrite the content piece of evolution.

 modules/mail/e-mail-shell-content.c      |  932 +-----------------------------
 modules/mail/e-mail-shell-content.h      |    3 +-
 modules/mail/e-mail-shell-view-actions.c |   26 +-
 modules/mail/e-mail-shell-view-private.c |   22 +-
 modules/mail/e-mail-shell-view.c         |    8 +-
 modules/mail/evolution-module-mail.c     |    3 +
 6 files changed, 47 insertions(+), 947 deletions(-)

commit 237abb86d580b7013b1c0b8286e197399d5ae430
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Fri Jul 9 11:11:00 2010 +0530

    Redo EMailPanedView and almost match to the basic one.

 mail/Makefile.am         |    4 +
 mail/e-mail-paned-view.c |  573 ++++++++++++++++++++++++++++++++++++++++++----
 mail/e-mail-paned-view.h |   37 +++-
 mail/e-mail-view.c       |    5 +-
 mail/e-mail-view.h       |    8 +-
 5 files changed, 573 insertions(+), 54 deletions(-)

commit 5282170b4a72eba2068d1d973a567ae5439f5c64
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Thu Jul 8 17:10:49 2010 +0530

    More changes and modifications.

 mail/e-mail-paned-view.c |  522 +++++++++++++++++++++++++++++++++++++++++++++-
 mail/e-mail-paned-view.h |    3 +
 mail/e-mail-view.c       |   55 +++++
 mail/e-mail-view.h       |    3 +
 4 files changed, 580 insertions(+), 3 deletions(-)

commit 80ba530e8c4341699f9fad92b9d35a7cddbbaf68
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Thu Jul 8 01:13:54 2010 +0530

    re-baseclass few things.

 mail/e-mail-message-pane.c  |    2 +-
 mail/e-mail-notebook-view.h |    5 +++--
 mail/e-mail-paned-view.h    |    5 +++--
 3 files changed, 7 insertions(+), 5 deletions(-)

commit 2dfdc2cd25c3bbde3d1032b5a6fe33bd55083a5e
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Thu Jul 8 01:08:23 2010 +0530

    New set of basic views

 mail/e-mail-notebook-view.c |   75 +++++++++++++++++++++++++++++++++++++++++++
 mail/e-mail-notebook-view.h |   49 ++++++++++++++++++++++++++++
 mail/e-mail-paned-view.c    |   75 +++++++++++++++++++++++++++++++++++++++++++
 mail/e-mail-paned-view.h    |   49 ++++++++++++++++++++++++++++
 mail/e-mail-view.c          |   75 +++++++++++++++++++++++++++++++++++++++++++
 mail/e-mail-view.h          |   49 ++++++++++++++++++++++++++++
 6 files changed, 372 insertions(+), 0 deletions(-)

commit 8ccf32a107e85f950df3da452ffd293e132f048b
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Thu Jul 8 00:49:28 2010 +0530

    Add folder pane.

 mail/e-mail-folder-pane.c |  911 +++++++++++++++++++++++++++++++++++++++++++++
 mail/e-mail-folder-pane.h |   74 ++++
 2 files changed, 985 insertions(+), 0 deletions(-)

commit 714942ce29c622ac8d48877922f188aef23bff76
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Thu Jul 8 00:40:46 2010 +0530

    Add class for message pane.

 mail/e-mail-message-pane.c |  913 ++++++++++++++++++++++++++++++++++++++++++++
 mail/e-mail-message-pane.h |   75 ++++
 2 files changed, 988 insertions(+), 0 deletions(-)

commit 8ac8ea3de8cb717e95c49b468b64037b80f1376c
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Thu Jul 8 00:40:22 2010 +0530

    Add base class for every page.

 mail/e-mail-pane.c |   75 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 mail/e-mail-pane.h |   49 ++++++++++++++++++++++++++++++++++
 2 files changed, 124 insertions(+), 0 deletions(-)

commit 68aa811ea45a0b68c3d675ec9ccdaaf5159daae5
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Jul 25 06:22:43 2010 -0400

    Bug 598833 - Do not ship dropped evo_mail_notifier.png

 help/eu/figures/evo_mail_notifier.png |  Bin 4452 -> 0 bytes
 help/fr/figures/evo_mail_notifier.png |  Bin 7986 -> 0 bytes
 2 files changed, 0 insertions(+), 0 deletions(-)

commit b497b65480d942066b24203d1e599dd12929a6ec
Author: Shankar Prasad <sprasad@git.gnome.org>
Date:   Fri Jul 23 14:34:17 2010 +0530

    Updated Kannada translations

 po/kn.po |   40 +++++++++++++++++-----------------------
 1 files changed, 17 insertions(+), 23 deletions(-)

commit 1a8f315db5d40623aebec3808eb41db1ccc15b6b
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu Jul 22 08:08:45 2010 -0400

    Bug 624525 - Variable name collision in gtk-compat macro

 e-util/gtk-compat.h           |   10 +++++-----
 libgnomecanvas/gailcanvas.c   |    2 +-
 libgnomecanvas/gnome-canvas.c |    2 +-
 3 files changed, 7 insertions(+), 7 deletions(-)

commit 28ce96706f736691c43dd04ec308cf0f2595d351
Author: Sandeep Shedmake <sshedmak@redhat.com>
Date:   Thu Jul 22 15:55:07 2010 +0530

    Updated Marathi Translations

 po/mr.po |21765 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 10024 insertions(+), 11741 deletions(-)

commit 410b996d54ee4787289760aec2329e24804d1061
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu Jul 22 11:13:10 2010 +0200

    Bug #624891 - Various compiler warnings in git/master

 composer/e-msg-composer.c |    2 +-
 e-util/gtk-compat.h       |   10 ++++------
 mail/e-mail-reader.c      |    2 +-
 mail/em-account-editor.c  |    4 +++-
 4 files changed, 9 insertions(+), 9 deletions(-)

commit 3e12c61e4cc3bd04b4c1a07358fd72530836e526
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Tue Jul 20 14:49:53 2010 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po |11047 ++++++++++++++++++++++++++++++-----------------------------
 po/zh_TW.po |11068 ++++++++++++++++++++++++++++++-----------------------------
 2 files changed, 11360 insertions(+), 10755 deletions(-)

commit 45e30181d2182c1f6f8d3303aed497b819c4e03a
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Mon Jul 19 14:13:46 2010 +0200

    Updated Norwegian bokmål translation

 po/nb.po | 4470 +++++++++++++++++++++++++++++++++++++-------------------------
 1 files changed, 2674 insertions(+), 1796 deletions(-)

commit f63c57f991671ba0a7359768d319960026b14f49
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Jul 18 13:40:25 2010 -0400

    Bug 624677 - Missing keyboard shortcut for "Save as mbox"

 mail/e-mail-reader.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a11439aeaf8009d36c3a93bb62fa18efdef8d0e0
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Jul 17 21:26:25 2010 -0400

    Update API documentation.

 doc/reference/shell/eshell-sections.txt       |  521 ++++++++++++++++++++++++-
 doc/reference/shell/tmpl/e-shell-content.sgml |    8 +
 doc/reference/shell/tmpl/e-shell-utils.sgml   |   11 +
 doc/reference/shell/tmpl/e-shell-view.sgml    |   16 +
 doc/reference/shell/tmpl/e-shell-window.sgml  |    9 +
 doc/reference/shell/tmpl/e-shell.sgml         |   80 ++++
 doc/reference/shell/tmpl/eshell-unused.sgml   |   84 ++++
 shell/e-shell-meego.c                         |    8 +-
 shell/e-shell-utils.h                         |    9 +-
 9 files changed, 739 insertions(+), 7 deletions(-)

commit 61176abc4131f4379e43b4c3031cde89ad88a2a9
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Sun Jul 18 19:10:12 2010 +0200

    Fixed headers in galician translation file

 po/gl.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 095f633fc27ad841d1741c3c6072f2500e031849
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Sun Jul 18 19:09:41 2010 +0200

    Fixed headers in galician translation file

 po/gl.po | 1451 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 811 insertions(+), 640 deletions(-)

commit 866ab437868b8449e4096eb90c8057b58320fe03
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sun Jul 18 13:53:10 2010 +0200

    Updated Spanish translation

 po/es.po | 1714 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 942 insertions(+), 772 deletions(-)

commit 7c77efb26495ab8f45af58930a85c577ab4cfe69
Author: Aron Xu <aronxu@gnome.org>
Date:   Sun Jul 18 16:31:20 2010 +0800

    Major update of Simplified Chinese translation.

 po/zh_CN.po | 2572 +++++++++++++++++++++++++++++------------------------------
 1 files changed, 1271 insertions(+), 1301 deletions(-)

commit 4887542c249ca35d76ab00af1081ba6497c18e26
Author: David Woodhouse <David.Woodhouse@intel.com>
Date:   Sat Jul 17 12:24:38 2010 +0100

    Bug 624482 - Monitor /apps/evolution/mail/prompts for changes
    
    Otherwise the UI doesn't notice changes when they're made directly in gconf,
    which is what the dialogs actually do.

 mail/mail-config.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 665c4b22ad55795ce89f0a4894efd8ed9630cf68
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Jul 17 06:16:59 2010 -0400

    Disable my evil GtkExpander hack in EAttachmentPaned.
    
    The new height-for-width logic in GTK3 doesn't like my trick to center a
    GtkExpander's label widget, so I have to disable it entirely for GTK3 or
    else Evolution crashes when opening a composer window.
    
    Bug #614049 has a GtkExpander patch that would let me do it properly.

 widgets/misc/e-attachment-paned.c |   10 +++++++++-
 1 files changed, 9 insertions(+), 1 deletions(-)

commit efc1898b70b78022bd8ec91cd54fb53c368ba714
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Jul 16 14:27:56 2010 +0200

    Report error to user when fails to open calendar/task/memo list

 calendar/calendar.error.xml             |   18 ++++++++++++++++++
 modules/calendar/e-cal-shell-sidebar.c  |   12 ++++++++++++
 modules/calendar/e-memo-shell-sidebar.c |   12 ++++++++++++
 modules/calendar/e-task-shell-sidebar.c |   12 ++++++++++++
 4 files changed, 54 insertions(+), 0 deletions(-)

commit 8b5dc5fcb1ab4b9cf6fcb4dbeda41ece0c52c49e
Author: David Woodhouse <David.Woodhouse@intel.com>
Date:   Fri Jul 16 07:18:46 2010 +0100

    Add translation note for 'Group Reply'.

 mail/e-mail-reader.c |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

commit 8a25ad9f15c2404f89c84b2e7fc051fba0f18b1f
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Thu Jul 15 21:55:22 2010 +0200

    [i18n] Updated German translation

 po/de.po | 6717 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 3669 insertions(+), 3048 deletions(-)

commit 858a2a884dbc243c485f1424d90675e06fa207b2
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed Jun 9 06:56:27 2010 -0400

    Clean up "ensure_sources" backend routines.
    
    Remove redundant logic (we call e_source_list_ensure_group() and then
    proceed to do the same thing it just did), and use "local:" as the base
    URI for the "On This Computer" group.
    
    This requires commit 9e0845207b39f256f7e81d388741ed30a764ea7b in
    Evolution-Data-Server to work properly.

 modules/addressbook/e-book-shell-backend.c |  104 ++++--------------------
 modules/calendar/e-cal-shell-backend.c     |  122 +++++++---------------------
 modules/calendar/e-memo-shell-backend.c    |   67 +++-------------
 modules/calendar/e-task-shell-backend.c    |   71 +++-------------
 4 files changed, 70 insertions(+), 294 deletions(-)

commit 51a41db621693114f5ee60d48e7e6442fc85fcc4
Author: David Woodhouse <David.Woodhouse@intel.com>
Date:   Thu Jul 15 17:20:16 2010 +0100

    Add nag popup when mailing list hijacks private reply with Reply-To: header

 mail/e-mail-reader.c                 |   43 +++++++++++++++++++++++++++++++++-
 mail/em-composer-utils.c             |   29 +++++++++++++++++++++++
 mail/em-composer-utils.h             |    3 +-
 mail/evolution-mail.schemas.in       |   12 +++++++++
 mail/mail-config.ui                  |   15 ++++++++++++
 mail/mail.error.xml                  |    8 ++++++
 modules/mail/e-mail-shell-settings.c |    4 +++
 modules/mail/em-composer-prefs.c     |    5 ++++
 8 files changed, 117 insertions(+), 2 deletions(-)

commit 21b0925061702c0c2a6ee30819c739409bba39d2
Author: David Woodhouse <David.Woodhouse@intel.com>
Date:   Thu Jul 15 10:20:14 2010 +0100

    Change 'Reply to All' toolbar button into configurable 'Group Reply'
    
    ...with a dropdown menu like the Forward button, and configuration for
    whether it tries to do 'Reply to List' by default.

 mail/e-mail-reader.c                 |   54 +++++++++++++++++++++++++++++++++-
 mail/evolution-mail.schemas.in       |   17 ++++++++++
 mail/mail-config.ui                  |   19 ++++++++++-
 modules/mail/e-mail-shell-settings.c |    4 ++
 modules/mail/em-composer-prefs.c     |    5 +++
 ui/evolution-mail-reader.ui          |    7 ++++-
 6 files changed, 102 insertions(+), 4 deletions(-)

commit ff8615ec0ad504b3fb81784747b82fca42ed1457
Author: David Woodhouse <David.Woodhouse@intel.com>
Date:   Thu Jul 15 11:24:01 2010 +0100

    Don't show the "reply in private?" nag popup for munged Reply-To: list messages

 mail/e-mail-reader.c     |   62 ++++++++++++++++++++++++++++++++++++++++-----
 mail/em-composer-utils.c |   41 ++++++++++++++++++++---------
 mail/em-composer-utils.h |    1 +
 3 files changed, 84 insertions(+), 20 deletions(-)

commit 8ae4bf802aac4218ebfbe10cae09693ba64c05f3
Author: David Woodhouse <David.Woodhouse@intel.com>
Date:   Wed Jul 14 11:54:01 2010 +0100

    Fix two memory leaks when replying
    
    1: em_utils_reply_to_message() can be passed a newly-created message (from
    a current selection. It needs to unref it. Which means that when we pass it
    a message which *isn't* newly-created, we have to obtain a ref of our own.
    It was that or add a boolean parameter to tell it whether to unref or not.
    
    2: emf_finalize() wasn't unreferencing emf->message -- so when we clone
    the EMFormat in em_utils_message_to_html() and immediately unreference the
    clone, a refcount on the message got leaked. Fix emf_finalize() to unref
    emf->message as presumably it should.

 em-format/em-format.c      |    3 +++
 mail/e-mail-reader-utils.c |    6 +++++-
 mail/e-mail-reader.c       |    3 +++
 mail/em-composer-utils.c   |   10 +++++++---
 4 files changed, 18 insertions(+), 4 deletions(-)

commit 1e6adfccc83fdbf7862fabd883ca1ba8d9a848c2
Author: David Woodhouse <David.Woodhouse@intel.com>
Date:   Wed Jul 14 10:13:10 2010 +0100

    Add support for ignoring mailing list Reply-To: headers

 mail/em-composer-utils.c             |  105 ++++++++++++++++++++++-----------
 mail/evolution-mail.schemas.in       |   21 +++++++
 mail/mail-config.ui                  |   19 ++++++-
 modules/mail/e-mail-shell-settings.c |    4 +
 modules/mail/em-composer-prefs.c     |    5 ++
 5 files changed, 117 insertions(+), 37 deletions(-)

commit 8b8fdabfa64d627ba3e13a77cbb104d463d29fb5
Author: David Woodhouse <David.Woodhouse@intel.com>
Date:   Wed Jul 14 00:41:57 2010 +0100

    Warn on reply-to-all with too many recipients

 mail/e-mail-reader-utils.c           |   12 +++--
 mail/e-mail-reader-utils.h           |    1 +
 mail/e-mail-reader.c                 |   87 ++++++++++++++++++++++++++++++++-
 mail/evolution-mail.schemas.in       |   15 ++++++
 mail/mail-config.ui                  |   15 ++++++
 mail/mail.error.xml                  |    8 +++
 modules/mail/e-mail-shell-settings.c |    4 ++
 modules/mail/em-composer-prefs.c     |    5 ++
 8 files changed, 140 insertions(+), 7 deletions(-)

commit 0f7b73d6396ccc08c479c86759c0a3016a1aaf3e
Author: David Woodhouse <David.Woodhouse@intel.com>
Date:   Tue Jul 13 18:00:19 2010 +0100

    Bug 624204 - Warn when replying privately to a mailing list message

 mail/e-mail-reader.c                 |   37 +++++++++++++++++++++++++++++++++-
 mail/evolution-mail.schemas.in       |   16 ++++++++++++++
 mail/mail-config.ui                  |   15 +++++++++++++
 mail/mail.error.xml                  |    9 ++++++++
 modules/mail/e-mail-shell-settings.c |    4 +++
 modules/mail/em-composer-prefs.c     |    5 ++++
 6 files changed, 85 insertions(+), 1 deletions(-)

commit d3d4fbbe25bccb73bfadef4f5b60a5c9f44aae2b
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed Jul 14 10:38:47 2010 -0400

    Bug 624237 - Fails to start when smartcard is inserted

 smime/gui/certificate-manager.c |   12 ++++++++++--
 1 files changed, 10 insertions(+), 2 deletions(-)

commit 31128ea462c72c1e00d7864f39cbdc1bc2294108
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Jul 14 15:30:20 2010 +0200

    Bug #624335 - Abort after group-by-thread with certain sorting

 mail/message-list.c |   17 ++---------------
 1 files changed, 2 insertions(+), 15 deletions(-)

commit ecb600bbb40144caf409c245b44b3eadd70eb81d
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Jul 14 12:28:44 2010 +0200

    Bug #615049 - Crash in remove_contact at e-addressbook-model.c:202

 addressbook/gui/widgets/e-addressbook-model.c |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit b727a1a99e3ba478a59ee0565e51cf1de180fde2
Author: drtv <vasudeven@git.gnome.org>
Date:   Tue Jul 13 21:05:31 2010 +0530

    Updated Tamil translation

 po/ta.po | 8019 ++++++++++++++++++++++++++------------------------------------
 1 files changed, 3325 insertions(+), 4694 deletions(-)

commit 229d083ed753f90345b472115e49228c87cf8ce7
Author: Aron Xu <aronxu@gnome.org>
Date:   Wed Jul 14 15:32:21 2010 +0800

    Update Simplified Chinese translation.

 po/zh_CN.po |11327 +++++++++++++++++++++++++++++------------------------------
 1 files changed, 5634 insertions(+), 5693 deletions(-)

commit d30de221a382c7264749dc908fb7ddb096636d73
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Jul 13 19:29:38 2010 -0400

    EMailReader: Remove unused variable

 mail/e-mail-reader.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit a972d9ab59660d7137fdf0918133b2e3f1c41545
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Jul 13 19:27:18 2010 -0400

    Bug 624285 - When replying, ignore text selection if preview is hidden

 mail/e-mail-browser.c                    |   20 ++++++++++++++
 mail/e-mail-reader-utils.c               |    3 ++
 mail/e-mail-reader.c                     |   42 +++++++++++++++++++++++++++++-
 mail/e-mail-reader.h                     |    5 +++
 modules/mail/e-mail-shell-content.c      |   20 ++++++++++++++
 modules/mail/e-mail-shell-view-private.c |    6 ++++
 6 files changed, 95 insertions(+), 1 deletions(-)

commit dba7eededd03ad2de3c126301e9d048390bb6f43
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Jul 13 20:54:58 2010 +0200

    Bug #623035 - Crash when printing email with too many recipients

 mail/em-format-html.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 9cbd7884b2c831ebfcd51391829b53f1986ab7b3
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Jul 13 10:11:34 2010 -0400

    Bug 624235 - CamelPOP3Store missing some methods
    
    CamelPOP3Store's get_folder_info() now sets CAMEL_STORE_ERROR_NO_FOLDER
    since it has no folder hierarchy to scan.  This catches and clears that
    error so it doesn't reach the user.

 mail/em-folder-tree.c |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit f9ac993fdabacecd795037516244840c2142ec13
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Jul 13 08:12:59 2010 -0400

    Bug 624216 - Runtime warning in Attachment Reminder plugin
    
    Also fixes the same bug in Email Custom Header plugin.

 plugins/attachment-reminder/attachment-reminder.c |  137 +++++-----------
 plugins/email-custom-header/email-custom-header.c |  182 +++++++--------------
 2 files changed, 101 insertions(+), 218 deletions(-)

commit f70b03fdfbcd3d44d8e841b5c79e93193fce50e0
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Jul 12 21:17:37 2010 -0400

    Post-release version bump.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 16ac0ca9cbea77bbfbe2fad03bade8dd5e1f7ba1
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Jul 12 19:12:09 2010 -0400

    NEWS update for Evolution 2.31.5.

 NEWS |   39 +++++++++++++++++++++++++++++++++++++++
 1 files changed, 39 insertions(+), 0 deletions(-)

commit ec94db47527e9ff67cfc983e620729219e31901f
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Tue Jul 13 03:05:45 2010 +0200

    Updated Galician translations

 po/gl.po | 1674 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 839 insertions(+), 835 deletions(-)

commit 78bf9d9d708dd255cc0966d64112aba56a4b2544
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Jul 12 11:26:47 2010 -0400

    Bug 624128 - Folder -> Subscriptions is always enabled

 e-util/e-account-utils.c                           |   42 +++++++++++++++
 e-util/e-account-utils.h                           |    1 +
 mail/e-mail-browser.c                              |    4 +-
 mail/e-mail-reader.c                               |   56 ++++++++++---------
 mail/e-mail-reader.h                               |    8 ++-
 modules/mail/e-mail-shell-view.c                   |   12 ++++-
 plugins/mail-to-task/mail-to-task.c                |    8 +--
 .../mailing-list-actions/mailing-list-actions.c    |    3 +-
 8 files changed, 94 insertions(+), 40 deletions(-)

commit eb29179da623f9cf4abd663577395a085452ca18
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Jul 11 11:31:15 2010 -0400

    Coding style and whitespace cleanup.

 .../gui/contact-editor/e-contact-editor-fullname.c |    2 +-
 .../gui/widgets/e-addressbook-reflow-adapter.c     |    2 +-
 addressbook/gui/widgets/e-addressbook-view.c       |   18 +-
 addressbook/gui/widgets/e-minicard.c               |    4 +-
 addressbook/gui/widgets/eab-contact-display.c      |    2 +-
 addressbook/gui/widgets/eab-contact-display.h      |   11 +-
 addressbook/gui/widgets/eab-gui-util.c             |    4 +-
 addressbook/importers/evolution-csv-importer.c     |    2 +-
 addressbook/importers/evolution-ldif-importer.c    |    2 +-
 addressbook/printing/e-contact-print.c             |   36 ++-
 addressbook/util/addressbook.c                     |   29 +-
 addressbook/util/eab-book-util.c                   |    2 +-
 calendar/gui/dialogs/comp-editor.c                 |  167 +++++++---
 calendar/gui/dialogs/event-editor.c                |   41 ++-
 calendar/gui/dialogs/recurrence-page.c             |    4 +-
 calendar/gui/dialogs/task-editor.c                 |   31 ++-
 calendar/gui/e-cal-model.c                         |    2 +-
 calendar/gui/e-cell-date-edit-text.h               |    5 +-
 calendar/gui/e-day-view-top-item.c                 |   49 ++-
 calendar/gui/e-meeting-store.c                     |   96 ++++--
 calendar/gui/e-week-view-layout.c                  |    6 +-
 calendar/gui/e-week-view.c                         |    6 +-
 calendar/gui/gnome-cal.c                           |   10 +-
 calendar/gui/goto.c                                |   23 +-
 calendar/gui/print.c                               |    4 +-
 composer/e-msg-composer.c                          |   32 +-
 e-util/e-bit-array.c                               |   14 +-
 e-util/e-sorter-array.c                            |    2 +-
 e-util/e-text-event-processor-emacs-like.c         |   21 +-
 e-util/e-unicode.c                                 |    2 +-
 e-util/e-util.c                                    |   10 +-
 libgnomecanvas/gailcanvasitem.c                    |   13 +-
 libgnomecanvas/gnome-canvas-util.c                 |   53 ++--
 libgnomecanvas/gnome-canvas-widget.c               |   51 ++-
 mail/mail-folder-cache.c                           |   80 ++++--
 mail/mail-session.c                                |    2 +-
 mail/mail-tools.c                                  |   26 ++-
 mail/message-list.c                                |    8 +-
 modules/addressbook/openldap-extract.h             |   18 +-
 modules/calendar/e-cal-shell-sidebar.c             |   12 +-
 modules/calendar/e-memo-shell-sidebar.c            |   12 +-
 modules/calendar/e-task-shell-sidebar.c            |   12 +-
 plugins/audio-inline/audio-inline.c                |    2 +-
 plugins/dbx-import/dbx-importer.c                  |   43 ++--
 plugins/groupwise-features/camel-gw-listener.c     |    6 +-
 plugins/publish-calendar/publish-location.c        |   11 +-
 plugins/sa-junk-plugin/em-junk-filter.c            |   12 +-
 shell/e-shell-switcher.c                           |    2 +-
 smime/lib/e-cert-db.c                              |    4 +-
 widgets/menus/gal-view-collection.c                |   14 +-
 widgets/misc/e-canvas-vbox.c                       |    2 +-
 widgets/misc/e-selection-model-array.c             |    4 +-
 widgets/misc/test-preferences-window.c             |    2 +-
 widgets/table/e-cell-hbox.c                        |    2 +-
 widgets/table/e-cell-tree.c                        |    4 +-
 widgets/table/e-cell-vbox.c                        |    2 +-
 widgets/table/e-table-config.c                     |    2 +-
 widgets/table/e-table-field-chooser-item.c         |   65 +++-
 widgets/table/e-table-group-container.c            |    4 +-
 widgets/table/e-table-header-item.c                |    6 +-
 widgets/table/e-table-header-item.h                |    2 +-
 widgets/table/e-table-header.c                     |    6 +-
 widgets/table/e-table-item.c                       |   14 +-
 widgets/table/e-table-memory-store.c               |    6 +-
 widgets/table/e-table-memory.c                     |    8 +-
 widgets/table/e-table-sorted.c                     |    4 +-
 widgets/table/e-table-sorting-utils.c              |   16 +-
 widgets/table/e-table-subset-variable.c            |    2 +-
 widgets/table/e-table-without.c                    |    6 +-
 widgets/table/e-table.c                            |    2 +-
 widgets/table/e-tree-memory.c                      |   14 +-
 widgets/table/e-tree-sorted.c                      |   16 +-
 widgets/table/e-tree.c                             |  341 ++++++++++++--------
 widgets/table/gal-a11y-e-table-item.c              |  116 ++++---
 widgets/text/e-reflow.c                            |   12 +-
 widgets/text/e-text-model.c                        |    4 +-
 widgets/text/e-text.c                              |  206 ++++++++----
 77 files changed, 1198 insertions(+), 690 deletions(-)

commit beb8e74577f695d0d3c2efea52dc10c2136f0135
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun Jul 11 17:25:54 2010 +0200

    Updated Norwegian bokmål translation

 po/nb.po |  320 +++++++-------------------------------------------------------
 1 files changed, 33 insertions(+), 287 deletions(-)

commit 3e481b5a3832be009afee04431a95d60761f75bd
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Jul 11 09:39:25 2010 -0400

    Fix some linking issues.

 shell/Makefile.am     |    2 ++
 smime/lib/Makefile.am |    2 ++
 2 files changed, 4 insertions(+), 0 deletions(-)

commit 2c48f517c1c41d7162e1d9fba89807f812ad3f5f
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Jul 11 09:13:34 2010 -0400

    Fix some compiler warnings.

 .../contact-list-editor/e-contact-list-editor.c    |    6 ++++--
 calendar/gui/alarm-notify/alarm-queue.c            |    3 +++
 plugins/mail-notification/mail-notification.c      |    4 +++-
 3 files changed, 10 insertions(+), 3 deletions(-)

commit 43442ac93b6262cc929574290124a74906248ab8
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun Jul 11 14:38:25 2010 +0200

    Updated Norwegian bokmål translation

 po/nb.po | 5222 ++++++++++++++++++++++++++------------------------------------
 1 files changed, 2168 insertions(+), 3054 deletions(-)

commit 140ec93c5eaea85e106c1764bdcf0f43572b08ca
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Jul 10 14:04:43 2010 -0400

    Bug 621839 - Improve auto-selection of messages (take two)
    
    First patch for this bug misunderstood what was being asked for.  It
    auto-selected the newest unread message or else the newest read message,
    but the desired behavior was to select the -oldest- unread message or
    else the newest read message.
    
    ("Newest" and "oldest" being determined by date/time received.)

 mail/message-list.c |   55 ++++++++++++++++++++++++++------------------------
 1 files changed, 29 insertions(+), 26 deletions(-)

commit a0383d484ba9b96208892ab0c4c788696bb2c551
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Jul 10 10:10:05 2010 -0400

    Bug 623702 - SEGV on redirecting message

 composer/e-msg-composer.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit c07ab468d605431cfee94f5b5c4ce9e1875b8d85
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Jul 10 09:30:19 2010 -0400

    Bug 623738 - Select All is always enabled for message list

 mail/message-list.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 523d1da0198170a476cf965ba6f9075bf67608cb
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Jul 10 09:14:01 2010 -0400

    Bug 623947 - Error handling issues in em-format.c

 em-format/em-format.c |   14 ++++++++++----
 1 files changed, 10 insertions(+), 4 deletions(-)

commit 8734644b43e1e1854ee1f004f42e220d8a2fb0b8
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Jul 10 09:00:56 2010 -0400

    Bug 624011 - EMeetingTimeSelector tries to change mouse cursor before it's realized

 calendar/gui/e-meeting-time-sel.c |   24 +++++++++++++++---------
 1 files changed, 15 insertions(+), 9 deletions(-)

commit b3cdd1cc301540d00fe1a501c5e2b5332d8869b7
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Jul 10 08:00:32 2010 -0400

    Bug 624022 - "stock_mail-import" no longer exists in gnome-icon-theme

 widgets/misc/e-import-assistant.c |   19 -------------------
 1 files changed, 0 insertions(+), 19 deletions(-)

commit 9a348272a60b85948c6ffc4a5ffb2f7b77f10b60
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sat Jul 10 10:20:21 2010 +0200

    Updated Spanish translation

 po/es.po |  658 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 330 insertions(+), 328 deletions(-)

commit 03d626856b294bc98919ac244e04e9b8821a681d
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Jul 9 14:29:51 2010 +0200

    Bug #623204 - Be able to report detailed errors from backends

 addressbook/gui/contact-editor/e-contact-editor.c  |   84 ++++++++++----------
 .../gui/contact-editor/e-contact-quick-add.c       |   16 ++--
 addressbook/gui/contact-editor/eab-editor.c        |   18 ++--
 addressbook/gui/contact-editor/eab-editor.h        |   12 ++--
 .../contact-list-editor/e-contact-list-editor.c    |   48 ++++++------
 addressbook/gui/merging/eab-contact-compare.c      |   16 ++--
 addressbook/gui/merging/eab-contact-merging.c      |   44 ++++++-----
 addressbook/gui/merging/eab-contact-merging.h      |    6 +-
 addressbook/gui/widgets/e-addressbook-model.c      |   34 ++++----
 addressbook/gui/widgets/e-addressbook-model.h      |    3 +-
 .../gui/widgets/e-addressbook-reflow-adapter.c     |    1 +
 addressbook/gui/widgets/e-addressbook-selector.c   |   14 ++--
 .../gui/widgets/e-addressbook-table-adapter.c      |    6 +-
 addressbook/gui/widgets/e-addressbook-view.c       |   29 ++++---
 addressbook/gui/widgets/e-minicard-view.c          |    8 +-
 addressbook/gui/widgets/e-minicard-view.h          |    2 +-
 addressbook/gui/widgets/eab-gui-util.c             |   80 +++++++------------
 addressbook/gui/widgets/eab-gui-util.h             |    7 +-
 addressbook/printing/e-contact-print.c             |    9 +-
 addressbook/util/addressbook.c                     |   68 +++++++++--------
 addressbook/util/addressbook.h                     |    4 +-
 addressbook/util/eab-book-util.c                   |    8 +-
 addressbook/util/eab-book-util.h                   |    4 +-
 calendar/gui/alarm-notify/alarm-notify.c           |    8 +-
 calendar/gui/alarm-notify/alarm-queue.c            |    8 +-
 calendar/gui/dialogs/delete-error.c                |   30 +++++---
 calendar/gui/dialogs/delete-error.h                |    2 +-
 calendar/gui/e-cal-model.c                         |   31 ++++++--
 calendar/gui/e-cal-model.h                         |    6 ++
 calendar/gui/e-itip-control.c                      |   12 ++--
 calendar/gui/e-memo-table.c                        |   11 ++-
 calendar/gui/e-task-table.c                        |   11 ++-
 calendar/gui/gnome-cal.c                           |   23 +++---
 calendar/importers/icalendar-importer.c            |    6 +-
 configure.ac                                       |    2 +
 e-util/e-marshal.list                              |    4 +-
 mail/em-utils.c                                    |   10 +-
 modules/addressbook/e-book-shell-backend.c         |   12 ++--
 modules/addressbook/e-book-shell-view-private.c    |    8 +-
 modules/calendar/e-cal-attachment-handler.c        |   10 +-
 modules/calendar/e-cal-shell-backend.c             |   22 +++---
 modules/calendar/e-cal-shell-sidebar.c             |   24 +++---
 modules/calendar/e-memo-shell-backend.c            |   12 ++--
 modules/calendar/e-memo-shell-sidebar.c            |   24 +++---
 modules/calendar/e-task-shell-backend.c            |   12 ++--
 modules/calendar/e-task-shell-sidebar.c            |   24 +++---
 plugins/itip-formatter/itip-formatter.c            |   29 ++++---
 plugins/vcard-inline/vcard-inline.c                |    4 +-
 48 files changed, 448 insertions(+), 418 deletions(-)

commit 6d4ce8571ff62a3e489999d2feeac1691e06c59a
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Thu Jul 8 23:13:02 2010 +0200

    Updated Spanish translation

 po/es.po |  580 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 294 insertions(+), 286 deletions(-)

commit f92b45d7df69c958bb4fc606831bc51ee2bcc914
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Jul 8 16:59:11 2010 -0400

    Fix places where "~/.evolution" is hard-coded.
    
    Also replace "$USER_DATA_DIR/cache" path constructions with
    e_get_user_cache_dir().

 doc/reference/shell/eshell-sections.txt     |    1 -
 doc/reference/shell/tmpl/e-util.sgml        |    9 ---------
 doc/reference/shell/tmpl/eshell-unused.sgml |    8 ++++++++
 e-util/e-mktemp.c                           |    9 +++++----
 e-util/e-util.c                             |   20 --------------------
 e-util/e-util.h                             |    5 ++++-
 mail/em-format-html.c                       |    8 +++-----
 shell/Makefile.am                           |    7 +++++--
 shell/killev.c                              |    9 +++++----
 9 files changed, 30 insertions(+), 46 deletions(-)

commit ae4e6007efece29bf587f3193e7c57ad7f7d81dc
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu Jul 8 21:28:02 2010 +0200

    Bug #623796 - Post Message to List asks for confirmation on close

 mail/em-composer-utils.c |   23 ++++++++++-------------
 1 files changed, 10 insertions(+), 13 deletions(-)

commit 137b0743ddfbd3bbc01c9813615ede91ddd9b954
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Jul 4 17:40:28 2010 -0400

    Migrate from CamelException to GError.

 calendar/gui/dialogs/comp-editor.c               |    2 +-
 composer/e-composer-autosave.c                   |    2 +-
 composer/e-composer-private.c                    |    2 +-
 composer/e-msg-composer.c                        |   74 +++--
 e-util/e-signature-utils.c                       |    4 +-
 em-format/em-format-quote.c                      |   22 +-
 em-format/em-format.c                            |  125 +++++----
 mail/e-mail-local.c                              |   18 +-
 mail/e-mail-migrate.c                            |   43 ++--
 mail/e-mail-reader.c                             |   21 +-
 mail/e-mail-store.c                              |   12 +-
 mail/em-composer-utils.c                         |   14 +-
 mail/em-composer-utils.h                         |    2 +-
 mail/em-folder-tree-model.c                      |   12 +-
 mail/em-folder-tree.c                            |   70 ++---
 mail/em-folder-utils.c                           |   85 ++++--
 mail/em-format-html-display.c                    |   25 +-
 mail/em-format-html.c                            |   72 +++--
 mail/em-html-stream.c                            |   30 ++-
 mail/em-inline-filter.c                          |    4 +-
 mail/em-subscribe-editor.c                       |   25 +-
 mail/em-sync-stream.c                            |   65 +++--
 mail/em-sync-stream.h                            |    9 +-
 mail/em-utils.c                                  |   66 ++---
 mail/em-utils.h                                  |    2 +-
 mail/importers/elm-importer.c                    |    2 +-
 mail/importers/evolution-mbox-importer.c         |    4 +-
 mail/importers/mail-importer.c                   |   16 +-
 mail/importers/mail-importer.h                   |    2 +-
 mail/importers/pine-importer.c                   |    2 +-
 mail/mail-folder-cache.c                         |    2 +-
 mail/mail-mt.c                                   |   17 +-
 mail/mail-mt.h                                   |    2 +-
 mail/mail-ops.c                                  |  356 +++++++++++++---------
 mail/mail-ops.h                                  |    4 +-
 mail/mail-send-recv.c                            |   34 +--
 mail/mail-session.c                              |   84 ++++--
 mail/mail-tools.c                                |   62 +++--
 mail/mail-tools.h                                |    8 +-
 mail/mail-vfolder.c                              |   19 +-
 mail/message-list.c                              |   39 +--
 modules/calendar/e-cal-attachment-handler.c      |    2 +-
 modules/mail/e-mail-attachment-handler.c         |   21 +-
 modules/mail/e-mail-shell-view.c                 |   14 +-
 plugins/audio-inline/audio-inline.c              |    6 +-
 plugins/bogo-junk-plugin/bf-junk-filter.c        |   13 +-
 plugins/dbx-import/dbx-importer.c                |  124 +++++---
 plugins/groupwise-features/install-shared.c      |   16 +-
 plugins/groupwise-features/proxy.c               |   11 +-
 plugins/groupwise-features/share-folder-common.c |   28 +-
 plugins/image-inline/image-inline.c              |    2 +-
 plugins/imap-features/imap-headers.c             |    6 +-
 plugins/itip-formatter/itip-formatter.c          |    4 +-
 plugins/mail-to-task/mail-to-task.c              |    2 +-
 plugins/mark-all-read/mark-all-read.c            |   29 +-
 plugins/pst-import/pst-importer.c                |   22 +-
 plugins/sa-junk-plugin/em-junk-filter.c          |   11 +-
 plugins/templates/templates.c                    |    7 +-
 plugins/tnef-attachments/tnef-plugin.c           |   10 +-
 plugins/vcard-inline/vcard-inline.c              |    2 +-
 po/POTFILES.in                                   |    2 +
 widgets/misc/e-account-combo-box.c               |    5 +-
 widgets/misc/e-attachment.c                      |    8 +-
 63 files changed, 979 insertions(+), 825 deletions(-)

commit 36f1f29b9a42c56a619e031b045db5a18f2b1dd7
Author: Michael Meeks <michael.meeks@novell.com>
Date:   Thu Jul 8 16:10:59 2010 +0100

    Fix transience problems with ENameSelectorDialogs ...

 .../contact-list-editor/e-contact-list-editor.c    |    2 ++
 calendar/gui/dialogs/alarm-dialog.c                |    8 ++------
 calendar/gui/dialogs/e-delegate-dialog.c           |    8 ++------
 calendar/gui/dialogs/memo-page.c                   |    7 ++-----
 calendar/gui/e-meeting-list-view.c                 |    6 ++----
 composer/e-composer-name-header.c                  |    1 +
 plugins/groupwise-features/proxy.c                 |    4 +---
 plugins/groupwise-features/share-folder.c          |   20 +++++---------------
 8 files changed, 17 insertions(+), 39 deletions(-)

commit 400cd6c143383412fff1c3172abce9e48fef1fb4
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Mon Jul 5 18:14:00 2010 +0200

    Updated Slovenian translation

 po/sl.po | 1462 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--
 1 files changed, 1423 insertions(+), 39 deletions(-)

commit f835af700c6d5d17516c90fe76867be365059295
Author: Maciej Piechotka <uzytkownik2@gmail.com>
Date:   Sat Jul 3 15:09:50 2010 -0400

    Bug 623432 - Use gweather-3.0 when building with gtk3

 configure.ac |   12 ++++++++----
 1 files changed, 8 insertions(+), 4 deletions(-)

commit ba606b7fef27b97c0b343b0c799dad1feacbf474
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Thu Jul 1 09:01:29 2010 +0200

    Updated Spanish translation

 po/es.po |  421 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 227 insertions(+), 194 deletions(-)

commit b385b96256deed1e995a4edcbf0f8c938adfee6b
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Wed Jun 30 14:56:18 2010 +0200

    Updated Slovenian translation

 po/sl.po | 1367 +-------------------------------------------------------------
 1 files changed, 3 insertions(+), 1364 deletions(-)

commit d1f18a64b6cd1db317fc14dbe240601245a1149e
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Wed Jun 30 14:55:09 2010 +0200

    Updated Slovenian translation

 po/sl.po |14663 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 7902 insertions(+), 6761 deletions(-)

commit ea49fac12e759170cdabd0673b3c0e1861ee7d3f
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Wed Jun 30 16:22:26 2010 +0530

    Bug 623201 - Set default options automatically while creating a new account

 mail/em-account-editor.c |   13 ++++++++++++-
 1 files changed, 12 insertions(+), 1 deletions(-)

commit ed144aaf1b82440dbff01e461520132046299565
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Wed Jun 30 13:17:45 2010 +0530

    MeeGo Bugzilla #3286 - Allow edit accounts in the capplet to go
    fwd/back.

 mail/em-account-editor.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit fc3123dc43dbe510efbff54baf7278ed2e607553
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Jun 29 20:37:25 2010 -0400

    Work around sudden disappearance of GdkRegion in GTK+ 2.90.5.
    
    API was deprecated and removed in less than two hours!  Sheesh!

 calendar/gui/e-day-view-main-item.c   |    2 +
 calendar/gui/e-week-view-event-item.c |    2 +
 e-util/gtk-compat.h                   |   51 +++++++++++++++++++++++++++++++++
 widgets/table/e-cell-text.c           |    1 +
 widgets/text/e-text.c                 |    1 +
 5 files changed, 57 insertions(+), 0 deletions(-)

commit d3d5ea2602c97877c9e72c27494a3bb51156abb8
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Wed Jun 30 00:13:40 2010 +0200

    Updated Galician translations

 po/gl.po |   27 +++++++++++++++++++++++++--
 1 files changed, 25 insertions(+), 2 deletions(-)

commit c03c037e34e0fe5c4640dfc3f2d6f5bd561e827e
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Wed Jun 30 00:10:39 2010 +0200

    Updated Galician translations

 po/gl.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c0d7238e5e52bfa0212f2430f50d109c52ba7b5e
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Wed Jun 30 00:56:57 2010 +0530

    post release version bump

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 668b1e336c2728ee22937f030a6355c7e7a75768
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Tue Jun 29 23:45:09 2010 +0530

    News update for 2.31.4 release

 NEWS |   63 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 63 insertions(+), 0 deletions(-)

commit 4690bbe1d7d077cd0e75a7be43b21537dc1e4dd5
Author: Guido Günther <agx@sigxcpu.org>
Date:   Tue Jun 29 19:48:32 2010 +0200

    Bug 623157 - Missing linker flag in dbx-import

 plugins/dbx-import/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit ffd26a2443ec593d9c3ec750136d83a10cf60009
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Jun 29 14:03:21 2010 -0400

    Use the correct evolution-shell pkg-config file.
    
    evolution-mail-3.0 and evolution-calendar-3.0 should require
    evolution-shell-3.0.  evolution-mail and evolution-calendar should
    require evolution-shell.

 configure.ac             |    5 +++++
 evolution-calendar.pc.in |    2 +-
 evolution-mail.pc.in     |    2 +-
 3 files changed, 7 insertions(+), 2 deletions(-)

commit 83abb5845e4cc92e3f9a980677c91321f08ec367
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Jun 29 13:56:15 2010 -0400

    Clean up pkg-config files during distclean.

 Makefile.am |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit cd5e079ea927ceff9fc85638b71a5997b8506b5a
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Jun 29 13:22:01 2010 -0400

    TEMPORARILY build without inline images in distcheck.
    
    Will revert this when we see a gtkimageview release that uses gtk+-3.0.

 Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit f7543e4db9e1023fe5f097c6fc57cacdad896e18
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Jun 29 13:18:21 2010 -0400

    TEMPORARILY build without weather calendars in distcheck.
    
    Will revert this when we see a libgweather-2.90.x release.

 Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit db1cc4a0dcb0e5df291c42c5598ed471904c1e78
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Jun 29 13:11:05 2010 -0400

    Add missing files to po/POTFILES.in.

 po/POTFILES.in |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 0c3868b62ad05511458d18568aa7dc3c54a6dcb1
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Jun 29 13:10:31 2010 -0400

    Fix pkg-config file management when using gtk+-3.0.

 Makefile.am |    9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)

commit 00339ccb9568e19babebb5c90d666501d3ea60c4
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Jun 29 11:19:06 2010 -0400

    Remove an obsolete GTK+ header include.

 libgnomecanvas/gnome-canvas-widget.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit cef101e749abc433c8f0f15dea84b521ffef7be0
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Jun 29 11:02:09 2010 -0400

    Bump reqs on more libraries that don't link to gtk+-3.0 yet.
    
    These are bogus versions to force the plugins that use them to be
    disabled.
    
    champlain-gtk >= 0.8 (latest is 0.7)
    clutter-gtk >= 1.0   (latest is 0.90.1)
    gtkimageview >= 2.0  (latest is 1.6)

 configure.ac |   35 +++++++++++++++++++++--------------
 1 files changed, 21 insertions(+), 14 deletions(-)

commit 125b36b99c39afa283f901785343f8bdecfda5e3
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Jun 29 10:52:15 2010 -0400

    Require gweather >= 2.90.0 when building against gtk+-3.0.
    
    Note, at this moment libgweather-2.90.0 doesn't exist.  The version
    requirement is a guess.  The tarball should appear "any minute now".

 configure.ac |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 59aa704f310e7eeb11089022af7a706faf49a2c6
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Jun 29 10:46:46 2010 -0400

    Require libnotify >= 0.5.1 when building against gtk+-3.0.

 configure.ac |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

commit f919a3bc4ebe0f000af4122a4b2f756f9b631136
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Jun 29 10:10:25 2010 -0400

    Build against gtk+-3.0 when running distcheck.

 Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit a874d96995b94704b2acce8d3911bed2373d4220
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Jun 29 10:09:08 2010 -0400

    Show the GTK+ package in configure summary.

 configure.ac |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 363cc1cea5ef07ea2f37f9046f56a696272da15c
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Tue Jun 29 20:26:26 2010 +0530

    add gtkhtml-editor

 evolution-plugin.pc.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 968e1d621a92d0553cddecf079bd5355441180d4
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Tue Jun 29 20:20:02 2010 +0530

    remove the duplicate string

 evolution-plugin.pc.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3b58c72b8254cd019a8f3c05437175fe59652adb
Author: David Woodhouse <David.Woodhouse@intel.com>
Date:   Mon Jun 28 12:12:44 2010 +0100

    Add Outlook Express DBX mailbox file importer plugin
    [patch v2: Don't error on empty mailboxes, build plugin by default]

 configure.ac                                      |    3 +-
 plugins/dbx-import/Makefile.am                    |   47 ++
 plugins/dbx-import/dbx-importer.c                 |  753 +++++++++++++++++++++
 plugins/dbx-import/org-gnome-dbx-import.eplug.xml |   22 +
 4 files changed, 824 insertions(+), 1 deletions(-)

commit aeb15ac4b5d17797cfe7a52c488f35b3270898d7
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Tue Jun 29 19:40:58 2010 +0530

    look for gtkhtml-editor-3.14 while using gtk2

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit bb574c97d5bbd6fd3cc0abf16ffaaee15145c143
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Tue Jun 29 19:09:50 2010 +0530

    set gtk3 minimum version 2.90.4

 configure.ac |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit d852bddc484166a06dc1bdd8ff362179e51f5a52
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Tue Jun 29 18:50:43 2010 +0530

    Use version 3.0 for evolution-<module>.pc files while compiling with gtk3. Set dependencies right between gtk3 and gtk2 compilations

 Makefile.am            |   13 ++++++
 configure.ac           |  109 ++++++++++++++++++++++++++++++++++--------------
 evolution-plugin.pc.in |    2 +-
 evolution-shell.pc.in  |    2 +-
 4 files changed, 93 insertions(+), 33 deletions(-)

commit 1bf64514ac3c962ebe98e31b4d2010e0e39a5092
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Tue Jun 29 13:24:53 2010 +0200

    Updated Galician translations

 po/gl.po | 1432 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 660 insertions(+), 772 deletions(-)

commit 8cc61ce38cfdab52e9f7705b7852202f0773b6d5
Author: Milan Crha <mcrha@redhat.com>
Date:   Mon Jun 28 13:16:56 2010 +0200

    Bug #623029 - Work week days not restored on start

 calendar/gui/e-day-view.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 9014d5d426464d6e7a56969ce0b93e087e100e89
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Jun 28 15:21:45 2010 +0530

    use gtk-3.0 if available

 configure.ac |   14 ++++++++++++--
 1 files changed, 12 insertions(+), 2 deletions(-)

commit cc29ff46ea0bd257c7be1c08e0c43c957a6f7edf
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Jun 27 09:04:47 2010 -0400

    audio-inline: Fix linking order issue.

 plugins/audio-inline/Makefile.am |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 0b27cf73c3afdb7427d93b968aa6bc247b5c1873
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:   Sun Jun 27 11:29:14 2010 +0200

    Minor updates to Dutch translation by Armijn Hemel

 po/nl.po |   36 ++++++++++++++++++------------------
 1 files changed, 18 insertions(+), 18 deletions(-)

commit 240c2a3dc01ba182f71a9ceea655227ee5febeab
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Jun 25 17:56:47 2010 -0400

    Bug 622535 - Account assistant loops on first run
    
    The issue was EConfig's GtkAssistantPageFunc callback assumed the pages
    in the GtkAssistant were sorted, but that assumption breaks as EPlugins
    with custom EConfigItemFactoryFunc callbacks are introduced and EConfig
    has to rebuild its assistant pages.
    
    It's an unnecessary requirement anyway, since EConfig already keeps a
    sorted list of widgets internally.  After correcting that assumption a
    number of hacks addressing previous page ordering bugs fell out.

 e-util/e-config.c        |  166 +++++++++++++++++++++++++++++-----------------
 mail/em-account-editor.c |   28 +++-----
 2 files changed, 113 insertions(+), 81 deletions(-)

commit c64d144a5d8aea2ce7b87b7ae215bbbf4e225e31
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Jun 25 15:47:52 2010 +0200

    Bug #553104 - Ambiguous "for" in calendar translations

 calendar/gui/dialogs/event-page.ui      |   10 +++++-----
 calendar/gui/dialogs/recurrence-page.ui |   14 +++++++-------
 2 files changed, 12 insertions(+), 12 deletions(-)

commit 1a4ee432c91ef86ef8741d2883fba6c7400c6261
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Jun 25 15:16:12 2010 +0200

    Bug #621770 - Bottom-left calendar too big

 calendar/gui/apps_evolution_calendar.schemas.in |    2 +-
 modules/calendar/e-cal-shell-sidebar.c          |    1 -
 2 files changed, 1 insertions(+), 2 deletions(-)

commit cdda2031330f2e3e7a45b96d36d9a8f808c11349
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Jun 25 14:47:46 2010 +0200

    Bug #617854 - Critical warnings in calendar view

 calendar/gui/e-cal-list-view.c |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 54f6924c8410d18b8bcae7f2294db73301d21bfe
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Jun 24 20:41:19 2010 -0400

    EHintedEntry: Don't select hints on grab_focus().

 widgets/misc/e-hinted-entry.c |   29 +++++++++++++++++++++++++++++
 1 files changed, 29 insertions(+), 0 deletions(-)

commit 71e92f3f2c45cd8dd9f44d8226e23603164974a5
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Jun 24 20:23:07 2010 -0400

    EShellContent: Add a focus_search_results() method.
    
    This gives EShellSearchbar something concrete to call to direct focus
    away from itself instead of tabbing forward and hoping for the best.

 modules/addressbook/e-book-shell-content.c |   13 +++++++++++++
 modules/calendar/e-cal-shell-content.c     |   21 +++++++++++++++++++++
 modules/calendar/e-memo-shell-content.c    |   11 +++++++++++
 modules/calendar/e-task-shell-content.c    |   11 +++++++++++
 modules/mail/e-mail-shell-content.c        |   11 +++++++++++
 shell/e-shell-content.c                    |   23 +++++++++++++++++++++++
 shell/e-shell-content.h                    |    3 +++
 shell/e-shell-searchbar.c                  |   13 +++++++------
 8 files changed, 100 insertions(+), 6 deletions(-)

commit 179db75ce041706a590e90a6ac7b801b36091ed6
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu Jun 24 20:43:16 2010 +0200

    Bug #620815 - Memory leaks with Evolution

 composer/e-composer-header-table.c |    2 +
 composer/e-composer-name-header.c  |    2 +
 mail/e-mail-reader-utils.c         |    1 +
 mail/em-composer-utils.c           |    2 +
 mail/mail-config.c                 |   49 +++++++++++++++--------------------
 shell/e-shell-searchbar.c          |    1 +
 shell/e-shell-window-private.c     |    2 +
 widgets/misc/e-dateedit.c          |    1 +
 8 files changed, 32 insertions(+), 28 deletions(-)

commit 9d538474a855d64e338bf7a94925cbde31a81bd5
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Jun 24 13:15:21 2010 -0400

    Bug 622633 - Can't launch Evolution from clock applet

 modules/calendar/e-cal-shell-backend.c |   83 +++++++++++++++++++++++++++++++-
 modules/calendar/e-cal-shell-backend.h |    4 ++
 widgets/misc/e-calendar-item.c         |   12 ++--
 widgets/misc/e-calendar-item.h         |    4 +-
 4 files changed, 94 insertions(+), 9 deletions(-)

commit b62f965b04b036f3b9d647a339852bfdd3c79e12
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu Jun 24 17:57:48 2010 +0200

    Bug #621903 - Crash on HTML message print preview

 widgets/misc/e-web-view.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 6f014d4779a7bf13d39cdc6eea153cb40dba1b24
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Jun 24 11:12:53 2010 -0400

    Bug 622547 - mail_async_event_destroy() doesn't cancel its idle callback

 mail/mail-mt.c |   19 +++++++++++++------
 mail/mail-mt.h |    2 +-
 2 files changed, 14 insertions(+), 7 deletions(-)

commit ef9b23ef998f8dd4e987c5e7443a36dd48e59b2e
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Jun 24 08:44:00 2010 -0400

    Bug 604262 - "Copy Email Address" should also copy to primary clipboard

 widgets/misc/e-web-view.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit f1bad7677ab2928638f8705873d7ab599b6c99cd
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Jun 24 08:13:46 2010 -0400

    Bug 622559 - Changing search option should focus search entry

 shell/e-shell-searchbar.c     |    4 +++-
 widgets/misc/e-hinted-entry.c |   41 +++++++++++++++++++++--------------------
 2 files changed, 24 insertions(+), 21 deletions(-)

commit bcdea3f01e0b614a0e366ee19c0ff6810e43b32d
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Jun 23 20:42:03 2010 +0200

    Bug #611165 - Use memo start date from a calendar view, if active

